2014-03-12    <claus@anaxagoras.wireless.localnet>

	* Finally, release version 1.9.5 to bring this to an end. v1.9.5
	brings real nice new features (but those were implemented ages
	ago, around 2007/2008. Somehow lost track.

2014-03-12  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/.cvsignore: Again, ignore version.texi.

	* configure.ac:
	Fix bug introduced by previous commit (trying to get rid of pesky OSX
	"finite is deprecated" and why should I care for this messages.

	* NEWS: Update my email address.

	* doc/version-pt_BR.texi, doc/version.texi: These _are_ auto-generated.

	* GeomviewInstall.OSX:
	Blah about OSX. May or may not be helpful for others.

	* src/bin/NDview/Makefile.am, src/bin/NDview/NDdemo, src/bin/NDview/NDdemo.tcl, src/bin/NDview/NDview, src/bin/NDview/NDview.tcl, src/bin/NDview/ndview.c, src/bin/cplxview/Makefile.am, src/bin/crayola/Crayola, src/bin/crayola/tkcrayola.c, src/bin/flythrough/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/hinge/Makefile.am, src/bin/labeler/Labeler, src/bin/ndutils/GeExDir.c, src/bin/ndutils/slicer.c, src/bin/ndutils/snapshot.c, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am:
	Maintenance commit, make it compile.

	* doc/Makefile.am: Include the FAQ in the dist.

	* .cvsignore, AUTHORS, NEWS, README, configure.ac, doc/geomview-pt_BR.texi, doc/geomview.texi, doc/version-pt_BR.texi, doc/version.texi, rcs2log, src/bin/animate/glob.c, src/bin/animate/xanimate.c, src/bin/geomutil/vrml2oogl/lib/QvToWebOOGL.c++, src/bin/geomview/common/help.c, src/bin/geomview/x11/gvui.c, src/bin/togeomview/togeomview.c, src/lib/fexpr/complex.c, src/lib/fexpr/fexpr.h, src/lib/gprim/comment/commentsave.c, src/lib/gprim/mesh/meshsave.c, src/lib/gprim/ndmesh/ndmeshsave.c, src/lib/shade/image.c:
	Just a maintenance commit, make the stuff compile etc.

2013-07-28  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/FAQ/FAQ-pt_BR.html, doc/FAQ/FAQ-pt_BR.tex, doc/FAQ/FAQ.html, doc/FAQ/README:
	Adding FAQ.html, FAQ-pt_BR.html and FAQ-pt_BR.tex to FAQ directory

	* doc/FAQ/FAQ.tex, doc/FAQ/README:
	Adding README and FAQ.tex to FAQ directory

	* doc/geomview-pt_BR.texi:
	pt_BR translation - change manipular to controlar
	and other minor changes

2013-01-19  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview.texi: safer to saver

	* doc/geomview.texi: miscellaneous small adjusts

2013-01-17  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: Change Figure to Figura and others changes

2011-12-13  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi:
	Adjust in pt_BR for update to 1.77 version of geomview.texi

	* doc/geomview.texi: An empty line adjust

	* doc/geomview.texi:
	Moving the "normalization" for new position in "Appearance Panel"

	* doc/geomview-pt_BR.texi: partial pt_BR translation

2011-11-27  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: partial pt_BR translation

2011-10-13  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: partial pt_BR translation

2011-10-13  Steve M. Robbins  <steve@sumost.ca>

	* src/lib/mg/rib/mgrib.c: Revert previous change.

	* src/lib/mg/rib/mgrib.c: Ensure format strings are literals.
	See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=643382.

	* src/lib/oogl/util/glob.c: Fix segfault on startup.

2011-09-29  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview.texi: changing ")w" to ")"

	* doc/geomview.texi: adjusting modulename to module NAME

2011-09-18  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: small adusts

	* doc/pt_BR/texinfo.tex: see and See to portuguese veja and Veja

2011-08-28  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: Command reference (partial) translation

	* doc/geomview.texi: small adjust "Not that" to "Note that"

2011-08-21  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/pt_BR/geomview_cvs.sh: add the "pt" code language into script

2011-08-20  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/pt_BR/acentos_texinfo_utf8.sh:
	script that convert from utf8 to texi diacritical marks.

	* doc/version-pt_BR.texi: translation of February to Fevereiro

	* doc/pt_BR/geomview_cvs.sh: adjusting for convert /figs/*.ps to pdf.

	* doc/oogltour, doc/oogltour-pt_BR:
	oogltour-pt_BR conversion to utf8 charset
	oogltour -> Inspect to Inspect/Appearence and
	Normalization to Normalize.

	* doc/geomview-pt_BR.texi:
	General update from english cvs ancient version 1.65 to current version 1.72.

2010-09-07  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview.texi: Adjusting "differene" to "difference"

2010-08-15  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: Manual Portuguese Translation.
	more work in geomview-pt_BR

	* doc/pt_BR/acentos_texinfo.sh: Manual Portuguese Translation.
	Commit of acentos_texinfo.sh

2010-08-07  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: Manual Portuguese Translation.
	Partial update for exemple 3.

2010-07-31  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: Manual Portuguese Translation.
	Many small adjusts. Updating exemple 2.

2010-07-25  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: Manual Portuguese Translation.
	Many small adjusts.

	* doc/geomview.texi: Replacing "Lighting" by "Lights" due to
	the painel caption is "Lights"

	* doc/pt_BR/geomview_cvs.sh: Manual Portuguese Translation.
	Updating locally compilation script.

	* doc/geomview-pt_BR.texi: Manual Portuguese Translation.
	Updating from English cvs version to 1.70.

	* doc/pt_BR/geomview-pt_BR.texi: Manual Portuguese Translation.
	Removing geomview-pt_BR that was putted in a worng directory.

	* doc/pt_BR/geomview-pt_BR.texi:
	Manual Portuguese Translation. Updating from English cvs version to 1.70.

2010-03-14  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac, m4/geomview.m4: Remove RANLIB.

	* m4/.cvsignore: Ignore the new libtool files.

	* src/bin/geomview/x11/gvui.c: FORTIFY_SOURC stuff.

	* src/bin/geomview/x11/gvcamui.c: Unused variable.

	* src/bin/geomview/common/help.c: FORTIFY_SOURCE stuff.

	* src/bin/geomview/common/event.c: Fix a strict-aliasing issue.

	* src/bin/geomview/common/comm.c, src/bin/togeomview/togeomview.c:
	FORTIFY_SOURCE stuff.

	* src/lib/geometry/cmodel/cm_geometry.c, src/lib/geometry/geomtypes.h, src/lib/geometry/hpointn/hpointn.h:
	Handle some strict aliasing stuff.

	* m4/geomview.m4, configure.ac: Add AC_CONFIG_MACRODIR()

	* src/lib/geometry/hpoint3/hpoint3.h, src/lib/geometry/hpointn/hpointn.h, src/lib/oogl/refcomm/streampool.c, src/lib/gprim/mesh/meshP.h, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/ndmesh/ndmeshP.h, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/npolylist/npolylistP.h, src/lib/gprim/polylist/polylistP.h, src/lib/gprim/quad/quadP.h, src/lib/gprim/quad/quaddraw.c:
	Deal with strict aliasing issues.

	* src/bin/geomutil/vrml2oogl/lib/QvToWebOOGL.c++: Fix a format string.

	* src/bin/geomutil/math2oogl/math2oogl.c, src/bin/geomutil/ucd/ucdtooff.c, src/bin/animate/xanimate.c:
	Deal with FORTIFY_SOURCE warnings.

	* src/bin/geomutil/vrml2oogl/lib/QvToWebOOGL.c++: Fix a format issue.

	* src/lib/gprim/ndmesh/ndmeshsave.c, src/lib/gprim/mesh/meshsave.c:
	Get rid of some "warn unused result" warnings.

	* src/lib/gprim/sphere/spheremisc.c, src/lib/mg/common/mg.c:
	Address an aliasing issue between HPoint3 and Point3.

	* src/lib/mg/rib/mgrib.c: Replace bogus calls to sprintf() by strcpy().

2010-03-13  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* src/lib/gprim/comment/commentsave.c:
	New function ign_fwrite(), an error-ignorant fwrite() trampoline in
	order to get rid of some annoying compiler warnings.

	* src/lib/gprim/discgrp/weeks_dirdom.c:
	Fix some broken access to excess array elements.

	* src/lib/gprim/geom/geomstream.c:
	Forcibly ignore the return value of dup().

	* src/lib/shade/image.c:
	New function ign_fwrite(), an error-ignorant fwrite() trampoline in
	order to get rid of some annoying compiler warnings.

	* src/lib/oogl/util/ppopen.c:
	ppopen(): use fprintf(stderr, ...), not write(2, ...). Otherwise the
	error message might get garbled because later we use perror(), which
	goes through the stdio library.

	* src/lib/oogl/util/futil.c: fputnf(): allow fwrite() to fail.

	* src/lib/oogl/lisp/lisp.c: Lsummarize(): allow fread() to fail.

2010-01-12  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* src/lib/gprim/list/listdraw.c: Fix a silly allocation bug of mine.

2009-09-16  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* m4/geomview.m4: Add some more tests.

2009-06-09  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* src/lib/oogl/refcomm/streampool.c:
	PoolIn() had one possibility to return with a destroyed handle.

	* src/bin/ndutils/wrappers.c: Tk_PhotoPutBlock() fix.

2009-02-18  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog, README, doc/Makefile.am, doc/version-pt_BR.texi:
	Build-system fixes.

2009-02-08  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/geomview.texi, doc/version-pt_BR.texi, doc/version.texi:
	Fix some documentation bugs.

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/transform.c:
	New virtual "bbox-center" object id to allow motions relative to the
	center of the bounding box of an object (which can be very different
	from the origin of the co-ordinate system).

	* src/bin/geomview/common/ui.c:
	"bbox center" toggle did not really reset the center of motion.

	* src/bin/geomview/common/worldio.c:
	New "bbox" keyword for write command: just dump the bounding box of
	the respective object to disc.

2009-02-08  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi, doc/version-pt_BR.texi, doc/version.texi:
	Fix some documentation bugs.

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/transform.c:
	New virtual "bbox-center" object id to allow motions relative to the
	center of the bounding box of an object (which can be very different
	from the origin of the co-ordinate system).

	* src/bin/geomview/common/ui.c:
	"bbox center" toggle did not really reset the center of motion.

	* src/bin/geomview/common/worldio.c:
	New "bbox" keyword for write command: just dump the bounding box of
	the respective object to disc.

2009-02-07  Lloyd Wood  <L.Wood@surrey.ac.uk>

	* doc/geomview.texi: Manual grammar fix.

	* doc/geomview-pt_BR.texi, doc/geomview.texi:
	Manual typo fixes - bouding -> bounding.

2009-01-09  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/x11/gvcamui.c:
	Optionally scale an offscreep ppm image.

2008-10-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/geom/bsptree.c:
	Forgot a "break" statement in a switch-clause. Gnah.

2008-08-24  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* TODO: Including a note about font code translation

	* doc/geomview.texi, doc/geomview-pt_BR.texi:
	adjusting duplicate node "camera"

	* doc/geomview-pt_BR.texi:
	The command texinfo was causing unexpected @enumerate closing
	change @heading by @emph

	* doc/geomview.texi, doc/geomview-pt_BR.texi:
	puting a "@c " comment before @pxref{Forms}

	* doc/geomview-pt_BR.texi:
	inclusion for translate "section", "chapter" and "page"

	* doc/pt_BR/texinfo.tex: changed for pt_BR

	* doc/pt_BR/acentos_texinfo.sh, doc/pt_BR/geomview_cvs.sh:
	script for manual pt_BR creation only (adjust)
	script for diacritical marks in pt_BR

	* doc/pt_BR/geomview_cvs.sh: script for manual pt_BR creation only

	* doc/geomview-pt_BR.texi:
	geomview-pt_BR.texi  --> partial translation, nodes translation

2008-08-23  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi:
	geomview-pt_BR.texi  --> partial translation, nodes translation

2008-08-03  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi  --> partial translation

2008-07-28  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi  --> partial translation

	* doc/geomview.texi: geomview.texi  --> Adjusting "winddow" to "window"

	* TODO: TODO ---> Adding a TODO list.

2008-07-26  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* ChangeLog, NEWS, rcs2log:
	NEWS, ChangeLog ---> changing e-mail adress for Jorge.
	rcs2log         ---> adding new entrie for new e-mail for Jorge.

	* doc/geomview.texi, doc/geomview-pt_BR.texi:
	geomview-pt_BR.texi --> partial translation
	geomview.texi --> adjusting man page location for oogl:
	changing "man/cat5/oogl.5" to "/share/man/man5/oogl.5gv"

2008-07-25  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi --> partial translation

	* doc/geomview.texi: geomview.texi --> adjusting $path to $PATH

	* doc/geomview.texi:
	geomview.texi --> adjusting local directory for modules
	                        instalation for all users

2008-07-24  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi, doc/geomview.texi:
	geomview-pt_BR.texi --> adjusting local directory for modules
	                        instalation for all users
	geomview-pt_BR.texi --> echo for the above

	* doc/geomview-pt_BR.texi:
	geomview-pt_BR.texi --> partial pt_BR manual translation

2008-07-15  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi:
	geomview-pt_BR.texi --> partial pt_BR manual translation

	* doc/geomview.texi:
	geomview.texi --> removing "red" for external modules browser panel

2008-07-12  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi --> partial translation

2008-06-03  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi --> partial translation

2008-06-02  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi --> partial translation

2008-05-28  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/list/listdraw.c: Hopefully fixed this time.

2008-05-25  Jorge Barros de Abreu  <ficmatin01@solar.com.br>

	* doc/geomview-pt_BR.texi:
	geomview-pt_BR.texi --> adusting right margin for some pages

	* doc/geomview-pt_BR.texi, doc/version-pt_BR.texi:
	geomview-pt_BR.texi --> updating to 1.59 english cvs version
	                        (1.95 manual version)
	version-pt_BR.texi  --> adjusting 17 to 19

2008-05-23  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/list/listdraw.c: Something still seems to be wrong ...

	* src/lib/gprim/list/listdraw.c: allocsz was used uninitialized.

	* src/bin/geomutil/clip/clipoogl.c:
	Keep booth, vertex and poly colour, if both are present.

2008-05-20  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/polylist/plsave.c, src/lib/gprim/npolylist/nplsave.c:
	Save the per-polygon colors even if we have vertex colours; which
	color-set is selected depends then on the shading.

2008-05-19  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/figs/mat.ps, doc/version.texi: Update.

	* doc/geomview.texi: Document the new translucency settings.

	* doc/figs/mat.ps: Update (new widgets).

	* src/lib/oogl/refcomm/handle.c: Free-list pruning.

	* src/lib/mg/opengl/mgopenglmesh.c, src/lib/mg/opengl/mgopenglshade.c, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/opengl/mgopengl.c:
	Support sort of screen-door translucency.

	* src/lib/mg/opengl/Makefile.am: Add mgopenglstipple.[ch]

	* src/lib/gprim/sphere/spheredice.c: Ref-count bug-fix.

	* src/lib/gprim/sphere/spherecreate.c:
	Cache the tlists needed to generate the different spheres.

	* src/lib/gprim/tlist/tlcreate.c: Free-list pruning.

	* src/lib/gprim/polylist/pldraw.c, src/lib/gprim/npolylist/npldraw.c:
	Shut-up a compiler warning.

	* src/lib/gprim/mesh/meshdelete.c:
	Forgot to release the per-quad normals.

	* src/lib/gprim/list/listdraw.c: memory allocation cleanup.

	* src/lib/gprim/geom/nodedata.h: Free-list pruning.

	* src/lib/gprim/geom/geomclass.h:
	Account for different translucency models.

	* src/lib/gprim/geom/draw.c, src/lib/gprim/geom/bsptree.c:
	Free-list pruning.

	* src/lib/gprim/bezier/bezcreate.c:
	Use HandleDoCreate(), no need to check for existing handles here.

	* src/lib/gprim/bbox/bboxcreate.c:
	BBoxFreeListPrune(): new, release the memory allocated by the free-list.

	* src/lib/geometry/hpointn/hpointn.h:
	HPtNFReeListPrune(): new, release the memory allocated by the free-list.

	* src/lib/shade/apstream.c, src/lib/shade/appearance.c, src/lib/shade/appearance.h, src/bin/geomview/x11/interface/Material.mib, src/bin/geomview/x11/gvmaterial.c, src/bin/geomview/x11/gvmain.c, src/bin/geomview/common/ui.h, src/bin/geomview/common/ui.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/drawer.c:
	Support different translucency styles.

	* src/lib/mg/opengl/mgopenglstipple.c, src/lib/mg/opengl/mgopenglstipple.h:
	Initial revision.

2008-05-17  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* ChangeLog, src/lib/gprim/list/listdraw.c:
	Reduce memory consumption and drawing time for huge LIST objects.

	* src/lib/oogl/refcomm/handle.c, src/lib/oogl/refcomm/handle.h, src/lib/gprim/sphere/spherecreate.c:
	Reduce the load-time of "bulk"-sphere files.

	* ChangeLog, NEWS: Update.

	* m4/geomview.m4:
	Define VARARRAY() macros to select either alloca() or C99 variadic arrays.

	* INSTALL.Geomview: Add Raphael's install notes for OS/X

	* README: Add Raphael.

	* AUTHORS: Dump version to 1.9.5

	* src/lib/shade/material.c, src/lib/shade/light.c, src/lib/gprim/polylist/plcreate.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/discgrp/weeks_dirdom.c, src/lib/gprim/bbox/bboxcreate.c, src/lib/geometry/hpoint3/hpoint3.h, src/lib/geomutil/plutil/anytopl.c, src/bin/geomview/common/pickfunc.h, src/bin/geomview/common/transform.c, src/lib/geometry/cmodel/cmodel.c, src/bin/geomview/common/lights.c, src/bin/geomview/common/drawer.c, src/bin/geomutil/plutil/polymerge.c, src/bin/geomview/common/comm.c, src/bin/animate/glob.c, src/bin/geomutil/clip/clipoogl.c, doc/version-pt_BR.texi:
	Fix a couple of "strict aliasing" warnings.

	* src/lib/oogl/lisp/lisp.c, src/lib/gprim/sphere/spheremisc.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/list/listdraw.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/bbox/bboxtransform.c, src/lib/gprim/geom/bsptree.c, src/lib/geometry/hpointn/hpointn.h, src/lib/geomutil/plutil/anytopl.c, src/lib/gprim/bbox/bboxdraw.c, src/bin/geomview/x11/gvcamui.c:
	Get rid of alloca in a variety of places, most notably fix an
	allocation bug in the list-drawing code.

	* src/bin/geomview/common/drawer.c: Get rid of alloca.

2008-05-17  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/list/listdraw.c:
	Reduce memory consumption and drawing time for huge LIST objects.

	* src/lib/oogl/refcomm/handle.c, src/lib/oogl/refcomm/handle.h, src/lib/gprim/sphere/spherecreate.c:
	Reduce the load-time of "bulk"-sphere files.

	* ChangeLog, NEWS: Update.

2008-05-17  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* NEWS: Update.

	* m4/geomview.m4:
	Define VARARRAY() macros to select either alloca() or C99 variadic arrays.

	* INSTALL.Geomview: Add Raphael's install notes for OS/X

	* README: Add Raphael.

	* AUTHORS: Dump version to 1.9.5

	* src/lib/shade/material.c, src/lib/shade/light.c, src/lib/gprim/polylist/plcreate.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/discgrp/weeks_dirdom.c, src/lib/gprim/bbox/bboxcreate.c, src/lib/geometry/hpoint3/hpoint3.h, src/lib/geomutil/plutil/anytopl.c, src/bin/geomview/common/pickfunc.h, src/bin/geomview/common/transform.c, src/lib/geometry/cmodel/cmodel.c, src/bin/geomview/common/lights.c, src/bin/geomview/common/drawer.c, src/bin/geomutil/plutil/polymerge.c, src/bin/geomview/common/comm.c, src/bin/animate/glob.c, src/bin/geomutil/clip/clipoogl.c, doc/version-pt_BR.texi:
	Fix a couple of "strict aliasing" warnings.

	* src/lib/oogl/lisp/lisp.c, src/lib/gprim/sphere/spheremisc.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/list/listdraw.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/bbox/bboxtransform.c, src/lib/gprim/geom/bsptree.c, src/lib/geometry/hpointn/hpointn.h, src/lib/geomutil/plutil/anytopl.c, src/lib/gprim/bbox/bboxdraw.c, src/bin/geomview/x11/gvcamui.c:
	Get rid of alloca in a variety of places, most notably fix an
	allocation bug in the list-drawing code.

	* src/bin/geomview/common/drawer.c: Get rid of alloca.

2008-05-11  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi:
	geomview-pt_BR.texi --> updating to 1.58 english cvs version
	                        (1.95 manual version)

2008-05-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/util/iobuffer.c:
	Forgot to commit the LSEEKO -> LSEEK change.

2008-05-06  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/event.c: Fix use of uninitialized variable.

	* src/lib/shade/image.c:
	Fix error handling when image data cannot be read.

2008-05-05  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/lang.c (write-handle ...):
	reset h->obj_saved (this is just a debugging function).

2008-05-04  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/lang.c:
	(write-handle ...) : accept - as stdout.

	* doc/version.texi, doc/geomview.texi: Sync.

	* src/lib/oogl/refcomm/handle.c:
	Fix reverse-logic bug in HandleOpsByName().

	* src/lib/oogl/lisp/lisp.c:
	Do not force strings to LSTRING type, otherwise parameter substitution fails.

	* src/lib/gprim/inst/instdraw.c: translucency INST fixes. Hopefully.

2008-05-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/version.texi, doc/version-pt_BR.texi:
	Update (both files do not belong to the CVS).

	* doc/geomview.texi: Document nested Tlist's.

	* src/bin/geomview/common/worldio.c:
	Fix an error diagnostices message (wrong position of args reported).

	* src/bin/geomview/common/lang.c:
	Fix online help for write-handle function.

	* src/bin/geomview/common/comm.c: Delete command pools on close.

	* src/bin/geomview/x11/gvevent.c, src/bin/geomview/x11/gvmnpanel.c, src/bin/geomview/x11/gvcameras.c, src/bin/animate/animate.c, src/bin/animate/glob.c:
	Get rid of signed/unsigned comparison warnings

	* src/lib/geometry/geomtypes.h, src/lib/geometry/hpointn/hpointn.h:
	Remember the size of a hpoint, and do not free the data when moving
	the beast to the free-list.

	* src/lib/gprim/inst/instmisc.c:
	InstTransform(): forgot to decrease ref-count when moving a Tlist
	behind a single-transform Tlist.

	* src/lib/gprim/bbox/bboxcreate.c, src/lib/gprim/sphere/spherecreate.c:
	Use free-list allocation.

	* src/lib/gprim/geom/create.c, src/lib/gprim/geom/delete.c, src/lib/gprim/geom/geomclass.h:
	Optionally use free-list allocation for Geom's.

	* src/lib/gprim/tlist/tlcreate.c, src/lib/gprim/tlist/tlistP.h:
	Use a free-list for Tlists.

	* src/lib/mg/opengl/mgopengl.c:
	fix some signed/assigned comparison warnings.

	* src/lib/shade/light.c:
	Use free-list allocation for LtLight in order to avoid calling
	malloc() all the time.

	* src/lib/oogl/refcomm/streampool.c:
	PoolIn(): delete pools on EOF (if backed by seekable files).

	* src/lib/oogl/util/ooglutil.h:
	Use some inline functions to be able to set break-points on the
	memory-allocation functions (without having to set a break-point in malloc).

	* src/lib/oogl/util/iobuffer.c:
	EOF-recognition was broken with POSIX_SHORTCUT.

	* src/lib/oogl/util/freelist.h: Initialize allocated memory.

	* gvcl-mode.el: Some more keywords.

	* doc/geomview.texi: Cosmetics.

	* data/geom/textured/image.gcl: Initial revision.

2008-05-03  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi --> partial translation
	geomview.texi       --> "MASK" to "DATEMASK"

2008-04-15  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi, doc/geomview.texi:
	geomview-pt_BR.texi --> partial translation
	geomview.texi       --> "or or" to "or"

2008-04-14  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi --> partial translation

2008-03-30  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview.texi, doc/geomview-pt_BR.texi:
	geomview.texi       --> adjusting missing end of line
	geomview-pt_BR.texi --> partial translation

2008-03-27  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: partial translation.

2008-03-26  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview.texi: ajusting line break in line 3749 - geomview.texi

	* doc/geomview.texi, doc/geomview-pt_BR.texi:
	Partial pt_BR translation of geomview-pt_BR
	Changing "Thease" to "These" in geomview.texi

2008-03-18  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial pt_BR translation of geomview-pt_BR
	Its ok for keeping version-pt_BR.texi.

2008-03-17  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/shade/image.c:
	New "zlib" filter which reads data in zlib format, i.e. without gzip
	header. File extension is ".zlib". Also: don't spawn gzip if not
	necessary, use zlib directly

	* doc/version.texi, doc/version-pt_BR.texi:
	Update (these files do not belong to the CVS archives).

	* src/lib/oogl/util/iobuffer.c, configure.ac:
	Try to use read(2) directly rather than unbuffered stdio.

	* src/lib/color/color.c, src/lib/fexpr/complex.c, src/lib/fexpr/real.c, src/lib/geometry/hpointn/hpointn.h, src/lib/geometry/transformn/transformn.h, src/lib/geometry/transobj/transobj.c, src/lib/gprim/bbox/bboxsave.c, src/lib/gprim/bezier/beztransform.c, src/lib/gprim/comment/commentclass.c, src/lib/gprim/comment/commentsave.c, src/lib/gprim/discgrp/dgbound.c, src/lib/gprim/discgrp/dgenum.c, src/lib/gprim/discgrp/dgpick.c, src/lib/gprim/discgrp/dgstream.c, src/lib/gprim/discgrp/dgtransform.c, src/lib/gprim/geom/bsptree.c:
	Signed/unsigned warning and/or unused parameter warning.

2008-03-16  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/geom/pick.c, src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/mesh/meshnormal.c, src/lib/gprim/mesh/meshtransform.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/ndmesh/ndmeshload.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/npolylist/nplsave.c, src/lib/gprim/npolylist/npltransform.c, src/lib/gprim/polylist/plsave.c, src/lib/gprim/polylist/pltransform.c, src/lib/gprim/quad/quadsave.c, src/lib/gprim/skel/skelcreate.c, src/lib/gprim/skel/skeltransform.c, src/lib/gprim/sphere/spheresave.c, src/lib/mg/opengl/mgopenglP.h, src/lib/mg/opengl/mgopenglshade.c:
	Signed/unsigned warning and/or unused parameter warning.

	* src/lib/mg/rib/mgribtoken.c: Empty if body.

	* src/lib/mg/x11/mgx11windows.c, src/lib/oogl/lisp/lisp.c, src/lib/oogl/refcomm/handle.c, src/lib/oogl/refcomm/reference.h, src/lib/oogl/refcomm/streampool.c:
	Signed/unsigned warning and/or unused parameter warning.

	* src/lib/oogl/util/ppopen.c: Signed/unsigned warning.

	* src/lib/oogl/util/vvec.h: Unused parameter.

	* src/lib/shade/apstream.c: Signed/unsigned warning.

	* src/lib/shade/light.c: Unused parameter.

	* src/lib/shade/material.c: signed/unsigned warning.

	* src/lib/shade/texture.c: Unused parameter warning.

	* src/lib/window/winstream.c: signed/unsigned compiler warning.

2008-03-10  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac:
	Check for read(2), write(2) in preparation for Mac OS/X fixes for iobuffer.c

	* src/lib/oogl/refcomm/streampool.c:
	Protect PoolInAll() against pool deletion. Should be ok now.

	* src/lib/shade/texture.c: Cosmetics on error message.

2008-03-09  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi, doc/version-pt_BR.texi:
	Partial pt_BR translation of geomview-pt_BR
	Removing @letterpaper in geomview-pt_BR
	updating version-pt_BR.texi

2008-03-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview-pt_BR.texi, doc/geomview.texi:
	Fixes for broken case-insensitive file-systems.

	* data/gcl/events.gcl:
	Contained non-working debugging left-over code. Fix that.

2008-03-02  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/version-pt_BR.texi, doc/version.texi, NEWS: Update.

	* src/lib/oogl/util/iobuffer.c: Missing #endif. Gnah.

	* src/lib/oogl/util/iobuffer.c:
	Only disable stdio buffering if __GLIBC__ is defined. In particular
	this should fix performance problems with MAC OS/X.

	* src/lib/oogl/refcomm/streampool.c:
	Reference count for "pool-handles" was increased too often for
	multi-object files.

	* src/bin/geomview/common/comm.c:
	Do attach temporary pool-handles to geoemtries; this is needed to read
	sequences of objects from non-command-language files.

	* src/bin/geomview/common/lang.c:
	New debugging function (dump-pools) which dumps the list of currently
	active pools to stderr.

	* src/lib/oogl/refcomm/handle.c:
	Only close and delete pools attached to non-permanent handles.

	* src/lib/shade/image.c:
	Default to "raw" filter if no filter was specified; fix a NULL-pointer
	reference.

2008-02-19  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial pt_BR translation

2008-02-18  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial pt_BR translation

2007-11-29  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial pt_BR translation

2007-11-28  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi:
	Partial pt_BR translation and fouth line adjust

2007-11-25  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Adjusting diacritical marks only

	* doc/geomview-pt_BR.texi: Partial translation pt_BR

2007-11-18  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview.texi: changing "N < 3" to "N > 3"

2007-11-16  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi partial translation

2007-11-15  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi, doc/geomview.texi:
	geomview.texi - changing "normalizaton" to "normalization"
	geomview-pt_BR.texi partial translation

2007-11-04  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi partial translation

2007-11-03  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi partial translation

2007-10-22  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi partial translation

2007-10-20  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi partial translation

2007-10-09  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: geomview-pt_BR.texi partial translation

	* doc/version-pt_BR.texi: Translating month name to portuguese

2007-10-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/comm.c:
	(echo ...) command: for compatibility switch back to the old and
	inconsistent behaviour: strings are printed without quotes, but if the
	argument is the result of a function evaluating to string, do not omit
	the quote.  This way (echo (real-id focus)) will be printed with
	quotes (e.g. as `"Camera"'), but (echo "Camera") will be printed
	without quotes.

	* ChangeLog: Update.

	* doc/version-pt_BR.texi, doc/version.texi:
	Update. These files to not belong to the CVS archive.

	* data/Makefile.am:
	Add GCL examples to demonstrate the new lisp-features.

	* configure.ac: Version to 1.9.5.

	* NEWS: Cosmetics.

2007-09-27  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial pt-BR translation and adjusts

2007-09-24  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* data/gcl/events.gcl: Cosmetics.

2007-09-23  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* .cvsignore: No longer ignore gvcl-mode.el

2007-09-22  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* gvcl-mode.el, data/gcl/arithmetic.gcl, data/gcl/events.gcl:
	Initial revision.

2007-09-21  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac, doc/version-pt_BR.texi, src/lib/oogl/lisp/lisp.c, src/lib/oogl/lisp/lisp.h, src/lib/oogl/lisp/lisp2c, src/lib/oogl/wa/fsaparse.l, src/lib/oogl/wa/fsaparse.y:
	Some cleanup after examining the diff w.r.t. 1.9.4.

2007-09-20  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi: Also mention redefining of builtin-functions.

	* doc/geomview.texi, doc/version-pt_BR.texi: Update.

	* doc/version.texi: Document the new lisp-features.

	* src/lib/oogl/lisp/lisp.c: Doc typos.

	* NEWS, configure.ac: Update.

	* src/lib/oogl/lisp/lisp.c:
	Use stdout as default output channel of a lake if nothing else is specified.

	* src/bin/geomview/x11/gvevent.c, src/lib/oogl/refcomm/streampool.c, src/lib/oogl/refcomm/streampool.h:
	Make use of pool->awaken (and set it!).

	* geomview.sh: Add LC_NUMERIC=POSIX

	* src/bin/geomview/x11/gvui.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/event.c, src/bin/geomview/common/lang.h, src/bin/geomview/common/ui.c:
	Introduce NOT_A_KEYWORD as undefined keyword value and fix some
	stereowin related issues.

2007-09-19  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/shade/light.c: LmCopyLights(): really copy the lights.

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/comm.c:
	Mostly cosmetics.

	* src/bin/stereo/stereo.c: Update to changed lisp stuff.

2007-09-18  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/refcomm/streampool.c:
	addtime() wrongly called, caused by previous change.

	* src/lib/oogl/lisp/lisp.c: Interests were broken by previous  changes.

	* src/bin/nose/nose.c:
	If no edge was picked then one must not try to access the edge
	co-ordintates.

	* src/lib/oogl/refcomm/streampool.c, src/lib/oogl/refcomm/streampool.h, src/bin/geomview/x11/gvevent.c:
	New lisp-function (process-events) which passes control back to
	geomview event-loop, in principle it is now possible to control
	geomview entirely out of a lisp-script.

	* src/lib/oogl/lisp/lisp.c: Fix the name-space implementation.

	* src/lib/oogl/lisp/lisp.c: &rest/&optional fix.

2007-09-17  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/lisp/lisp.c, src/lib/oogl/lisp/lisp.h:
	let function, local variables, &rest and &optional for defun

	* doc/version-pt_BR.texi, doc/version.texi: Update.

2007-09-16  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/comm.c, src/bin/geomview/common/lang.c, src/bin/geomview/common/lispext.c, src/bin/geomview/common/worldio.c, src/lib/oogl/lisp/lisp.c, src/lib/oogl/lisp/lisp.h, src/lib/oogl/lisp/lisp2c:
	Distinguish between quoted and un-quoted strings. Function names have
	to be unquoted, also parameters and global variables
	(i.e. setq). Quoted strings are never bound to function, parameter or
	variable names. A quoted paren cannot terminate or begin a S-expr, it
	just stands for itself.

	* src/bin/geomview/common/help.c:
	Fix help messages for synonymous commands.

	* src/bin/animate/animate.c: char ch = (char)NULL -> char ch = '\0'

2007-09-16  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial pt-BR translation

2007-09-16  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview-pt_BR.texi, doc/version-pt_BR.texi, doc/version.texi:
	Fix a copy'n paste "bug".

	* src/bin/geomview/common/comm.c, src/bin/geomview/common/event.c, src/bin/geomview/x11/gvcamui.c, src/lib/oogl/lisp/lisp.c, src/lib/oogl/lisp/lisp.h:
	Basic lambda-expression/defun/setq support.

	* src/bin/geomview/x11/gvmnpanel.c: Replace (char)NULL by (char)0.

	* doc/.cvsignore: Add translated manual output files.

	* src/lib/oogl/lisp/lisp2c:
	Just pick up the first LDECLARE after an LDEFINE.

	* src/lib/oogl/refcomm/streampool.c:
	Move gettimeofday() stuff to ../util/time.c

	* src/lib/oogl/util/ooglutil.h: inline vvec stuff, proto-types.

	* src/lib/oogl/util/futil.c: char * <-> const char *

	* src/lib/oogl/util/iobfutil.c:
	Optionally report the quote-state of a token.

	* src/lib/oogl/wa/.cvsignore: Ignore autogenerated wa.... stuff.

	* src/lib/oogl/util/time.c, src/lib/oogl/util/vvec.h: Initial revision.

	* src/lib/oogl/util/fsa.c, src/lib/oogl/util/fsa.h:
	New function fsa_delete() to get rid of an entire parser, needed by
	lambda-expression stuff.

	* src/lib/oogl/util/Makefile.am: Add time.c

	* src/lib/oogl/util/Headers: Add vvec.h

2007-09-08  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial pt-BR translation

	* doc/geomview.texi: {RG}b to {RGB}

	* doc/geomview.texi:
	"Draw" to "Show" and "right" to "left" in Appearence panel.
	Faces, Edges, Normals, BBox and Vects are under "show"
	and not under "draw" and in "upper left corner" and not in
	"upper right corner".

2007-09-05  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/version-pt_BR.texi: Update day of month in version-pt_BR.texi

2007-09-04  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/version-pt_BR.texi: Update day of month in version-pt_BR.texi

	* doc/geomview-pt_BR.texi, doc/version-pt_BR.texi:
	Partial Translation pt_BR of geomview-pt_BR.texi
	Update of month in version-pt_BR.texi

2007-09-02  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial Translation pt_BR

2007-09-01  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial Translation pt_BR

2007-08-30  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/list/listdraw.c: Use alloca() less often.

2007-08-29  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/drawer.c: Optional timing stuff.

2007-08-27  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* ChangeLog: Claim to have released v1.9.4

2007-08-27    <claus@mathematik.uni-freiburg.de>

	*  Release of Geomview 1.9.4

2007-08-23  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* NEWS: Mention GEOMROOT environment variable.

	* doc/Makefile.am: install/uninstall-local hook for the html stuff.

	* src/bin/geomview/common/help.c: Undo a debugging message.

	* doc/Makefile.am, src/bin/geomview/common/help.c:
	Support for installing and viewing a language specific manual (by
	examining the LANG environment variable).

	* doc/Makefile.am: Forgot to distribute geomview-pt_BR.pdf.

	* doc/version-pt_BR.texi, doc/version.texi: Update to 1.9.4.

	* rcs2log: Initial revision.

	* ChangeLog: Update.

	* AUTHORS, NEWS: Version to 1.9.4

	* README: Add Jorge Barros, bump version to 1.9.4.

	* geomview.sh:
	Revive the GEOMROOT environment variable, because the StageTools suite
	needs its presence.

	* configure.ac: Use a more verbose MACHTYPE.

	* doc/geomview-pt_BR.texi, doc/geomview.texi, doc/version-pt_BR.texi, doc/version.texi:
	Update.

2007-08-22  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Translation pt_BR small corrections.
	Thanks to Patrice Dumas.

2007-08-19  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial translation pt_BR

2007-08-12  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial translation pt_BR

2007-08-05  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi: Partial translation pt_BR

2007-08-04  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview-pt_BR.texi, doc/version-pt_BR.texi:
	Removing version-pt_BR.texi for keeping only version.texi
	Adjusting geomview-pt_BR.texi pointing to version.texi

	* doc/geomview-pt_BR.texi, doc/version-pt_BR.texi:
	Partial pt_BR translation

2007-08-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/Makefile.am: Fix typo (ooglttour-pt_BR -> oogltour-pt_BR).

2007-08-01  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/.cvsignore, doc/Makefile.am, doc/geomview-pt_BR.texi, doc/oogltour-pt_BR, doc/version-pt_BR.texi, doc/version.texi:
	Restructuring pt_BR translation.

2007-07-31  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/shade/image.c:
	run_filter(): did not close the write-end of the pipe.

	ImgStreamIn(): need to save the contents of w = iobfdelimtok(), it is
	overwritten on the next call to iobfdelimtok().

2007-07-29  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/geomview.texi: replacing "and and" by "and"

2007-07-28  Jorge Barros de Abreu  <ficmatin10@solar.com.br>

	* doc/oogltour: adjusting "Obscure panel" to "Inspect pull-down menu"

	* doc/oogltour: adjusting "More panels" to "Inspect pull-down menu"

2007-07-20  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi:
	Some button names were wrong in the Tutorial (reported by Jorge Barros
	de Abreu <ficmatin10@solar.com.br>)

2007-07-19  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/motion.c:
	Revert a previous change and do NOT call drawer_transform() directly,
	instead go throught he Lisp-functions (transform ...) and
	(transform-incr ...). Otherwise interest stuff does not work as before.

	* configure.ac:
	Give OPENGLINCLUDE an empty value instead of giving it a value of 0 if
	OpengGL cannot be found.

	* doc/geomview.texi: Fix a typo.

2007-07-18  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/comm.c:
	Fix not restoring pool->outf for a temporary (from string) command pool.

	* src/lib/oogl/util/iobuffer.c: Typo in comment.

2007-07-11  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/opengl/mgopengldraw.c:
	Only use the GLU tesselator if APF_CONCAVE is set (as was the previous behaviour)

	* src/lib/mg/opengl/mgopenglshade.c:
	Set GL_UNPACK_ALIGNMENT to 1 before scaling images; the default is 4.

	* src/lib/mg/opengl/mgopengldraw.c: Typo.

	* src/lib/gprim/polylist/plnormal.c:
	Use fneg() to evaluate the sign of scalar products.

2007-07-10  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/polylist/plnormal.c:
	Improved computation of per-vertex normals.

2007-07-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/mesh/meshload.c:
	Fix a bug introduced by the previous change.

2007-07-05  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/polylist/plsphere.c:
	Fix a memory leak; bounding sphere was created twice.

2007-06-21  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/version.texi: Update.

2007-06-21    <claus@mathematik.uni-freiburg.de>

	*  Release of Geomview 1.9.3

2007-06-21  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* AUTHORS, NEWS, README, configure.ac:
	Bump version to 1.9.3; spheres were severely broken in > 1.8.2 < 1.9.2

	* src/lib/gprim/sphere/spheredice.c:
	Drawing of sheres with center != 0 was severely broken.

2007-06-09  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* ChangeLog: Update.

	* configure.ac, geomview.sh, src/bin/geomview/common/main.c, src/bin/gvclock/gvclock.in:
	Locale stuff.

2007-06-09    <claus@mathematik.uni-freiburg.de>

	* Release of Geomview 1.9.2

2007-06-09  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac, geomview.sh, src/bin/geomview/common/main.c, src/bin/gvclock/gvclock.in:
	Locale stuff.

2007-06-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* ChangeLog, AUTHORS, NEWS, README: Version to 1.9.2

	* geomview.sh: Set LC_ALL to C to avoid problems with native language
	support. Geomview does not know about this stuff.

2007-06-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* AUTHORS, NEWS, README: Version to 1.9.2

	* geomview.sh: Set LC_ALL to C to avoid problems with native language
	support. Geomview does not know about this stuff.

2007-05-21  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi, doc/version.texi:
	Document changed picking interface.

	* NEWS, configure.ac: Update for 1.9.2

	* src/lib/oogl/lisp/lisp.c, src/bin/geomview/common/comm.c, src/bin/geomview/common/event.c, src/bin/geomview/common/transform.c:
	(morehelp ...) docs: Use "\n\n" as hard-line break, use any following
	tabs as indentation. Paragraphs are generated by "\n\n\n\n".

	* src/bin/geomview/common/pickfunc.h:
	Execute 3d picking code if pn <= 4 (i.e. the 3d block is also
	responsible for void pick events).

	* src/bin/nose/nose.c: Add myself to the copyright notice.

	* src/lib/gprim/geom/Makefile.am: Add nodedata.h to library sources.

	* src/lib/mg/x11/mgx11windows.c:
	Xmg_showdisplaylist(): do nothing if (xmin > xmax || ymin > ymax),
	otherwise calling X[Shm]PutImage() causes (justly) an X-error, which
	previously was caught by a custom error handler.

2007-05-20  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/ndutils/.cvsignore: Bump version stamps.

	* doc/example3.c: Update to recent pick changes.

	* src/bin/geomview/common/pickfunc.h:
	Fix PICKFUNC() macro. (most recent ND-pick changes)

	* src/bin/cplxview/Makefile.am, src/bin/example/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/hinge/Makefile.am, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am:
	First link with libgeomview, then with all other libs.

	* src/bin/graffiti/lang.c, src/bin/hinge/lang.c: ND-picking update.

	* src/bin/crayola/callbacks.c, src/bin/geomview/common/event.c, src/bin/geomview/common/pickfunc.h, src/bin/nose/nose.c:
	Pick events now use the new LVARARRAY stuff; this also means that
	picking of ND-objects is now fully (mmh, really?) supported. At least
	Nose seems to do the right things ...

	* src/bin/crayola/Makefile.am:
	First link with libgeomview, then with Tcl/Tk.

	* src/bin/geomview/common/drawer.c:
	drawer_dgeom(): Use NULL arg to GeomBSPTree(..., BSPTREE_CREATE) to
	trigger recreation.

	* src/bin/geomview/common/drawer.h, src/bin/geomview/common/ndshade.c:
	Comment out the last relicts of the most recent optimization attempts.

	* src/bin/geomview/common/lispext.c:
	List-type extension methods should be "static". Fix that.

	* src/bin/geomview/common/transform.c: Typo in error message.

	* src/bin/geomview/common/ndshade.c:
	Try to optimize ND-projections. Unluckily, it did not work out. Keep
	the source code embedded into "#if 0" brackets. See the comments in ndshade.c

	* src/lib/oogl/lisp/lisp.c, src/lib/oogl/lisp/lisp.h, src/lib/oogl/lisp/lisp2c:
	Implement new LVARARRAY lisp object: variable sized arrays, the
	argument parsing code just allocats as much space as needed. This
	comes in very handy -- e.g. -- for interest in pick objects.

	* src/lib/oogl/lisp/Makefile.am: Let clisp.c depend on lisp.h.

	* src/lib/oogl/lisp/Headers: lisp2.h was a duplicate, remove it.

	* src/lib/gprim/geom/Headers, src/lib/gprim/geom/bsptree.c, src/lib/gprim/geom/bsptree.h, src/lib/gprim/geom/bsptreeP.h, src/lib/gprim/geom/delete.c, src/lib/gprim/geom/geomclass.h, src/lib/gprim/geom/nodedata.h, src/lib/gprim/geom/pick.c, src/lib/gprim/geom/pickP.h, src/lib/gprim/geom/replace.c, src/lib/gprim/inst/instcreate.c, src/lib/gprim/list/listcreate.c:
	Fix BSP-tree invalidation.

	* src/lib/gprim/npolylist/nplcreate.c:
	Formatting (while re-reading the stuff).

	* src/lib/gprim/polylist/plsphere.c: Nd stuff fixes.

	* src/lib/geomutil/crayplutil/Makefile.am, src/lib/geomutil/crayplutil/crayNPolylist.c, src/lib/geomutil/crayplutil/crayola.c, src/lib/geomutil/crayplutil/crayolaP.h:
	Add colouring support for NPolyList objects. Only NDMeshes are still
	missing. But the ND-Mesh concept is broken anyway.

	* src/lib/geomutil/crayplutil/crayVect.c:
	Get rid of a compiler warning.

	* src/lib/geometry/hpointn/hpointn.h:
	HPt3NTransform(): used wrong permutation (inverted).

	* src/lib/geometry/transform3/tm3print.c:
	Geeh, this stuff still used printf instead of fprintf.

	* src/lib/geometry/transformn/transformn.h: Formatting of comments.

	* m4/geomview.m4: Check for Geomview in bindir first.

2007-05-18  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/drawer.c: Shut-off a compiler warnings.

	* src/lib/mg/x11/mgx11windows.c:
	Revert to hiding a bug of this broken stuff.

2007-05-16  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/util/iobuffer.c, src/lib/oogl/refcomm/streampool.c:
	Issue an error if non-blocking IO flags are not defined.

	* src/bin/geomview/common/comm.c:
	emodule_run() tiny fixes, shouldn't change anything.

	* data/Makefile.am: Distribute some more texture images.

	* src/lib/geometry/hpoint3/hpoint3.h:
	Hpt3MinMax(): catch the w == 0 case.

	* data/geom/textured/themi.bez: Use texturing.

	* data/geom/textured/Antenna.geom, data/geom/textured/GCGball, data/geom/textured/NASA.pgm.gz, data/geom/textured/dodec.off, data/geom/textured/geologo.pgm.gz, data/geom/textured/grid.pgm.gz, data/geom/textured/lunar-t.oogl, data/geom/textured/square.off, data/geom/textured/themi.bez, data/geom/textured/white.pgm.gz:
	Add missing texture images.

	* data/geom/textured/sphere.gcl, data/Makefile.am, data/geom/textured/Earth.pam.bz2:
	Initial revision of textured sphere (new replace apply flag + textured
	sphere support).

	* src/lib/gprim/bezier/bezbound.c:
	Bezier bounding boxes were totally broken.

	* src/lib/oogl/util/error.c, src/lib/oogl/util/futil.c, src/lib/oogl/util/glob.c, src/lib/oogl/util/iobfutil.c, src/lib/oogl/util/iobuffer.c, src/lib/shade/appearance.h, src/lib/shade/texture.c, src/bin/geomview/x11/gvlights.c, src/bin/geomview/x11/gvload.c, src/bin/geomview/x11/gvmaterial.c, src/bin/geomview/x11/gvmnpanel.c, src/bin/geomview/x11/gvsave.c, src/bin/geomview/x11/gvtoolui.c, src/bin/geomview/x11/gvui.c, src/bin/togeomview/Makefile.am, src/lib/geomutil/crayplutil/crayVect.c, src/lib/geomutil/plutil/anytopl.c, src/lib/gprim/discgrp/dgdraw.c, src/lib/gprim/discgrp/dgsave.c, src/lib/gprim/discgrp/dgstream.c, src/lib/gprim/discgrp/polyhedron.c, src/lib/gprim/geom/bsptree.c, src/lib/gprim/geom/delete.c, src/lib/gprim/geom/geomstream.c, src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/mesh/meshpick.c, src/lib/gprim/mesh/meshsave.c, src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshpick.c, src/lib/gprim/npolylist/nplcreate.c, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/skel/skelload.c, src/lib/gprim/skel/skelpick.c, src/lib/gprim/sphere/spherecreate.c, src/lib/gprim/sphere/spheremisc.c, src/lib/gprim/vect/vectpick.c, src/lib/mg/buf/mgbuf.c, src/lib/mg/buf/mgbufdraw.c, src/lib/mg/common/mg.c, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/ps/mgps.c, src/lib/mg/ps/mgpsdraw.c, src/lib/mg/ps/mgpstri.c, src/lib/mg/ps/mgpswindows.c, src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribP.h, src/lib/mg/x11/mgx11.c, src/lib/mg/x11/mgx11draw.c, src/lib/mg/x11/mgx11windows.c, src/lib/mib/mibScale.c, src/lib/mib/mibload.c, src/lib/oogl/lisp/lisp.c, src/bin/geomutil/oogl2rib/Makefile.am, src/bin/geomutil/oogl2rib/oogl2rib.c, src/bin/geomutil/oogl2vrml/Makefile.am, src/bin/geomutil/ucd/Makefile.am, src/bin/geomutil/ucd/anytoucd.c, src/bin/geomutil/ucd/ucdtooff.c, src/bin/geomutil/vrml2oogl/lib/QvFieldData.c++, src/bin/geomview/common/comm.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/event.c, src/bin/geomview/common/lang.c, src/bin/geomview/common/lang.h, src/bin/geomview/common/lights.c, src/bin/geomview/common/lispext.c, src/bin/geomview/common/shaders.c, src/bin/geomview/common/transform.c, src/bin/geomview/common/ui.c, src/bin/geomview/x11/gvappear.c, src/bin/geomview/x11/gvcameras.c, src/bin/geomview/x11/gvcolor.c, src/bin/geomview/x11/gvcommands.c, src/bin/geomview/x11/gvcredits.c, src/bin/animate/Makefile.am, src/bin/animate/animate.c, src/bin/clipboard/clipboard.c, src/bin/geomutil/clip/Makefile.am:
	Get rid of quite a bunch of SGI compiler warnings.

	* data/geom/torus8.oogl: Formatting.

	* m4/withtool.m4, m4/lf_local.m4:
	Don't use -qs (SGI compatibility issue).

	* src/lib/oogl/refcomm/streampool.c:
	StreamPoolTemp(): sizeof(dummy) was too small, bug introduced by an
	attempt to make the stuff 64-bit clean (actually: to make it
	independent from sizeof(void *)).

	* src/lib/oogl/refcomm/reference.c: No longer needed (inlined).

	* src/bin/geomutil/bdy/Makefile.am, src/bin/geomutil/bdy/drawbdy.sh:
	Installation directory layout change broke the drawbdy script (which
	already was somewhat broken anyway)

2007-05-15  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/worldio.c:
	Pool->level increment/decrement did not match.

	* src/bin/geomutil/vrml2oogl/lib/QvPList.c++: Another AIX fix.

	* src/lib/mg/opengl/mgopengldraw.c:
	Never release stuff without testing ...

	* data/Makefile.am, data/shaders/Makefile.am:
	Use "dist_" prefix instead of EXTRA_DIST for .._DATA stuff, distribute
	the compiled shader source.

	* src/lib/geometry/cmodel/cmodel.c:
	Do not use alloc for large arrays. Don't.

	* src/lib/gprim/geom/bsptree.c, src/lib/mg/opengl/mgopengldraw.c:
	Although otherwise documented the "vertex_data" argument to the GLU
	tesselator combine-callbine does _NOT_ always contain valid
	pointers. Also make sure that a zero homogeneous component does not
	produce NaNs; this leads to memory corruption or infinite loops in the
	tesselator.

	* src/lib/gprim/mesh/meshdraw.c:
	cm_mesh_draw() needs the per-point normals.

	* configure.ac, doc/Makefile.am, src/bin/geomutil/oogl2rib/oogl2rib.c, src/bin/geomutil/plutil/polymerge.c, src/lib/oogl/util/porting.h:
	Fix (hopefully) some issues concerning IBM AIX.

2007-05-12  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/event.c: Cosmetics.

	* src/bin/geomview/common/event.c: tog_ap_flag(): initialize ApStruct.

	* src/bin/geomutil/oogl2rib/Makefile.am: Add newline at end of file.

2007-05-07  Claus-Justus Heine  <claus@mathematik.uni-freiburg.de>

	* Release of Geomview 1.9.1

2007-05-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* ChangeLog, doc/version.texi: Release 1.9.1

2007-05-04  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* README: Bump version to 1.9.1

	* NEWS: Update.

	* doc/geomview.texi:
	Some sort of spell-checking. Not complete. ispell and TeXinfo is a real nightmare.

	* src/lib/mg/common/mg.c:
	When we delete a context then we must make sure that textures are
	pruned which only belong to this context, otherwise mgopengl thinks
	the texture is still loaded, even when the last (shared) OpenGL
	context has gone.

	* src/lib/mg/common/mgtexture.c: Cosmetics.

	* doc/Makefile.am: Tweak TEXINPUTS.

2007-05-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/Makefile.am:
	Try to provide working html doc in the build-directory.

	* configure.ac: Use automake 1.10.

2007-05-01  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/version.texi: Update.

	* doc/Makefile.am:
	Prevent automake from including Emacs backup-files into the distro.

	* AUTHORS, Makefile.am, NEWS, configure.ac: Bump version to 1.9.1

	* AUTHORS, README: Version stamps were wrong.

	* src/lib/aclib/putenv.c, src/lib/aclib/strdup.c:
	Fix bug "[ 1687598 ] Check return codes everywhere" where it was appropriate.

2007-04-29  Lloyd Wood  <L.Wood@surrey.ac.uk>

	* doc/geomview.texi: Fixing minor typo.

2007-04-27  Claus-Justus Heine  <claus@mathematik.uni-freiburg.de>

	* Release of Geomview 1.9.0

2007-04-27  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* ChangeLog: Update.

	* configure.ac: Use default docdir.

	* src/bin/togeomview/togeomview.c: Really fix the ipv4/v6 issue.

2007-04-26  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/util/iobuffer.c: Cosmetics.

	* src/lib/oogl/refcomm/streampool.c:
	initialization of pool->infd was broken.

2007-04-27  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac: Use default docdir.

	* src/bin/togeomview/togeomview.c: Really fix the ipv4/v6 issue.

2007-04-26  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/util/iobuffer.c: Cosmetics.

	* src/lib/oogl/refcomm/streampool.c:
	initialization of pool->infd was broken.

	* src/bin/togeomview/togeomview.c: Forgot an #ifdef (for IpV4/V6).

2007-04-25  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* m4/geomview.m4:
	Search under DEFAULT_PREFIX/lib/ and libdir for libgeomview.

	* configure.ac, src/lib/gprim/geom/bsptree.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/mg/opengl/mgopengldraw.c:
	Use ISO C99 variable size arrays through a VARARRAY() macro that falls
	back to alloca is ISOC99 is not available.

	* src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/ndmesh/ndmeshdraw.c:
	Try to avoid alloca for large arrays.

	* src/lib/geomutil/crayplutil/crayolaP.h: missing proto-type

	* src/bin/togeomview/togeomview.c: Some uninitialized variables.

	* src/bin/nose/nose.c: main() should return something.

	* configure.ac: Check for ISO C99 features.

	* m4/iso-c99.m4: Initial revision.

2007-04-24  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* INSTALL.Geomview, NEWS, README, README.cvs: Doc update.

2007-04-21  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac: Call GEOMVIEW_SET_PREFIX (DEFAULT_PREFIX env var etc)

2007-04-20  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* m4/geomview.m4:
	Check for libgeomview under DEFAULT_PREFIX, disable (per default)
	--enable-geomview-query if --prefix was given (can be re-enabled).

	* m4/set-prefix.m4: Iterate with eval.

2007-04-19  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/space.c:
	Fix ND-view scale bug, introduced by earlier changes.

	* src/bin/geomview/common/motion.c: Formatting.

	* src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/nplcopy.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/sphere/spherecreate.c, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/ps/mgpsdraw.c, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/rib/mgribshade.c, src/lib/mg/rib/mgribtoken.h, src/lib/mg/x11/mgx11draw.c, src/lib/shade/image.c:
	Compiler warnings.

2007-04-18  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quaddraw.c, src/lib/mg/opengl/mgopengldraw.c:
	Partial support for flat-shaded facets with smooth color interpolation
	between the vertices.

	* src/lib/gprim/mesh/meshnormal.c:
	Fill per-quad normals for all mesh points to support shading=vcflat.

	* src/lib/gprim/mesh/meshdraw.c:
	Support shading=vcflat in draw_projected_mesh().

	* src/lib/shade/apstream.c: Support shading=vcflat

	* src/lib/mg/opengl/mgopenglmesh.c:
	Fix a bug missing () bug in mgopenglsubmesh().

2007-04-17  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/event.c, src/bin/geomview/common/ui.c, src/bin/geomview/common/ui.h, src/lib/gprim/polylist/plload.c, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/opengl/mgopenglmesh.c, src/lib/shade/appearance.h, src/lib/shade/apstream.c:
	New shading option VCflat: smooth interpolated per-vertex colours, but with flat lighting.

	* m4/geomview.m4:
	Make --enable-geomview-query the default, i.e. ask the installed
	version of Geomview about the installation directories if not disabled
	via --disable-geomview-query.

	* m4/check-package.m4:
	Iterate with eval over the extra framework search paths.

	* m4/check-package.m4: Revert previous two changes.

2007-04-16  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* m4/check-package.m4:
	Need to use LDFLAGS; the library path passed to AC_CHECK_LIB() in the
	last argument really is passed as last argument to the linker; and
	linker paths are position sensitive.

2007-04-15  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/util/iobuffer.c:
	iobffileopen(): bail out if istream argument is NULL.

	* src/lib/oogl/refcomm/streampool.c: Handle drive-letter in file name.

2007-04-12  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/rib/mgribtoken.c: Again:

	The world is not Big-Endian (luckily). So fix the damn RIB-stuff to
	not misbehave.

	Also:
	Binary RIB was missing some tokens the ASCII stuff already was aware of.

	* src/lib/mg/rib/mgribtoken.c:
	The world is not Big-Endian (luckily). So fix the damn RIB-stuff to
	not misbehave.

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/lang.c, src/bin/geomview/common/worldio.c, src/bin/geomview/x11/gvsave.c:
	Make sure we can save the universe (i.e. include aliens).

2007-04-11  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/ndutils/TransformGeom.c, src/bin/ndutils/WithColor.c:
	Support 3d-snapshots for Insts (colored or not).

	* src/bin/ndutils/TransformGeom.c:
	3d snapshot without colour works for INSTs, colour snapshots still to
	be done (but should now be trivial).

	* src/bin/ndutils/TransformGeom.c, src/bin/ndutils/Clip.h, src/bin/ndutils/GeomtoNoff.c:
	Trying to make 3d snapshots work again ... (not yet).

2007-04-10  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/worldio.c: Use bool true/false

	* src/bin/ndutils/snapshot.c: Quote geometry names.

	* src/bin/ndutils/clip.c:
	clip_all_vertices(): the list head may be deleted, cope with that.

	* src/bin/ndutils/clipoogl.c: readNDPoly() was broken (my fault).

	* src/bin/ndutils/testwish.c: Emacs stuff.

	* src/bin/ndutils/GeomtoNoff.c:
	Make it work for lists and insts, fix toNoffNPolyList() (did modify
	stuff instead of copying).

	* src/bin/ndutils/Clip.h: Bool data type.

	* src/lib/gprim/npolylist/nplcreate.c:
	CR_POINT: homogeneous component is now at index 0 for ND stuff.

	* src/lib/gprim/npolylist/nplcopy.c:
	Only copy per-vertex colour if they are present.

	* src/lib/gprim/geom/geomstream.c:
	GeomStreamOut(): _always_ surround geometries by braces, some
	geometries (INSTs) have a variable number of "sections" which may be
	there or not.

	* src/bin/geomview/common/worldio.c:
	save_dgeom_geom(): only decrease the pool-level is wrap == true.

	* src/lib/oogl/refcomm/streampool.c: PoolIncLevel(): debugging code.

2007-04-09  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/geometry/ntransobj/ntransobj.c: Forgot the closing brace.

	* src/bin/ndutils/GeomtoNoff.c: Try to support Inst objects.

	* src/lib/geomutil/crayplutil/craySkel.c:
	cray_skel_UseFColor(): allocation bug.

	* src/bin/crayola/callbacks.c, src/bin/geomview/common/lispext.c:
	Stringe geom-ids have to be quoted, they might contain spaces.

	* doc/geomview.texi, src/lib/gprim/inst/inststream.c:
	Allow texture transform in the on-disk format.

	* src/lib/gprim/inst/instcreate.c:
	InstCopy(): need to initialize txtlist.

	* m4/check-package.m4: Some more m4 fixes.

2007-04-08  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* data/Makefile.am: Add moebius.skel

	* src/bin/crayola/callbacks.c: Cosmetics.

	* src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skelload.c, src/lib/gprim/skel/skelpick.c:
	Pick related fixes.

	* src/lib/geomutil/crayplutil/Makefile.am, src/lib/geomutil/crayplutil/crayPolylist.c, src/lib/geomutil/crayplutil/craySkel.c, src/lib/geomutil/crayplutil/crayola.c:
	Some smaller fixes + support for SKEL objects.

2007-04-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* m4/withtool.m4:
	Fix empty path issue in GV_PATH_PROG (dirname perl == ., not empty).

	* configure.ac: Make sure to use new CHECK_PACKAGE stuff.

	* src/lib/geomutil/crayplutil/crayMesh.c, src/lib/geomutil/crayplutil/crayPolylist.c, src/lib/geomutil/crayplutil/crayQuad.c:
	Colouring edge picks should really only colour the edge. Fix that.

	MISSING: colouring of SKEL objects.

	* doc/version.texi, src/bin/NDview/Makefile.am, src/bin/crayola/Makefile.am, src/bin/labeler/Makefile.am, src/bin/ndutils/Makefile.am:
	Make sure to use new CHECK_PACKAGE stuff.

	* src/bin/crayola/callbacks.c: Cosmetics.

	* src/bin/cplxview/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/hinge/Makefile.am, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am:
	Use new CHECK_PACKAGE() stuff etc.

	* src/bin/example/Makefile.am:
	XFORMS_ALL_INCLUDES already contains ${X_CFLAGS}

	* m4/check-package.m4, m4/geomview.m4:
	FreeBSD seems to work now (with this emodule)

	* m4/check-package.m4: Cosmetics.

	* m4/check-package.m4, src/bin/example/Makefile.am:
	We need to be a little bit more careful when checking for packages;
	Linux is not the world.

	* src/bin/crayola/Makefile.am, src/bin/crayola/tkcrayola.c:
	Fix checking for tcl/tk headers.

	* Makefile.am, m4/lf_local.m4:
	Fix header link & install issue for auto-generated headers.

2007-04-06  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/cplxview/Makefile.am, src/bin/example/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/hinge/Makefile.am, src/bin/ndutils/Makefile.am, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am:
	Fix include path for private headers.

	* m4/check-package.m4, m4/geomview.m4:
	Fix include path stuff for tcl and geomview

	* src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quaddraw.c:
	Fix faulty alloca #ifdef's

	* src/lib/shade/image.c: Need to include signal.h

	* configure.ac: Fix --help texts.

	* src/bin/geomview/common/main.c, src/bin/togeomview/togeomview.c, src/bin/geomview/common/comm.c, src/bin/geomview/geomview.1gv, doc/geomview.texi:
	Support IPv4/v6 sockets. Somewhat dangerous, but so what.

	* src/bin/geomview/x11/gvcamui.c: Remove spaces from version string.

	* src/lib/oogl/refcomm/streampool.c: Cosmetics.

	* configure.ac, src/bin/geomview/common/comm.c, src/bin/geomview/common/main.c, src/bin/togeomview/togeomview.c:
	Try to support IPv4/v6 sockets.

	* src/bin/geomutil/math2oogl/math2oogl.c, src/lib/oogl/refcomm/streampool.c:
	Cosmetics: use PF_xxx insteadof AF_xxx as argument to connect.

2007-04-05  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/crayola/callbacks.c, src/bin/crayola/tkcrayola.c:
	Replace the functionality of Tcl_CreateFileHandler() by polling via
	timer events.

	* src/bin/cplxview/.cvsignore: Add .geomview.

	* src/bin/flythrough/data/Makefile.am: EXTRA_DIST stuff.

	* src/bin/geomview/common/comm.c: Typo.

	* src/bin/geomview/x11/gvmain.c: Local variables section.

2007-04-04  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/refcomm/streampool.c:
	HandleReferringTo(): ref-count cleanups introduced some bugs which
	made it impossible to read from a named pipe, fix that (always return
	with a handle if the file could be opened, even when it does not have
	(yet) data available).

	* data/Makefile.am: dodec.vec belongs to cplxview.

	* src/bin/nose/nose.c: Fix some compiler warnings.

2007-04-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/flythrough/Makefile.am, src/bin/flythrough/data/Makefile.am:
	Move flythrough data to flythrough emodule.

	* src/bin/flythrough/data/.cvsignore: Add Makefile[.in]

	* data/groups/equi.1.gv, data/groups/equi.2.gv, data/groups/equi.3.gv, data/groups/equi.4.gv, data/groups/loop.1.gv, data/groups/loop.2.gv, data/groups/loop.3.gv, data/groups/loop.4.gv, data/groups/quart.1.gv, data/groups/quart.2.gv, data/groups/quart.3.gv, data/groups/quart.4.gv, data/Makefile.am, data/geom/dodec.vect, data/geom/flythrough_diagram.gv, data/groups/br4.0.tlist, data/groups/br4.1.tlist, data/groups/br4.2.tlist, data/groups/br4.3.tlist, data/groups/dir.1.gv, data/groups/dir.2.gv, data/groups/dir.3.gv, data/groups/dir.4.gv:
	Move flythrough data to flythrough emodule.

	* src/bin/flythrough/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/hinge/Makefile.am, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am, src/bin/example/Makefile.am, src/bin/NDview/Makefile.am, src/bin/cplxview/Makefile.am, src/bin/crayola/Makefile.am, src/bin/ndutils/Makefile.am:
	Add path to X11 include files via X_CFLAGS.

	* src/lib/gprim/geom/Makefile.am: OPENGLINCLUDE without trailing s.

	* src/lib/gprim/geom/geomclass.h: free-list fix.

	* src/lib/gprim/geom/bsptree.c, src/lib/mg/opengl/mgopengldraw.c:
	Fix a compiler warning.

	* src/lib/mib/Makefile.am:
	Use X_CFLAGS for the proper location of the X11-headers.

	* src/lib/oogl/util/malloc-debug.c:
	Only use malloc.h and mallinfo() when found by configure.

	* src/lib/shade/image.c:
	compressBound() is not always available, replace by a macro in that case.

	* src/lib/geometry/hpointn/hpointn.h, src/lib/geometry/transformn/transformn.h, src/lib/oogl/util/freelist.h:
	Fix w.r.t. to local/extern/declaration only free-lists.

	* src/lib/geometry/hpoint3/Makefile.am, src/lib/geometry/hpointn/Makefile.am:
	Do not create empty archives.

	* src/bin/geomview/x11/Makefile.am, src/bin/labeler/Makefile.am, src/lib/mg/x11/Makefile.am:
	Use X_CFLAGS; on older systems the X11 headers are still below X11R6/include/

	* configure.ac:
	Do not try to generate empty archives, this is not supported on all
	platforms. Check for compressBound() if zlib is found (then it is
	pre-1.2.x). Check for malloc.h and mallinfo() (debugging only).

	* data/shaders/Makefile.am: Forgot to add .sdl files to clean-local:

	* configure.ac:
	AC_CHECK_TYPES takes a comma separated list. Gnah. Autoconf is really
	inconsistent.

2007-04-02  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/nose/nose.c:
	Fix the nose emodule; need to use IOBFILEs not FILEs.

	* src/bin/example/.cvsignore, src/bin/labeler/.cvsignore:
	Ignore .geomview.

	* src/bin/example/Makefile.am: Typo.

	* src/bin/geomview/common/event.c:
	Keyboard short-cuts for help browsers (html/pdf).

	* src/bin/NDview/Makefile.am: EXTRA_DIST was doubly defined.

2007-04-01  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi: Finish the docs for (ui-html-browser .........

	* src/bin/geomview/common/help.c, Makefile.am, configure.ac, geomview.sh, src/Makefile.am, src/bin/geomview/common/Makefile.am, src/bin/geomview/common/ui.h, src/bin/geomview/geomview.1gv, src/bin/geomview/x11/gvmnpanel.c:
	Add a real "Help" button the the main-menu; the user manual may be
	viewed by external browsers (either PDF or HTML, browsers are
	configurable).

	* src/lib/oogl/lisp/lisp.c: Fix an ugliness.

	* doc/geomview.texi:
	Document (ui-html-browser...) and (ui-pdf-viewer...) configuration commands.

	* src/bin/geomview/x11/gvcredits.c, src/bin/geomview/x11/interface/Credits.mib:
	Convert the "credits" stuff into an "about" panel, add myself and the
	others from the README.

	* src/bin/geomview/x11/Makefile.am: Use %Y format for date, not %y.

	* src/lib/mib/mibload.c: Cosmetics.

	* src/bin/geomview/x11/gvcredits.c: Add myself.

	* src/bin/geomview/x11/gvui.c, src/bin/geomview/common/lang.c, src/bin/geomview/common/lang.h, src/bin/geomview/x11/gvmnpanel.c:
	Defined a (ui-motion ...) command to give access to the motion menu
	through GCL.

	* doc/geomview.texi, doc/version.texi:
	Document new (ui-motion...) GCL command.

	* src/bin/NDview/.cvsignore, src/bin/NDview/Makefile.am, src/bin/crayola/Makefile.am, src/bin/labeler/Makefile.am, src/bin/ndutils/.cvsignore, src/bin/ndutils/Makefile.am:
	--enable-[local-emodule,geomview-query] support.

	* src/bin/flythrough/.cvsignore, src/bin/ginsu/.cvsignore, src/bin/graffiti/.cvsignore, src/bin/hinge/.cvsignore, src/bin/stereo/.cvsignore, src/bin/sweep/.cvsignore, src/bin/tackdown/.cvsignore, src/bin/transformer/.cvsignore:
	Ignore .geomview.

	* src/bin/hinge/Makefile.am: Typo.

	* src/bin/cplxview/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/hinge/Makefile.am, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am:
	Support the --enable-[local-emodule,geomview-query] switches.

	* data/Makefile.am: Move Hinge... objects to gvemodules-xforms

	* data/geom/HingeCube, data/geom/HingeDiamond, data/geom/HingeDodec, data/geom/HingeLongcube, data/geom/HingeTetra, data/geom/HingeTriangle:
	Moved to gvemodules-xforms/src/hinge/

	* src/bin/example/Makefile.am:
	Changes w.r.t. to template-like automake stuff.

	* src/bin/example/Makefile.am:
	Use abs_builddir as path to the executable for the local .geomview
	emodule definition.

	* src/bin/crayola/Makefile.am:
	Generate .geomview for local testing (without the need to install the stuff).

	* src/bin/crayola/.cvsignore: Ignore .geomview.

	* m4/geomview.m4: Fix help text (kill reference to "example" emodule).

	* src/lib/gprim/geom/Makefile.am:
	bsptree.c needs the correct path to the glu.h header file 'cause it is
	using the GLU tesselator for complicated polygons.

2007-03-24  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* NEWS, doc/geomview.texi:
	Docment most recent translucency progress (by means of the GLU tesselator).

	* src/lib/gprim/geom/bsptree.c:
	Use a very large floating point tolerance (1e-3). This still seems to
	give good results in most cases, and prevents consumption of
	tremendous amounts of memory for translucent ND-objects and for
	Adrian's fancy self-intersecting polygons.

	* src/lib/gprim/geom/bsptreeP.h, src/lib/gprim/geom/draw.c, src/lib/gprim/geom/geomclass.h, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quaddraw.c:
	Various ND-viewing translucency fixes; the stuff was broken again. Gnah.

	* src/lib/oogl/util/dbllist.h:
	New function DblListMove(): move the entire list from one head to
	another (this implies adjusting the back pointers to the list head as
	well 'cause it is a doubly linked list).

	* src/lib/mg/common/mg.c:
	Fix of a very silly beginners bug. What a shame.

2007-03-23  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/opengl/mgopengldraw.c:
	Clean up of the "tricky" polygon code.

	* src/lib/gprim/geom/bsptree.c:
	Give the GLU tesselator the (already computed) normal.

	* src/lib/gprim/geom/bsptree.c:
	Use the GLU tesselator for non-convex quadrilaterals and for all
	polygons with more than 4 vertices. Should still need some performance
	tuning (e.g. we should pass the polygon normal to the tesselator etc.)

	* src/lib/gprim/geom/bsptree.c:
	Untested "#if 0"ed GLU tesselation for non-convex or non-flat polygons.

	* configure.ac, src/lib/gprim/geom/bsptree.c, src/lib/mg/opengl/mgopengldraw.c:
	Define HAVE_LIBGLU is that library is actually there, only compile
	trickypolygon() if GLU is found.

	The stuff still needs cleanup. The first attempt at the combine
	callback was really incomplete (textures, colors etc); and it could
	probably be sped up a little bit.

	First attempts to use the GLU tesselator for the BSP-tree stuff.

	* src/lib/gprim/discgrp/Makefile.am, src/lib/gprim/discgrp/discgrp.5gv:
	Resurrect the discgrp manual page.

	* data/NDview/cplxview/.cvsignore, data/NDview/cplxview/Makefile.am:
	Compose an cplxview emodule.

	* data/Makefile.am: Move cplxviewdata to that module.

	* data/NDview/.cvsignore, data/NDview/Makefile.am:
	Move NDview data to the nd-view module where it belongs to.

	* src/bin/nose/Makefile.am: Typos.

	* data/Makefile.am:
	Move NDview data to NDview module where it belongs to.

	* configure.ac: Get rid of "foreign" automake flag.

	* README, configure.ac, src/bin/Makefile.am: Add nose emodule.

	* src/bin/geomutil/math2oogl/Makefile.am: Add man-page to EXTRA_DIST.

	* src/bin/nose/.cvsignore, src/bin/nose/Makefile.am, src/bin/nose/nose.1gv, src/bin/nose/nose.c:
	Nose module / example, debugging for picking.

	* m4/check-package.m4, m4/geomview.m4:
	Writing autoconf test is really a little bit complicated ...

	* m4/geomview.m4:
	Check also in standard places for geomview include files.

2007-03-22  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi, doc/version.texi: Version bumped to 1.9.0

	* src/lib/geomutil/Makefile.am, src/lib/geomutil/bdy/Makefile.am, src/lib/geomutil/plutil/Makefile.am, src/lib/oogl/wa/Makefile.am:
	Man-page move (NR -> NRgv).

	* doc/Makefile.am: Man page update.

	* doc/gvplot.txt: This really is README.gvplot.

	* src/lib/Makefile.am: Versioning.

	* src/bin/togeomview/Makefile.am, doc/geomview.5gv, doc/lisp.3gv, doc/oogl.5gv, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am, src/bin/example/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/geomutil/bdy/Makefile.am, src/bin/geomutil/clip/Makefile.am, src/bin/geomutil/hvectext/Makefile.am, src/bin/geomutil/oogl2rib/Makefile.am, src/bin/geomutil/oogl2vrml/Makefile.am, src/bin/geomutil/plutil/Makefile.am, src/bin/geomutil/ucd/Makefile.am, src/bin/geomutil/vrml2oogl/Makefile.am, src/bin/geomview/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/hinge/Makefile.am, src/bin/sweep/Makefile.am, doc/Makefile.am, src/bin/animate/Makefile.am, src/bin/cplxview/Makefile.am, src/bin/crayola/Makefile.am, src/lib/geomutil/bdy/bdy.3gv, src/lib/geomutil/plutil/anytopl.3gv, src/lib/geomutil/plutil/plcombine.3gv, src/lib/geomutil/plutil/plconsol.3gv, src/lib/oogl/wa/fsaparse.3gv, src/bin/geomview/geomview.1gv, src/bin/ginsu/ginsu.1gv, src/bin/graffiti/graffiti.1gv, src/bin/hinge/hinge.1gv, src/bin/sweep/sweep.1gv, src/bin/sweep/sweep.3gv, src/bin/tackdown/tackdown.1gv, src/bin/togeomview/togeomview.1gv, src/bin/transformer/transformer.1gv, src/lib/geomutil/geomutil.3gv, src/bin/geomutil/clip/clip.1gv, src/bin/geomutil/hvectext/hvectext.1gv, src/bin/geomutil/math2oogl/OOGL.m.txt, src/bin/geomutil/math2oogl/math2oogl.1gv, src/bin/geomutil/oogl2rib/oogl2rib.1gv, src/bin/geomutil/oogl2vrml/oogl2vrml.1gv, src/bin/geomutil/plutil/anytooff.1gv, src/bin/geomutil/plutil/bez2mesh.1gv, src/bin/geomutil/plutil/offconsol.1gv, src/bin/geomutil/plutil/polymerge.1gv, src/bin/geomutil/ucd/anytoucd.1gv, src/bin/geomutil/ucd/ucdtooff.1gv, src/bin/geomutil/vrml2oogl/vrml2oogl.1gv, src/bin/animate/animate.1gv, src/bin/cplxview/cplxview.1gv, src/bin/crayola/crayola.1gv, src/bin/example/example.1gv, src/bin/flythrough/flythrough.1gv, src/bin/geomutil/bdy/bdy.1gv, src/lib/geomutil/bdy/bdy.3, src/lib/geomutil/plutil/anytopl.3, src/lib/geomutil/plutil/plcombine.3, src/lib/geomutil/plutil/plconsol.3, src/lib/oogl/wa/fsaparse.3, src/lib/geomutil/geomutil.3, src/bin/tackdown/tackdown.1, src/bin/togeomview/togeomview.1, src/bin/transformer/transformer.1, src/bin/geomview/geomview.1, src/bin/ginsu/ginsu.1, src/bin/graffiti/graffiti.1, src/bin/hinge/hinge.1, src/bin/sweep/sweep.1, src/bin/sweep/sweep.3, src/bin/geomutil/plutil/bez2mesh.1, src/bin/geomutil/plutil/offconsol.1, src/bin/geomutil/plutil/polymerge.1, src/bin/geomutil/ucd/anytoucd.1, src/bin/geomutil/ucd/ucdtooff.1, src/bin/geomutil/vrml2oogl/vrml2oogl.1, src/bin/geomutil/oogl2rib/oogl2rib.1, src/bin/geomutil/oogl2vrml/oogl2vrml.1, src/bin/geomutil/plutil/anytooff.1, src/bin/geomutil/hvectext/hvectext.1, src/bin/geomutil/maple2oogl/Makefile.am, src/bin/geomutil/math2oogl/Makefile.am, src/bin/geomutil/math2oogl/math2oogl.1, src/bin/geomutil/bdy/bdy.1, src/bin/geomutil/clip/clip.1, src/bin/flythrough/flythrough.1, src/bin/example/example.1, src/bin/cplxview/cplxview.1, src/bin/crayola/crayola.1, doc/oogl.5, src/bin/animate/animate.1, doc/geomview.5, doc/lisp.3:
	Give all manual pages a gv suffix, some of the names are just too short.

	* doc/README.gvplot: Initial revision.

	* .cvsignore: Blah.

	* src/lib/Makefile.am: Versioning.

	* doc/version.texi: Update.

	* doc/Makefile.am: Use globally defined docdir.

	* README: Update.

	* configure.ac: No longer use  /usr/local/Geomview/ as default prefix.

	* NEWS: Update.

	* m4/geomview.m4:
	Fix version check. Move most of the generic autoconf initialization to
	the GV_INIT_GEOMVIEW() macro.

	* NEWS, configure.ac: Call the beast 1.9.0

	* m4/geomview.m4:
	Small fixes (check for -lm, math.h, other minor stuff).

	* m4/geomview.m4, m4/set-prefix.m4: Some fine-tuning

	* src/bin/example/Makefile.am: Emodule definition stuff.

	* README: Cosmetics.

	* geomview.sh: Add $HOME to the search path for emodule definitions.

	* data/shaders/Makefile.am:
	Add blue-moon compiled shaders to EXTRA_DIST.

	* src/lib/oogl/util/Makefile.am: Add freelist.h to sources.

	* m4/geomview.m4: Feature local installation.

	* m4/check-package.m4, m4/geomview.m4, src/bin/example/Makefile.am:
	Autoconf madness.

	* src/bin/cplxview/Makefile.am, src/bin/example/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/hinge/Makefile.am, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am:
	Separate emodules, using xforms library.

	* src/bin/crayola/Makefile.am: Add man-pages to EXTRA_DIST.

	* configure.ac, src/bin/Makefile.am:
	Move xforms modules and Tcl/Tk modules to the separate packages

	gvemod-ndview
	gvemodules-xforms
	gvemodules-tcltk

	* src/bin/crayola/Makefile.am, src/bin/labeler/Makefile.am:
	External gvemodules-xforms and gvemodules-tcltk packages.

2007-03-21  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/NDview/Makefile.am, src/bin/ndutils/Makefile.am:
	Emodule strip-off should be finished now.

	* src/bin/ndutils/GeomExtentDirection.c: Cosmetics.

	* Makefile.am:
	Also install the private header files to enable stripping off emodules
	into separate package; private header files go to PKGINCLUDEDIR/private/

	* src/bin/Makefile.am:
	Remove NDview and ndutils, moved to a separate package.

	* doc/geomview.texi: Add some more cross-references for GCL commands.

	* doc/geomview.texi:
	Convert the GCL reference into subsections; the stuff can now be
	referenced and there is a menu node for each command.

	* doc/geomview.texi: Cosmetics

	* doc/geomview.texi: Forgot a closing bracket.

	* doc/geomview.texi, doc/version.texi, src/bin/geomview/common/comm.c:
	New command (hdelete [type] name) which can be used to actually delete
	a named global handle.

	* src/lib/gprim/geom/delete.c, src/lib/oogl/refcomm/handle.c:
	HandleRefIterate(), HandlePoolIterate() were not safe w.r.t. to the
	deletion of handles. Fix that.

	* src/bin/geomview/common/comm.c:
	commandclose(): should we really keep Pools with command-language? ATM
	I'm calling PoolDelete(). Mmmh.

	* src/bin/geomview/common/worldio.c:
	Lwrite(): also delete the tempoaray pool.

	* src/bin/geomview/common/lang.c:
	Lwrite_handle(): don't forget to delete the temporary pool.

	* src/bin/geomview/common/drawer.c:
	Lwrite_comments(): also delete the temporary pool. What else.

	* src/bin/geomview/common/comm.c:
	Slight changes for reading from command strings.

	* src/lib/oogl/refcomm/streampool.c:
	HandleReferringTo(): accessing a handle via ": blahhandle"
	automatically converts "blahhandle" into a global one.

	PoolClose(): revert back to not deleting the closed Pool. But maybe we
	should get rid of all the opened emodule pools nevertheless ...

	* src/lib/oogl/refcomm/handleP.h:
	Move the list-node to the top of the structure; this way (hack!) we
	can use the double-list node for the free-list without overwriting the
	"deleted" tag.

	* src/lib/oogl/refcomm/handle.c:
	HandleCreateGlobal(): do not reset the attached object when converting
	a temporary handle to a permanent one.

	* src/lib/gprim/geom/geomstream.c:
	GeomInvokeTranslator(): do not forget to really delete the temporary pool.

	* src/bin/geomview/x11/gvsave.c:
	PoolClose() takes care of stdout/stdin for itself.

	* src/lib/gprim/discgrp/dgclass.c, src/lib/gprim/discgrp/dgcreate.c, src/lib/gprim/discgrp/dgstream.c, src/lib/gprim/discgrp/discgrp.h, src/lib/gprim/discgrp/discgrpP.h:
	Sanitize the handling of geom, camgeom, ddgeom and their associated
	handles. Define a Get() method, so maniview no longer needs to access
	private data-structures.

	* configure.ac, src/lib/oogl/util/porting.h:
	Should use AC_CHECK_DECLS() before defining proto-types. The mere fact
	the function does not exist as a symbol does not mean that it is not declared.

	* m4/geomview.m4: Use GeomGet()/GeomSet() instead of accessing private
	data-structures. Make sure the damn stuff compiles as external module,
	outside the Geomview source-tree.

	* m4/geomview.m4: Fix unbalanced if-fi

	* Makefile.am, configure.ac, data/shaders/Makefile.am, geomview.sh, m4/geomview.m4, src/Makefile.am:
	Build system fixes.

	* m4/geomview.m4: Optionally check for the version of Geomview.

	* src/bin/NDview/Makefile.am: Cosmetics.

	* m4/withtool.m4: CHECK_PROG/PATH_PROG duality.

	* m4/withtool.m4: Absolute/relative path-name support.

2007-03-20  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* m4/withtool.m4, m4/geomview.m4: Initial revision.

	* src/lib/mg/opengl/mgopengldraw.c:
	Back-face culling cannot work with transparency, so disable it while
	drawing translucent facets.

	* src/lib/gprim/geom/geomclass.h, src/lib/gprim/inst/instcreate.c, src/lib/oogl/lisp/Makefile.am, src/lib/oogl/lisp/lisp.c, src/lib/oogl/refcomm/handle.c, src/lib/oogl/refcomm/streampool.c, src/lib/oogl/util/Headers, src/lib/oogl/util/freelist.h, src/bin/geomview/common/lispext.c, src/bin/geomview/common/lispext.h, src/lib/geometry/hpointn/hpointn.h, src/lib/geometry/ntransobj/ntransobj.c, src/lib/geometry/transformn/transformn.h, src/lib/geometry/transobj/transobj.c, src/lib/gprim/geom/delete.c:
	Implement a simplistic free-list approach for small objects which are
	allocated/deallocated very often.

	* src/lib/gprim/geom/bsptreeP.h, src/lib/gprim/geom/delete.c, src/lib/gprim/geom/draw.c, src/lib/gprim/geom/geomclass.h:
	Handle tagging of appearance and the necessary per-node data madness
	more efficiently (i.e. do _not_ allocate and check for per-node data
	if transparency is not enabled).

	* src/lib/mg/common/mgP.h: Cosmetics.

	* src/lib/shade/texture.c:
	TxMerge() did not correctly increase the ref.-count in all cases.

	* src/lib/oogl/util/ooglutil.h: Fix memory debug definitions.

	* src/lib/mg/common/mg.c:
	Don't forget to set ap->tx to NULL after calling TxDelete().

	* src/lib/geometry/transobj/transobj.c:
	TransStreamIn(): TransObjStreamIn() can (successfully) return with an
	empty handle, in which case we must not try to access the
	(non-existing) TransObj.

	* src/bin/geomview/common/comm.c: TransObj handling had a memory leak.

	* src/bin/NDview/Makefile.am, src/bin/crayola/Makefile.am, src/bin/labeler/Makefile.am, src/bin/ndutils/Makefile.am, geomview.sh:
	Adjust environment variables in preparation for Orrery and maniview
	autoconf revision.

	* configure.ac: Fix debug malloc definitions.

	* configure.ac, data/shaders/Makefile.am:
	Check for shader compilers sdrc (Pixie) and shaderdl
	(3Delight). Luckily Aqsis, Pixie and 3Delight produce shader files
	with different suffixes.

	* data/shaders/GVblendconstant.sl, data/shaders/GVblendplastic.sl, data/shaders/GVdecalconstant.sl, data/shaders/GVdecalplastic.sl, data/shaders/GVmodulateconstant.sl, data/shaders/GVmodulateplastic.sl, data/shaders/GVreplaceconstant.sl, data/shaders/GVreplaceplastic.sl:
	Use texture(..., "width", 0.0); at least aqsis otherwise produces
	textures which are just overblurred.

2007-03-19  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi: Image object doc fixes.

	* src/lib/gprim/sphere/spherecreate.c:
	Typo (CR_SPHERETEX -> CR_SPHERETX)

	* src/lib/gprim/sphere/spherecreate.c: Undo previous commit.

	* src/lib/shade/image.c, src/lib/gprim/sphere/spherecreate.c:
	Fix handling of raw image data.

	* src/bin/geomutil/maple2oogl/README.gvplot, src/bin/geomutil/maple2oogl/gvplot.mapleV8, src/bin/geomutil/maple2oogl/gvplot.mws, src/bin/geomutil/maple2oogl/savegvplot.mws:
	Most documentation.

	* src/bin/geomview/common/drawer.h, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c, src/bin/geomview/common/transform.h, src/bin/geomview/common/drawer.c:
	ND-fixes.

2007-03-18  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac, doc/geomview.texi, doc/version.texi, src/lib/gprim/bezier/bezcreate.c, src/lib/gprim/bezier/bezdice.c, src/lib/gprim/bezier/bezdraw.c, src/lib/gprim/bezier/bezierP.h, src/lib/gprim/bezier/bezload.c, src/lib/gprim/bezier/bezsave.c, src/lib/gprim/geom/bsptree.c, src/lib/gprim/geom/bsptreeP.h, src/lib/gprim/geom/geom.h, src/lib/gprim/geom/geomstream.c, src/lib/gprim/geom/iterate.c, src/lib/gprim/inst/instP.h, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/instdraw.c, src/lib/gprim/mesh/meshP.h, src/lib/gprim/mesh/meshcopy.c, src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/mesh/meshload.c, src/lib/gprim/mesh/meshsave.c, src/lib/gprim/ndmesh/ndmeshP.h, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshload.c, src/lib/gprim/ndmesh/ndmeshsave.c, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/npolylist/nplsave.c, src/lib/gprim/polylist/plload.c, src/lib/gprim/polylist/plsave.c, src/lib/gprim/polylist/polylistP.h, src/lib/gprim/sphere/sphereP.h, src/lib/gprim/sphere/spherecreate.c, src/lib/gprim/sphere/spheredice.c, src/lib/gprim/sphere/sphereload.c, src/lib/gprim/sphere/spheresave.c, src/lib/mg/common/mg.c, src/lib/mg/common/mg.h, src/lib/mg/common/mgP.h, src/lib/mg/opengl/mgopengl.c, src/lib/mg/opengl/mgopenglmesh.c, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/oogl/util/create.h, src/lib/shade/appearance.h:
	Support for textured spheres/define TxST structure + transforms,
	support for texture transform stacks.

	* src/bin/geomview/common/worldio.c: Comment/cosmetics.

	* Makefile.am: Use absolute path-names for build-dir geomview script.

2007-03-16  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/opengl/mgopenglshade.c, src/lib/mg/ps/mgps.c, src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/x11/mgx11.c, src/lib/mg/buf/mgbuf.c, src/lib/mg/common/mg.c, src/lib/mg/common/mg.h, src/lib/mg/common/mgP.h, src/lib/mg/opengl/mgopengl.c:
	Prepare for texture transform stacks to support texturing of objects
	pasted together via INSTs and TLists.

	* src/lib/gprim/sphere/spherecreate.c: Compilation fix.

	* src/lib/gprim/sphere/sphereP.h: Get rid of a compiler warning.

	* doc/version.texi: This file should not be kept in the CVS.

	* src/lib/gprim/sphere/spherecreate.c:
	Start defining texture transformations.

	* src/lib/gprim/sphere/sphere.h, src/lib/gprim/sphere/sphereP.h, src/lib/gprim/sphere/sphereclass.c, src/lib/gprim/sphere/spherecreate.c, configure.ac, src/lib/gprim/sphere/Makefile.am:
	Optionally use a polar mesh for drawing spheres, should also make it
	much easier to define spheres with textures.

	* src/lib/gprim/bezier/bezdice.c:
	BSP-tree invalidation now done via call-back.

	* src/lib/gprim/sphere/spheredice.c, src/lib/gprim/sphere/spheredraw.c:
	Initial revision.

	* src/lib/mg/rib/mgribdraw.c:
	Fix textured beziers (up-side down issue).

	* src/lib/gprim/bezier/bezdice.c: Cosmetics.

	* src/lib/mg/opengl/mgopenglmesh.c:
	Turn-off texturing before drawing edges, otherwise at least GL_REPLACE
	leads to the wrong colors (for the edges).

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/event.c, src/bin/geomview/common/lights.c, src/bin/geomview/common/rman.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c, src/bin/geomview/common/transform.h, src/bin/geomview/common/ui.h, src/bin/geomview/common/worldio.c:
	Try to be a little bit more consistent in the choice of data-types in
	some places.

	* src/lib/gprim/bezier/bezbound.c:
	Fix bbox for pdim == 4 with 3d drawing.

	* src/lib/shade/texture.c, src/lib/shade/appearance.h:
	tex->background really is only RGB, _not_ RGBA (see glTexEnvf(3)).

	* src/lib/shade/apstream.c, src/lib/shade/light.c:
	Use 8 digits for output of float.

	* src/lib/mg/opengl/mgopenglshade.c:
	mgopengl_needtexture(): always load tex->tfm, even if the texture in
	the cache is otherwise identical to the desired texture.

	* src/lib/mg/common/mgtexture.c:
	mg_same_texture(): tex->background is only relevant for tex->apply == blend.

2007-03-15  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/sphere/spherecreate.c: Cosmetics.

	* src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/rib/mgribshade.c, src/lib/mg/rib/mgribtoken.c, src/lib/mg/rib/mgribtoken.h:
	Debugging, correctly draw flat shaded stuff (i.e. emit per-vertex
	normals in this case). Shading logic was broken in mgribmesh.c and
	mgribdraw.c. Leave the texture clipping to RiMakeTexture(). Disable
	texture alpha-channel when transparency is not enabled (exception
	GL_BLEND, cause the the alpha channel of the texture only influences
	the colouring, not the transparency).

	* doc/version.texi: Update, this file does not belong to the CVS.

	* data/shaders/GVblendconstant.sl, data/shaders/GVblendplastic.sl, data/shaders/GVdecalconstant.sl, data/shaders/GVmodulateconstant.sl, data/shaders/GVmodulateplastic.sl, data/shaders/GVreplaceplastic.sl, data/shaders/Makefile.am:
	Shader debugging, should work now, more or less.

	* data/shaders/GVreplaceconst.sl, data/shaders/GVreplaceconstant.sl:
	Renamed.

	* src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribshade.c, src/lib/mg/rib/mgribtoken.c, src/lib/mg/rib/mgribtoken.h:
	Further progress with texture and alpha-aware shaders.

	* doc/version.texi: Update. This file should not be in the  CVS.

	* data/shaders/GVblendplastic.sl, data/shaders/GVdecalplastic.sl, data/shaders/GVmodulateplastic.sl, data/shaders/GVreplaceplastic.sl:
	Fixed some silly bugs. We still need some shaders which ignore the
	alpha channel if transparency is enabled; or give all of them another
	float parameter which is used to switch off the alpha channel.

2007-03-14  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac: Check for aqsl, the aqsis shader language compiler.

	* data/shaders/.cvsignore: Ignore Makefile.in.

	* data/Makefile.am:
	Conditionally compile shader sources for the Aqsis renderer.

	* data/shaders/Makefile.am:
	Initial revision; conditionally compile shader sources for the Aqsis
	renderer.

	* src/lib/gprim/geom/geomclass.h, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/opengl/mgopenglmesh.c:
	Also honor the alpha channel provided by the texture. Do some
	restructering of mgopengl_bsptreerecursive().

	* src/lib/shade/appearance.h: Comment stuff.

	* data/shaders/GVreplaceconst.sl, data/shaders/GVreplaceplastic.sl, data/shaders/GVblendconstant.sl, data/shaders/GVblendplastic.sl, data/shaders/GVdecalplastic.sl, data/shaders/GVmodulateconstant.sl, data/shaders/GVmodulateplastic.sl:
	Bring the stuff (hopefully) into accordance with the OpenGL docs
	(because this is what Geomview also uses).

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/transform.c:
	Hang the BSP-tree to dg->Lgeom, not dg->Item. Otherwise
	transformations would need special handling.

	* src/lib/mg/opengl/mgopenglP.h, src/lib/mg/opengl/mgopenglshade.c:
	Even for constantly shaded objects we should allow override of the
	alpha channel by material->diffuse[3]. Fix that.

	* src/lib/mg/opengl/mgopenglshade.c, src/lib/shade/appearance.h, src/lib/shade/texture.c:
	Implement "apply = replace" mode; texture color simply replaces the
	surface color.

	* data/shaders/rgbmaskpaintedconstant.sl, data/shaders/rgbmaskpaintedplastic.sl:
	Renamed

	* data/shaders/GVblendconstant.sl, data/shaders/GVblendplastic.sl, data/shaders/GVdecalconstant.sl, data/shaders/GVdecalplastic.sl, data/shaders/GVmodulateconstant.sl, data/shaders/GVmodulateplastic.sl:
	Initial revision.

2007-03-13  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/version.texi: Should not be in the CVS.

	* src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgrib.h, src/lib/mg/rib/mgribP.h, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/rib/mgribshade.c, src/lib/mg/rib/mgribtoken.c, src/lib/mg/rib/mgribtoken.h:
	Texture stuff seems to work. We need some shaders to actually
	implement texturing the same way as the OpenGL backend is doing it.

	* src/lib/mg/buf/mgbuf.c, src/lib/mg/common/mg.c, src/lib/mg/common/mg.h, src/lib/mg/opengl/mgopengl.c, src/lib/mg/ps/mgps.c, src/lib/mg/x11/mgx11.c:
	mgctxset() has now a return value: -1 on error, 0 on success.

	* data/shaders/rgbapaintedconstant.sl, data/shaders/rgbmaskpaintedconstant.sl:
	Initial revision.

	* src/lib/mg/rib/mgrib.c: Comment.

	* doc/version.texi: Update. This file should not be in the CVS.

	* configure.ac: Provide PATH_MAX.

	* src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribP.h, src/lib/mg/rib/mgribshade.c, src/lib/mg/rib/mgribtoken.c, src/lib/mg/rib/mgribtoken.h:
	Fiddle with texture stuff.

	* src/bin/geomview/common/rman.c: Undo a previous change.

	* src/lib/shade/image.c: Remove some unneeded variables.

	* data/shaders/rgbapaintedplastic.sl, data/shaders/rgbmaskpaintedplastic.sl, data/shaders/.cvsignore:
	Initial revision.

2007-03-12  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac, doc/geomview.texi, src/bin/geomview/common/rman.c, src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribP.h, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/rib/mgribshade.c, src/lib/mg/rib/mgribtoken.c, src/lib/mg/rib/mgribtoken.h:
	Substantial progress in supporting textures with RenderMan. Not really
	complete yet.

	* src/lib/shade/appearance.h, src/lib/shade/image.c:
	New function ImgWriteFilter() to dump the image to disk through an
	external filter program (i.e. convert to tiff for RenderMan texture
	support).

	* configure.ac:
	Check for pamtotiff in anticipation of RenderMan texture support.

	* src/lib/shade/appearance.h, src/lib/shade/image.c:
	New globally defined functions ImgWritePGM() and ImgWritePNM(), in
	preparation for real RenderMan texture support.

	* doc/version.texi: Update.

	* src/lib/shade/image.c: Sanity checks for write_pmm/pgm.

2007-03-11  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/rib/mgribmesh.c, src/lib/mg/rib/mgrib.c:
	Fix the (rudimentory) texture support. This really needs to be reworked.

	* src/lib/gprim/list/liststream.c:
	ListStreamOut(): Proper indent of inferior geometries.

	* src/lib/shade/image.c:
	Continue parsing, even if reading of specific channels fails. This
	increases the chance of skipping over broken  binary data.

	* src/bin/geomview/common/worldio.c, src/lib/camera/camstream.c, src/lib/geometry/ntransobj/ntransobj.c, src/lib/geometry/transobj/transobj.c, src/lib/gprim/geom/geomstream.c, src/lib/gprim/inst/inststream.c, src/lib/gprim/list/listdraw.c, src/lib/gprim/list/liststream.c, src/lib/oogl/refcomm/handle.c, src/lib/oogl/refcomm/handle.h, src/lib/oogl/refcomm/handleP.h, src/lib/oogl/refcomm/streampool.c, src/lib/oogl/refcomm/streampool.h, src/lib/shade/appearance.c, src/lib/shade/appearance.h, src/lib/shade/apstream.c, src/lib/shade/image.c, src/lib/shade/light.c, src/lib/shade/material.c, src/lib/shade/texture.c:
	Dump handles as handles if possible (but take care to dump every
	referenced object also). ppath fix for lists. Formatting of
	StreamOut() (proper -- or at least better -- indentation where
	possible).

	* doc/geomview.texi:
	Bring command line switches in sync with the stuff acutally supported,
	add some notes about translucency.

	* src/lib/gprim/inst/instmisc.c:
	No need to free bsptree->tree when transforming an INST.

	* src/lib/gprim/geom/bsptreeP.h:
	Delete the no longer needed structure component geomflags.

	* src/bin/geomview/geomview.1:
	Move -noopengl explanation closer to the other "-no..." options.

	* doc/geomview.texi, doc/version.texi: Document new image OOGL object.

2007-03-10  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/geom/draw.c: Undo faulty optimizations. Gnah.

	* src/lib/gprim/geom/geomclass.h:
	Protect GeomNodeDataByPath() and GeomNodeDataCreate() against an
	undefined (NULL) object path.

	* src/lib/camera/camera.c: Use the same bgcolor default as the GUI.

	* src/bin/geomview/common/main.c:
	Use 1.0/3.0 and leave it to the comiler to generate the best
	approximation ...

	* doc/geomview.texi, doc/version.texi: Start update of docs.

	* src/lib/shade/texture.c, src/lib/window/winstream.c, src/bin/geomview/common/comm.c, src/bin/geomview/common/lang.c, src/lib/gprim/bezier/bezdice.c, src/lib/gprim/geom/draw.c, src/lib/gprim/geom/geomclass.h, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/quad/quaddraw.c, src/lib/shade/image.c:
	Get rid of some compiler warnings.

	* doc/Makefile.am: Install man-pages.

	* src/lib/gprim/geom/bsptree.c, src/lib/gprim/geom/draw.c:
	Tagged appearance logic was somewhat broken.

	* doc/Makefile.am: Remove geomview.1, oogl.5.man and geomview.5.man.

	* doc/geomview.1: generated from (and in) src/bin/geomview/

	* doc/oogl.5.man: Just a duplicate of oogl.5

	* doc/geomview.5.man: Just a duplicate of geomview.5

	* src/bin/geomview/x11/gvcamui.c:
	ui_ppmglxsnapshot(): get rid of some unused variables.

	* src/lib/camera/camstream.c, src/lib/gprim/geom/geomstream.c, src/lib/window/winstream.c:
	Cleanup and unification w.r.t. to Handles; applies also to all other
	xxxStreamIn() routines.

	* src/lib/camera/camera.c:
	Handle handling cleanup, was maybe unnecessary, but the current code works.

	Also:

	A camera now (optionally) has a background image and a background
	color. IMHO those things do not belong to the mg-layer. It is
	questionabble, though, whether stuff like this belongs to the camera.

	* src/lib/camera/camera.h: New atributes:

	CAM_BGCOLOR, CAM_BGIMAGE, CAM_BGIMGHANDLE.

	A camera now (optionally) has a background image and a background
	color. IMHO those things do not belong to the mg-layer. It is
	questionabble, though, whether stuff like this belongs to the camera.

	* src/lib/camera/cameraP.h:
	A camera now (optionally) has a background image and a background
	color. IMHO those things do not belong to the mg-layer. It is
	questionabble, though, whether stuff like this belongs to the camera.

	* src/lib/window/window.c:
	Ref->handle has been replaced by a list of handles and is properly
	handled in RefInit() now.

	* src/lib/window/windowP.h: Get rid of the silly "long" data type.

	* src/lib/gprim/inst/instdraw.c, src/lib/gprim/list/listdraw.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quaddraw.c:
	BSP-tree cleanup: properly handle the case that a geometry can belong
	to several nodes in the object hierarchy (referenced through handles).

	* src/lib/gprim/bezier/bezcreate.c, src/lib/gprim/bezier/bezdice.c, src/lib/gprim/bezier/bezdraw.c, src/lib/gprim/bezier/bezierP.h:
	Use a Handle to define callbacks for invalidating BSP-trees. The issue
	is that a geometry can belong to several nodes in the object hierarchy
	when it is referenced by handles, and hence can belong to several
	BSP-trees, and may have to be entered more than once to the same
	BSP-tree (with a different position or appearance).

	* src/lib/gprim/inst/instP.h, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/inststream.c, src/lib/gprim/list/listP.h, src/lib/gprim/list/listcreate.c, src/lib/gprim/list/liststream.c:
	BSP-tree cleanup: can now live again with the standard HandleUpdRef()
	callback.

	* src/lib/gprim/inst/instmisc.c:
	Transform[To](): installed a 3d transform now leaves any ND-transform
	alone and vice-versa. Needed to allow for simplification in the
	top-level ND-drawing code in
	really_draw_view()@src/bin/geomview/common/drawer.c

	* src/lib/gprim/polylist/plcreate.c:
	PolyListCreate(): always delete the temporary projected polylist used
	to speed up ND-drawing.

	* src/lib/gprim/polylist/plcopy.c, src/lib/gprim/polylist/plload.c, src/lib/gprim/polylist/polylistP.h:
	ND-drawing: allocate on demand an additional polylist; it is not
	necessary and inefficient to copy over the structure of the polylist
	on every draw. This way it has to be done only once.

	* src/lib/gprim/polylist/plsphere.c:
	Treat VERT_4D pl's as projective things in 3d.

	* src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/npolylist/nplcreate.c, src/lib/gprim/polylist/plcreate.c:
	BSPTree alloc/dealloc is done at a higher level now.

	* src/lib/gprim/mesh/meshcopy.c: Ansification.

	* src/bin/geomview/common/worldio.c, src/bin/geomview/common/space.c:
	Cosmetics.

	* src/bin/geomview/common/main.c:
	Remove unnecessary handle ops external declaration.

	* src/bin/geomview/common/comm.c:
	Image and appearance objects. Handle ref-count related fixes.

	* src/bin/geomview/common/lang.c, src/bin/geomview/common/lang.h, src/bin/geomview/common/lispext.c, src/bin/geomview/common/lispext.h:
	Image and appearance objects.

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/ndshade.c, src/bin/geomview/common/transform.c:
	internal ND-view simplification

	* src/lib/gprim/geom/bsptree.c, src/lib/gprim/geom/bsptree.h, src/lib/gprim/geom/bsptreeP.h, src/lib/gprim/geom/copy.c, src/lib/gprim/geom/create.c, src/lib/gprim/geom/delete.c, src/lib/gprim/geom/draw.c, src/lib/gprim/geom/geom.h, src/lib/gprim/geom/geomclass.h:
	BSP-tree stuff was broken: as geometries can be referenced by handles
	we need to take special precaution when attaching global data to geoms.

	* src/lib/oogl/util/Makefile.am, src/lib/oogl/util/Headers:
	Add dbllist.h header.

	* src/lib/oogl/util/ppopen.c: Program flow logic was broken. Fix that.

	* src/lib/oogl/util/create.h: Delete unused CR_HANDLE attribute.

	* src/lib/shade/Makefile.am, src/lib/shade/appearance.c, src/lib/shade/appearance.h, src/lib/shade/apstream.c:
	Strip off texture and material stuff. Allow defining global handles
	for appearances.

	* src/lib/geometry/ntransobj/ntransobj.c, src/lib/geometry/ntransobj/ntransobj.h, src/lib/geometry/transobj/transobj.c, src/lib/geometry/transobj/transobj.h, src/lib/oogl/refcomm/Makefile.am, src/lib/oogl/refcomm/handle.c, src/lib/oogl/refcomm/handle.h, src/lib/oogl/refcomm/handleP.h, src/lib/oogl/refcomm/reference.c, src/lib/oogl/refcomm/reference.h, src/lib/oogl/refcomm/streampool.c, src/lib/oogl/refcomm/streampool.h:
	Fix the deeply broken handle reference count stuff. Gnah.

	* src/lib/geometry/transform3/transform3.h: Cosmetics.

2007-03-09  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/bezier/bezbound.c, src/lib/gprim/inst/instbound.c, src/lib/gprim/mesh/meshbound.c, src/lib/gprim/polylist/plbound.c, src/lib/gprim/quad/quadbound.c, src/lib/gprim/skel/skelbound.c, src/lib/gprim/vect/vectbound.c:
	Handle VERT_4D co-ordinates as homogeneous coords if no ND-transform is given.

	* src/lib/mg/common/mg.c, src/lib/mg/common/mgP.h, src/lib/mg/common/mgtexture.c, src/lib/mg/opengl/mgopengl.c, src/lib/mg/opengl/mgopenglP.h, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/opengl/mgopenglshade.c:
	Texture cleanup and some translucency changes.

	* src/lib/mg/buf/mgbufdraw.c, src/lib/mg/ps/mgpsdraw.c, src/lib/mg/x11/mgx11draw.c:
	Copy with numerical instabilities which everting normals.

	* src/lib/mg/common/mg.h:
	Add a pointer to the current BSP-tree to mgNDctx, part of a larger
	BSP-tree cleanup.

	* src/lib/mg/rib/mgrib.c, src/lib/mg/x11/mgx11.c, src/lib/mg/buf/mgbuf.c:
	Return the new ap. There is just no point in returning the user
	specified ap pointer.

	* src/lib/gprim/comment/commentstream.c:
	Get rid of just another memory leak.

	* src/lib/gprim/comment/commentcreate.c: Cosmetics.

	* src/lib/geometry/transform3/tm3print.c: Change the output format.

	* src/lib/geometry/transformn/transformn.h:
	Slight changes, typos mostly.

	* src/lib/geometry/hpointn/hpointn.h: Typo.

	* src/lib/geometry/hpoint3/hpoint3.h:
	Support for denormalized linear combination.

	* src/lib/Makefile.am: link (optionally) with libz

	* configure.ac:
	false/true/bool definition. Also (optionally) check for zlib/bzlib.

	* src/lib/oogl/util/malloc-debug.c: Fix alloc size accounting.

	* src/lib/oogl/util/iobfutil.c, src/lib/oogl/util/iobuffer.h:
	Fix iobfcontext(); syntax error messages should work again now.

	* src/lib/shade/image.c, src/lib/shade/material.c, src/lib/shade/texture.c, src/lib/oogl/util/dbllist.h:
	Initial revision.

2007-02-19  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/common/mgtexture.c: Add pngtopnm filter.

2007-02-17  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/opengl/mgopengldraw.c:
	Merge Adrian Rossiter's changes for concave and self-intersecting polygons.

2007-02-16  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/opengl/mgopenglshade.c, src/lib/mg/opengl/mgopengl.c, src/lib/mg/opengl/mgopengldraw.c:
	Fix logic concerning alpha blending.

	* src/lib/gprim/inst/instdraw.c: BSP-tree fixes.

	* src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/geom/bsptree.c, src/lib/gprim/geom/bsptreeP.h, src/lib/gprim/mesh/meshdraw.c:
	Change BSPTreePushAppearance(): appearances are only set when
	geom->ap_tagged != NULL.

	* src/lib/mg/common/mgtexture.c: Remove a crazy comment.

	* src/lib/shade/appearance.c:
	TxStreamOut(): fix file: -> alphafile bug.

	* src/bin/geomview/x11/gvcamui.c:
	Some cleanup w.r.t. to the logic of gv_no_opengl and the pre-processor
	symbols MGGL, MGOPENGL and MGX11. Also, `#define' gv_no_opengl to
	`true' if !(MGGL || MGOPENGL) to simplify some of the
	gv_no_opengl/MG...  related conditionals.

	* src/lib/mg/common/mg.c:
	mg_untagappearance(): Only delete texture and light if the appearance
	slot is not currently in use; delete astk->texture, not
	ctx->astk->texture (copy and paste bug).

	* src/bin/geomview/x11/gvcamui.c:
	Remove and/or document some slightly confusing preprocessor constructs.

	* src/lib/gprim/inst/instdraw.c:
	Fix a BSP-tree related bug: do not loop over the transformation if
	when not adding to the tree, but just distributing the tree-handle to
	all sub-geometries (when running InstBSPTree(..., action =
	BSPTREE_CREATE), in contrast to action == BSPTREE_ADDGEOM).

	* configure.ac:
	Disable OSMesa because it just does not work, unluckily.

2007-02-15  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/common/mgtexture.c:
	Support bzip2 for compression of texture files.

	* src/bin/NDview/NDdemo, src/bin/NDview/NDview:
	Remove invalid script interpreter

	* configure.ac: Get rid of the CONFIG_SUBDIR stuff.

	* configure.ac, src/bin/geomview/x11/gvcamui.c, src/bin/geomview/x11/gvsave.c, src/bin/geomview/x11/interface/Save.mib:
	Implement a GLX off-screen snapshot by rendering into a GLX
	pixmap. The idea is that off-screen rendering does not suffer from
	partially obscured windows, screen-saver etc.

	* configure.ac:
	Gnah. Should read twice through my changes before committing.

	* configure.ac:
	Should check for glXAllocateMemoryMESA() not GLX_MESA_allocate_memory.

	* configure.ac, src/bin/geomview/x11/gvcamui.c, src/bin/geomview/x11/gvsave.c, src/bin/geomview/x11/interface/Save.mib:
	Check for libOSMesa if we are using Mesa and re-enable
	ppmmesasnapshot() in gvcamui.c

2007-02-14  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/wa/wa.lex.c, src/lib/oogl/wa/wa.yacc.c, src/lib/oogl/wa/wa.yacc.h:
	Auto-generated.

	* src/lib/oogl/wa/Makefile.am:
	Split-out rule for lex.yy.c, otherwise a dependency for "all:" cannot
	be resolved.

	* src/bin/geomview/common/main.c, src/bin/geomview/common/main.h, src/bin/geomview/geomview.1, src/bin/geomview/x11/gvcamui.c, src/bin/geomview/x11/gvmain.c:
	Implement a -noopengl option.

	* Makefile.am, geomview.sh:
	--print-BLAH switches to figure out the location of the data directory
	etc. of an already installed geomview.

	* configure.ac: Cosmetics (some help strings and such).

	* src/lib/mg/common/mgtexture.c: Cosmetics.

2007-02-13  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/geom/geomstream.c:
	Get rid of the infamous "can't seek back for enough (on pipe?)" error
	message because it is no longer adequate and misleading.

	* src/lib/mg/rib/mgribdraw.c: Cosmetics.

	* src/lib/mg/opengl/mgopenglshade.c:
	Do the obvious fixes for tex_adequate().

	* src/lib/mg/opengl/mgopengldraw.c:
	Fix texture handling during BSP-tree traversal.

	* doc/version.texi, doc/geomview.texi:
	Document "linear" texture option.

	* src/lib/gprim/geom/bsptree.c:
	Hack around round-off error w.r.t. to plane equations.

	* src/lib/gprim/list/listcreate.c: cosmetics.

	* src/lib/mg/common/mg.c:
	Fix lazy deletion of sticky (tagged) appearances.

	* src/lib/oogl/refcomm/handle.c: Cosmetics.

	* src/lib/mg/opengl/mgopenglmesh.c: Braces around && inside ||.

	* src/lib/gprim/mesh/meshtransform.c, src/lib/gprim/polylist/pltransform.c, src/lib/gprim/quad/quadtransform.c:
	Handle NormalTransform() correctly.

	* src/lib/gprim/inst/instP.h, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/instdraw.c, src/lib/gprim/inst/inststream.c, src/lib/gprim/list/listP.h, src/lib/gprim/list/listcreate.c, src/lib/gprim/list/liststream.c:
	Invalidate the BSP-tree if any object underlying a handle changes.

	* src/lib/gprim/geom/bsptree.c, src/lib/gprim/geom/bsptreeP.h:
	Handle NormalTransform() correctly (i.e. use the dual of T).

	* src/lib/gprim/geom/replace.c: Call BSPTreeFreeTree().

	* src/lib/gprim/bezier/bezdraw.c: Cleanup.

	* src/lib/geometry/transobj/transobj.c, src/lib/geometry/transform3/tm3adjoint.c, src/lib/geometry/transform3/tm3dual.c, src/lib/geometry/transform3/tm3invert.c:
	Cosmetics.

	* src/lib/geometry/point3/point3.h:
	Simplify NormalTransform(), add a comment stating that
	NormalTransform(Tdual, ...) should be called with the dual of T.

	* src/lib/geometry/ntransobj/ntransobj.c: Cosmetics.

2007-02-12  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/geom/bsptree.c, src/lib/gprim/geom/delete.c, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/instmisc.c, src/lib/gprim/list/listcreate.c, src/lib/gprim/mesh/meshdelete.c, src/lib/gprim/polylist/plcreate.c, src/lib/gprim/quad/quaddelete.c:
	Move deletion of BSP-trees to GeomDelete().

2007-02-10  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* m4/lf_local.m4:
	Hopefully LF_LINK_HEADERS() works _NOW_ for in-path and VPATH builds.

	* m4/lf_local.m4: Undo a bug introduced previously by myself.

2007-02-09  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/ndmesh/ndmeshclass.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/nplclass.c, src/lib/gprim/npolylist/npldraw.c:
	Implement BSP-tree stuff for ND objects. Not tested. Needs testing.

	* src/lib/gprim/mesh/meshcreate.c: nu*nv, not nu+nv, fixing myself.

	* src/bin/geomview/common/drawer.c:
	Give every object accesible through the browser a
	BSP-tree. Transluceny is now correctly implemented for OpenGL (and
	RMAN, of course, as RMAN handles translucency by itself). Supported is
	a single translucent compound object (like the list of SaVI's coverage
	cones) which is drawn on a solid scene consisting of arbitrarily many
	objects.

	* src/bin/geomview/common/rman.c, src/bin/geomview/common/worldio.c:
	Small changes w.r.t. to unneeded (?FIXME) appearance copies

	* src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/bezier/bezbound.c, src/lib/gprim/bezier/bezclass.c, src/lib/gprim/bezier/bezdice.c, src/lib/gprim/bezier/bezdraw.c, src/lib/gprim/geom/bsptree.c, src/lib/gprim/geom/bsptree.h, src/lib/gprim/geom/bsptreeP.h, src/lib/gprim/geom/create.c, src/lib/gprim/geom/dice.c, src/lib/gprim/geom/draw.c, src/lib/gprim/geom/geom.h, src/lib/gprim/geom/geomclass.h, src/lib/gprim/inst/inst.h, src/lib/gprim/inst/instclass.c, src/lib/gprim/inst/instdraw.c, src/lib/gprim/list/listP.h, src/lib/gprim/list/listclass.c, src/lib/gprim/list/listdraw.c, src/lib/gprim/mesh/mesh.h, src/lib/gprim/mesh/meshclass.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/mesh/meshevert.c, src/lib/gprim/polylist/plclass.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quad.h, src/lib/gprim/quad/quadclass.c:
	Support BSP-trees consisting of multiple geoms.

	* src/lib/oogl/refcomm/reference.c:
	The reference count should be an int, not a long.

	* src/lib/mg/buf/mgbuf.c, src/lib/mg/buf/mgbufdraw.c, src/lib/mg/common/mg.c, src/lib/mg/common/mg.h, src/lib/mg/common/mgP.h, src/lib/mg/opengl/mgopengl.c, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/opengl/mgopenglmesh.c, src/lib/mg/opengl/mgopenglshade.c, src/lib/mg/ps/mgps.c, src/lib/mg/ps/mgpsdraw.c, src/lib/mg/ps/mgpswindows.c, src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/x11/mgx11.c, src/lib/mg/x11/mgx11draw.c, src/lib/mg/x11/mgx11shade.c:
	Introduce a "tagged" appearance which can safely be re-used while
	traversing a BSP-tree. Needed to implement BSP-trees for geoms
	consisting of multiple parts like lists and insts.

	* src/lib/gprim/sphere/spherecreate.c:
	Run GeomDecorate() to have the chance to define a sphere with an
	attached appearance.

	* src/lib/camera/cameraP.h, src/lib/geometry/geomtypes.h, src/lib/geometry/ntransobj/ntransobj.h, src/lib/geometry/transobj/transobj.h:
	Remove the semicolon from the end of REFERENCEFIELDS, just looks more
	natural when defining a derived "class".

	* src/lib/shade/appearance.c, src/lib/shade/appearance.h:
	Remove the semicolon from the end of REFERENCEFIELDS, just looks more
	natural when defining a derived "class". Introducde some "const"
	keywords in some places.

	* src/lib/window/windowP.h, src/lib/oogl/refcomm/handleP.h, src/lib/oogl/refcomm/reference.h:
	Remove the semicolon from the end of REFERENCEFIELDS, just looks more
	natural when defining a derived "class".

	* src/lib/pointlist/ptlMesh.c, src/lib/gprim/vect/vectP.h, src/lib/gprim/vect/vectcreate.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/vect/vectload.c, src/lib/gprim/vect/vectsphere.c, src/lib/gprim/quad/quadP.h, src/lib/gprim/quad/quadcopy.c, src/lib/gprim/quad/quadcreate.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/quad/quadload.c, src/lib/gprim/quad/quadnormal.c, src/lib/gprim/quad/quadsave.c, src/lib/gprim/quad/quadtransform.c, src/lib/gprim/polylist/plcreate.c, src/lib/gprim/polylist/plevert.c, src/lib/gprim/polylist/plload.c, src/lib/gprim/polylist/plnormal.c, src/lib/gprim/polylist/plsave.c, src/lib/gprim/polylist/pltransform.c, src/lib/gprim/polylist/polylist.h, src/lib/gprim/polylist/polylistP.h, src/lib/gprim/ndmesh/ndmeshP.h, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/ndmesh/ndmeshload.c, src/lib/gprim/ndmesh/ndmeshpick.c, src/lib/gprim/ndmesh/ndmeshsave.c, src/lib/gprim/npolylist/nplcreate.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/npolylist/nplsave.c, src/lib/gprim/npolylist/npolylistP.h, src/lib/gprim/mesh/meshcopy.c, src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/mesh/meshflag.h, src/lib/gprim/mesh/meshload.c, src/lib/gprim/mesh/meshnormal.c, src/lib/gprim/mesh/meshpick.c, src/lib/gprim/mesh/meshsave.c, src/lib/gprim/mesh/meshsphere.c, src/lib/gprim/mesh/meshtransform.c, src/lib/gprim/mesh/meshP.h, src/lib/gprim/bezier/bezier.h, src/lib/gprim/bezier/bezsphere.c, src/lib/gprim/bezier/bezsave.c, src/lib/gprim/bezier/bezpick.c, src/lib/gprim/bezier/bezload.c, src/lib/gprim/bezier/bezevert.c, src/lib/gprim/bezier/bezcreate.c, src/lib/gprim/bezier/bezierP.h, src/lib/gprim/lincoln/lincolnload.c, src/lib/geomutil/plutil/anytopl.c, src/lib/geomutil/plutil/plcombine.c, src/lib/geomutil/crayplutil/crayBezier.c, src/lib/geomutil/crayplutil/crayMesh.c, src/lib/geomutil/crayplutil/crayPolylist.c, src/lib/geomutil/crayplutil/crayQuad.c, src/lib/geometry/cmodel/cmodel.c, src/bin/ndutils/GeomtoNoff.c, src/bin/ndutils/WithColor.c, src/bin/ndutils/clipoogl.c, src/bin/geomutil/ucd/anytoucd.c, src/bin/geomutil/oogl2vrml/oogl2vrml.c, src/bin/geomutil/oogl2vrml/oogl2vrml2.c, src/bin/geomutil/clip/clipoogl.c:
	Move some more flag values to geom->geomflags, kind of unification.

2007-02-04  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/bezier/bezbound.c:
	Treat VERT_4D bez's as homogeneous coords (undo my previous changes).

2007-01-29  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/aclib/obstack.c:
	Hack around exitfail and gettext, should compile now with cygwin.

2007-01-27  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/util/iobuffer.c:
	setmark()/seekmark() has to take the ungetc() value into account.

2007-01-21  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/drawer.c:
	Reset "center-bbox" feature at reset.

2007-01-20  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/transform.c: Comment.

	* src/lib/gprim/skel/skeldraw.c, src/lib/gprim/skel/skelload.c:
	Remove unused variable warnings.

2007-01-15  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac, doc/version.texi, src/lib/aclib/obstack.c:
	Include obstack.c from glibc-2.5; my fault, thought obstack was
	implemented as a pure macro stuff.

2007-01-14  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac:
	Use "foreing" automake option to prevent the latest and greatest
	automake from complaining about using GNU extensions.

2007-01-08  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/version.texi, src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skelcreate.c, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/skel/skelload.c, src/lib/gprim/skel/skelsave.c, doc/geomview.texi:
	Allow per-vertex colors for SKEL filec, i.e. support a C[4][n]SKEL
	format. Document the change in the TeXInfo manual

2007-01-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/polylist/plnormal.c:
	New per-vertex normal computation was borken.

2007-01-06  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/geom/bsptree.c: SplitPolyNode(): v0 <-> v1 typo.

2007-01-04  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quaddelete.c, src/lib/gprim/quad/quaddraw.c:
	Remove some compiler warnings.

	* src/lib/gprim/polylist/plnormal.c:
	missing initialization bug (n_edges).

2007-01-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi, doc/version.texi:
	Fix VECT binary documentation bug and work around a figure
	cross-referencing bug in GNU makeinfo.

2007-01-02  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/geom/bsptree.c:
	Work around a strange "-fstrict-aliasing" comiler bug. At least I
	think it is a compiler bug ...

2006-12-28  Steve M. Robbins  <steve@nyongwa.montreal.qc.ca>

	* ChangeLog, configure.ac:
	Fix probe for Tcl_CreateFileHandler to use ${TCL_ALL_LIB}, rather than
	"-ltcl".

2006-12-27  Steve M. Robbins  <smr@sumost.ca>

	* configure.ac: Use ${TCL_ALL_LIB}, not "-ltcl", to check for
	function Tcl_CreateFileHandler.

2006-11-05  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribP.h, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/rib/mgribshade.c, src/lib/mg/rib/mgribtoken.c, src/lib/mg/rib/mgribtoken.h:
	Rudimentary texture support; also scale points s.t. they remain
	visible even at large distances. Use "ReverseOrientation" to prevent
	the renderer from inverting explicitly specified normals.

	* src/lib/mg/ps/mgpstri.c: Point-plotting was broken.

	* src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribP.h:
	Make sure Push/PopAppearance is not called outsde WorldBegin/WorldEnd

	* configure.ac: Bump version to rc10.

	* NEWS: Document ND changes.

	* doc/version.texi: Update.

2006-11-04  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi:
	Picking does work now with ND viewing, so remove the note saying
	otherwise from the documentation.

	* doc/figs/tools.ps: Use a half-size screenshot.

	* src/bin/geomview/common/transform.c: Cosmetics.

	* src/lib/gprim/ndmesh/Makefile.am, src/lib/gprim/ndmesh/ndmesh.h, src/lib/gprim/ndmesh/ndmeshclass.c, src/lib/gprim/ndmesh/ndmeshpick.c:
	Native "picking" for ND-meshes.

	* src/lib/gprim/ndmesh/ndmeshbound.c: Bail out if meshd > 2.

	* src/lib/gprim/npolylist/Makefile.am, src/lib/gprim/npolylist/nplclass.c, src/lib/gprim/npolylist/nplpick.c:
	Add "pick" support.

	* src/lib/gprim/skel/skelpick.c: Remove an unused variable.

	* src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skelbound.c, src/lib/gprim/skel/skelpick.c:
	Pick support for SKEL, just clone the vect code (skelpick.c contains a
	code fragment which seemingly was meant as a draft; however, the VECT
	code works and really just naturally carries "itself" over to the SKEL
	case).

	* src/lib/gprim/skel/skelload.c:
	Fix a 3d bug caused by moving the homogeneous component to index 0 in ND.

	* src/lib/gprim/mesh/meshpick.c, src/lib/gprim/polylist/plpick.c, src/lib/gprim/quad/quadpick.c, src/lib/gprim/vect/vectpick.c:
	Rename NTransPt3() to HPt3NTransPt3().

	* src/lib/geometry/hpointn/hpointn.c, src/lib/geometry/hpointn/hpointn.h:
	Rename NTransPt3() to HPt3NTransPt3(), new function HPtNNTransPt3().

	* data/NDview/geom/klein4d.skel, data/geom/moebius.skel:
	Initial revision.

	* src/lib/gprim/quad/quadP.h, src/lib/gprim/quad/quadpick.c, src/lib/gprim/vect/vectP.h, src/lib/gprim/vect/vectpick.c:
	ND picking.

	* src/lib/gprim/geom/pick.c: Fix GenericPick() for ND picking.

	* src/lib/gprim/inst/instpick.c, src/lib/gprim/list/listpick.c:
	ND-pick support.

	* src/lib/gprim/npolylist/nplload.c:
	Homogeneous divisor sits at index 0 for ND vectors, fix that.

	* src/lib/gprim/polylist/plpick.c, src/lib/gprim/polylist/polylistP.h:
	ND-pick support.

	* src/lib/gprim/mesh/meshpick.c:
	Move some support functions to hpointn.c

	* src/lib/gprim/inst/instdraw.c: Cosmetics.

	* src/lib/geometry/hpointn/hpointn.c, src/lib/geometry/hpointn/hpointn.h:
	New functions  NTransPt3() and HPt3NTransHPt3() to support ND-picking.

	* src/lib/geometry/hpoint3/hpoint3.c: Remove a stray hash.

	* src/bin/geomview/common/transform.c:
	Forgot to delete an HPointN temporary.

2006-11-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/geometry/hpoint3/hpoint3b.c: Remove a stray hash

	* src/lib/gprim/list/listpick.c, src/lib/gprim/polylist/plbound.c, src/lib/gprim/polylist/plpick.c, src/lib/gprim/polylist/polylistP.h, src/lib/gprim/quad/quadP.h, src/lib/gprim/quad/quadpick.c, src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skelpick.c, src/lib/gprim/vect/vectP.h, src/lib/gprim/vect/vectpick.c, src/lib/gprim/bezier/bezier.h, src/lib/gprim/bezier/bezpick.c, src/lib/gprim/comment/commentclass.c, src/lib/gprim/discgrp/dgpick.c, src/lib/gprim/discgrp/discgrp.h, src/lib/gprim/discgrp/weeks_dirdom.c, src/lib/gprim/inst/instpick.c, src/lib/gprim/list/listP.h:
	Adapt to changed pick interface (ND-picking not yet working except for
	MESHes).

	* src/lib/gprim/mesh/mesh.h, src/lib/gprim/mesh/meshP.h, src/lib/gprim/mesh/meshpick.c:
	Support ND-picking.

	* src/bin/geomview/common/lights.c: Adapt to changed pick interface.

	* src/bin/geomview/common/event.c, src/lib/gprim/geom/geomclass.h, src/lib/gprim/geom/pick.c, src/lib/gprim/geom/pick.h, src/lib/gprim/geom/pickP.h:
	Support ND-picks.

	* src/bin/geomview/common/drawer.h, src/bin/geomview/common/transform.c:
	New function drawer_ND_CamView() which is the ND-equivalent for the
	CamView() function. Allow ND-picks in make-center_from_pick().

	* src/lib/geometry/hpointn/hpointn.c, src/lib/geometry/hpointn/hpointn.h:
	Use HPoint3 parameter-type instead of HPt3Coord * for some Pt4...() stuff.

	* src/lib/geometry/hpoint3/hpoint3.c: Remove HPt3Transform().

	* src/lib/aclib/Headers, src/lib/aclib/Makefile.am:
	Symlink the obstack.h header for use by (e.g.) ndutils.

	* src/bin/ndutils/ColorPoint.c, src/bin/ndutils/TransformGeom.c, src/bin/ndutils/WithColor.c:
	Remove some variable decl which are no longer needed.

	* src/bin/geomview/common/ui.h:
	Missing proto-type for set_ui_wm_focus().

	* src/bin/geomview/common/ui.c:
	Need to include transform.h for make_center_from_bbox().

2006-10-30  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/ndutils/Clip.h, src/bin/ndutils/clip.c, src/bin/ndutils/clipoogl.c, src/lib/aclib/obstack.h:
	Use an obstack to clean up after ND clipping.

2006-10-29  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/NDview/NDdemo, src/bin/NDview/NDview, src/bin/geomview/common/drawer.c, src/bin/geomview/common/motion.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c, src/bin/geomview/common/transform.h, src/bin/geomview/common/ui.c, src/bin/geomview/x11/gvtoolui.c, src/bin/geomview/x11/gvui.c, src/bin/geomview/x11/interface/Tool.mib, src/bin/gvclock/gvclock.in:
	The "origin/bbox-center" keyword to transform and transform-incr was a
	bad idea. There is still a new button in the Tools-menu which
	translates the CENTER object to the currently selected geom's bounding box.

	* src/bin/geomview/common/comm.c:
	Document ntransform keyword in online-help for (read ...) command.

	* src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/inststream.c:
	HandleRegister() needs &inst->NDaxis, not inst->NDaxis, otherwise
	inst->NDaxis (originally NULL) cannot be modified.

	* src/lib/gprim/inst/instdraw.c:
	Insert once-only warning message if somebody wants to use origin != NONE
	(i.e. LOCAL) with ND-drawing.

	* src/lib/gprim/bbox/bboxload.c: Handle 4d/Nd correctly.

	* src/bin/geomview/common/worldio.c:
	Document "ntransform" keyword in the online help.

	* doc/figs/tools.ps, doc/geomview.texi, doc/version.texi:
	Update the documentation to the latest changes.

2006-10-26  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/ndutils/GeomtoNoff.h, src/bin/ndutils/LoadMap.c, src/bin/ndutils/LoadMap.h, src/bin/ndutils/MakeGoodTransforms.c, src/bin/ndutils/MakeGoodTransforms.h, src/bin/ndutils/Makefile.am, src/bin/ndutils/Random.c, src/bin/ndutils/TransformGeom.c, src/bin/ndutils/TransformGeom.h, src/bin/ndutils/WithColor.c, src/bin/ndutils/WithColor.h, src/bin/ndutils/clip.c, src/bin/ndutils/clipoogl.c, src/bin/ndutils/init.c, src/bin/ndutils/init.h, src/bin/ndutils/slicer.c, src/bin/ndutils/slicer.h, src/bin/ndutils/snapshot.c, src/bin/ndutils/snapshot.h, src/bin/ndutils/testwish.c, src/bin/ndutils/wrappers.c, src/bin/ndutils/wrappers.h, data/NDview/cplxview/scripts/4d.cplx, data/NDview/cplxview/scripts/startup.script, data/NDview/scripts/4d.2bigwins, data/NDview/scripts/4d.3wins, data/NDview/scripts/4d.4wins, data/NDview/scripts/4d.cplx, data/NDview/scripts/4d.xyw, data/NDview/scripts/4d.xyz, data/NDview/scripts/4d.xzw, data/NDview/scripts/4d.yzw, data/NDview/scripts/5d.123, data/NDview/scripts/5d.5wins, data/NDview/scripts/startup.big.script, data/NDview/scripts/startup.small.script, src/bin/NDview/NDdemo, src/bin/NDview/NDview, src/bin/NDview/ndview.c, src/bin/ndutils/BasicFns.c, src/bin/ndutils/BasicFns.h, src/bin/ndutils/Clip.h, src/bin/ndutils/ColorMapDefs.h, src/bin/ndutils/ColorPoint.c, src/bin/ndutils/ColorPoint.h, src/bin/ndutils/GeExDir.c, src/bin/ndutils/GeExDir.h, src/bin/ndutils/GeomExtentDirection.c, src/bin/ndutils/GeomExtentDirection.h, src/bin/ndutils/GeomtoNoff.c:
	Fixed a BUNCH of memory leaks and other errors. But the main-work was
	to move thehomogeneous component to index 0. And the most important
	change was that each camera of an ND-cluster now has additionally its
	own 3d transform.

	* src/bin/gvclock/gvclock.in:
	Calling convention for transfrom-incr has changed (will undo that later).

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/lispext.c, src/bin/geomview/common/ndshade.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c:
	Homogeneous component for ND-viewing moved to index 0. Some other
	changes. ndshade.c changed such that INST stuff works even for ND.

	* src/bin/stereo/stereo.c: fucking ugliness removement.

	* src/lib/gprim/skel/skelsave.c, src/lib/gprim/skel/skelsphere.c, src/lib/gprim/sphere/spherecreate.c, src/lib/gprim/sphere/spheremisc.c, src/lib/gprim/vect/vectbound.c, src/lib/gprim/vect/vectcreate.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/quad/quadcreate.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/quad/quadsphere.c, src/lib/gprim/skel/skelbound.c, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/skel/skelload.c, src/lib/gprim/npolylist/nplsphere.c, src/lib/gprim/npolylist/npolylistP.h, src/lib/gprim/polylist/plbound.c, src/lib/gprim/polylist/plcreate.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/polylist/plload.c, src/lib/gprim/polylist/plsphere.c, src/lib/gprim/polylist/polylistP.h, src/lib/gprim/quad/quadbound.c, src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/mesh/meshdelete.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/mesh/meshnormal.c, src/lib/gprim/mesh/meshsphere.c, src/lib/gprim/mesh/meshtransform.c, src/lib/gprim/ndmesh/ndmesh.h, src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshload.c, src/lib/gprim/ndmesh/ndmeshsave.c, src/lib/gprim/ndmesh/ndmeshtransform.c, src/lib/gprim/npolylist/nplbound.c, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/npolylist/nplsave.c, src/lib/gprim/geom/vert.h, src/lib/gprim/inst/instbound.c, src/lib/gprim/inst/instsphere.c, src/lib/gprim/mesh/meshbound.c, src/lib/gprim/geom/transform.c, src/lib/gprim/bbox/bboxunion.c, src/lib/gprim/bezier/bezbound.c, src/lib/gprim/geom/boundsphere.c, src/lib/gprim/geom/geomclass.h, src/lib/gprim/bbox/bboxminmax.c, src/lib/gprim/bbox/bboxsave.c, src/lib/gprim/bbox/bboxtransform.c, src/lib/gprim/bbox/bboxcopy.c, src/lib/gprim/bbox/bboxcreate.c, src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/bbox/bboxload.c, src/lib/gprim/bbox/bboxbound.c, src/lib/gprim/bbox/bboxcenter.c:
	The homoegenous component for ND is now at index 0. VERT_4D flag is
	now only a mere input-flag for ND. Fixed several bugs. Forgot about
	the rest. (but the damn thing seems to work).

	* src/lib/geometry/hpoint3/hpoint3.c, src/lib/geometry/hpoint3/hpoint3.h, src/lib/geometry/hpoint3/hpoint3b.c:
	Some more utility functions concerning the conversion between
	ND<->3d. ND has its homogeneous component at index 0 now.

	* src/lib/mg/rib/mgribdraw.c:
	HPt3Normalize() is dead, changed everything to HPt3Dehomogenize.

	* src/lib/geometry/transformn/tmNpolardecomp.c, src/lib/geometry/transformn/transformn.c, src/lib/geometry/transformn/transformn.h:
	Moved the homogeneous component to position 0, this really MUCH more
	handy with varying ND-dimensions.

	* src/lib/geometry/hpointn/Makefile.am, src/lib/geometry/hpointn/hpointn.c, src/lib/geometry/hpointn/hpointn.h, src/lib/geometry/hpointn/hpointnb.c:
	Move everything to hpointn.c

	* src/lib/geomutil/plutil/anytopl.c:
	Adapt to changed TransformComponents() calling convention.

	* configure.ac, src/lib/oogl/util/malloc-debug.c:
	strdup() replacement for detecting memory leaks.

	* src/bin/geomview/common/ui.h, src/bin/geomview/x11/gvcamui.c, src/bin/geomview/x11/gvevent.c, src/bin/geomview/x11/gvui.c, src/bin/geomview/x11/gvui.h, src/bin/geomview/common/lang.c, src/bin/geomview/common/lang.h, src/bin/geomview/common/ui.c:
	Optionally change the active camera only on focus-change events; this
	is most desirable in the context of multiple windows when it starts to
	become complicated to move the mouse cursor back to the tool panel
	without crossing another camera window.

	* src/lib/oogl/lisp/lisp.c:
	Fix a severe memory leak in AssignArgs(): if the argument type is
	LLOBJECT and the argument itself is either not a list or the LHOLD
	modifyer is in effect, then the ref-count of the object would be
	increased one times too often which had the effect that constructs
	like (e.g.)

	(if (real-id blah) (echo foo) (echo bar))

	would not free there arguments lists. Very bad.

2006-10-22  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/drawer.c: Correct drawing of ND cameras.

	* src/bin/geomview/common/worldio.c:
	lisp function (camera-prop ...): handle keyword args correctly,
	including checking for the correct keyword.

	* src/bin/geomview/common/ui.h: Cosmetics.

	* src/bin/geomview/common/transform.c:
	drawer_transform(): now returns success status.

	* src/bin/geomview/common/space.c: Unused variable compile warning.

	* src/bin/geomview/common/ndshade.c:
	Account for changes in mgNDctx struct.

	* src/bin/geomview/common/lang.h: Remove comma at end of enum.

	* src/bin/geomview/x11/gvui.h:
	Proto-type for ui_tool_center_origin_set() (to get rid of a compiler
	warning).

	* src/lib/geometry/hpointn/hpointnb.c, src/lib/geometry/transformn/transformn.c, src/lib/geometry/transformn/transformn.h:
	Do not use "short" for parameters; that doesn't make too much
	sense. New function TmNPermute() which applies a permutations to an
	ND-Transform (to map an x,y,z 3d sub-space to some other
	3d-subspace). Some more fixes w.r.t. to prolongation and restriction of ND vectors/matrices.

	* src/lib/gprim/inst/instdraw.c:
	Better handling of ND-drawing; also: support non-local locations with
	ND-drawing. Non-local origins, however, are not (and probably will not
	be) supported with ND-drawing.

	* src/lib/gprim/inst/instmisc.c: Cosmetics.

	* src/lib/geometry/ntransobj/ntransobj.c: Remove unused variables.

	* src/lib/gprim/tlist/tlist.h, src/lib/gprim/tlist/tltransform.c:
	Handle TransformN argument to TListTransform().

	* src/lib/gprim/vect/vectdraw.c:
	Fix ND drawing of VECTs: use the VECTs colors of no ND cmap is defined
	(same handling as in SKEL).

	* src/lib/mg/common/mg.h:
	restructured mgNDctx struct and hook functions; we can now push a
	3-Transform (make INST support much easier).

	* src/lib/mg/common/mg.c, src/lib/mg/common/mgP.h:
	mgc->T4 and associated 3To4() stuff has gone because it was unused;
	seems to be a relict of beginning ND-support.

	* src/lib/oogl/lisp/lisp.c:
	include ctype.h, fix compiler warning in print_help_formatted().

2006-10-20  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/util/create.h:
	New define CR_NCENTER to retrieve the center of a bounding box with
	GeomGet(bbox, ...)

	* src/bin/geomview/x11/gvcredits.c, src/bin/geomview/x11/gvfiles.c, src/bin/geomview/x11/gvlights.c, src/bin/geomview/x11/gvload.c, src/bin/geomview/x11/gvmaterial.c, src/bin/geomview/x11/gvmnpanel.c, src/bin/geomview/x11/gvsave.c, src/bin/geomview/x11/gvtoolui.c, src/bin/geomview/x11/gvui.c, src/bin/geomview/x11/gvui.h, src/bin/geomview/x11/interface/Tool.mib, src/bin/geomview/common/drawer.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/motion.c, src/bin/geomview/common/transform.c, src/bin/geomview/common/transform.h, src/bin/geomview/common/ui.c, src/bin/geomview/common/ui.h, src/bin/geomview/x11/gvappear.c, src/bin/geomview/x11/gvcameras.c, src/bin/geomview/x11/gvcolor.c, src/bin/geomview/x11/gvcommands.c:
	New toggle "Origin BBox": if set and a geometry is the center of
	motion (except the world), then the center of the geometry's bounding
	box is used as origin of the coordinate system (instead of just using
	the origin of the center-object's co-ordinate system).

	The idea is that this makes it much easier to look at objects which
	are translated out of the center of their own coordinate frame,
	e.g. by using an INST geometry.

	* src/bin/geomview/common/lang.c, src/bin/geomview/common/lang.h, src/bin/geomview/common/lispext.c, src/bin/geomview/common/lispext.h:
	The list of keyword names is now generated on the fly in
	define_keyword().

	* src/lib/gprim/bbox/bboxP.h, src/lib/gprim/bbox/bboxclass.c, src/lib/gprim/bbox/bboxcreate.c:
	CR_4MIN/4MAX do not cause VERT_4D to be set (why should), but simply
	install an HPoint3. Bounding boxes now compute their center point, it
	can be fetched from the bounding box via GeomGet(bbox,
	CR_CENTER/CR_NCENTER, &point) to retrieve the center as HPoint3 or HPointN.

	* src/lib/gprim/bbox/bboxbound.c, src/lib/gprim/bbox/bboxunion.c:
	Use CR_4MIN/4MAX.

	* src/lib/oogl/lisp/lisp.c:
	Automatically format the help text to be indented by 8 chars, and
	wrapped at column 72. This simplifies modifying help texts (no need to
	format manually). A double \n\n is interpreted as paragraph, all other
	embedded spaces, tabs and newlines are converted to a single space.

	* src/lib/gprim/bezier/bezbound.c, src/lib/gprim/mesh/meshbound.c, src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/npolylist/nplbound.c, src/lib/gprim/polylist/plbound.c, src/lib/gprim/quad/quadbound.c, src/lib/gprim/skel/skelbound.c, src/lib/gprim/vect/vectbound.c:
	Use CR_4MIN/4MAX to generate the bounding box. VERT_4D can be set
	separately via CR_4D.

2006-10-19  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/inst/instbound.c: Typo.

	* src/bin/NDview/ndview.c, src/bin/ndutils/ColorPoint.c, src/bin/ndutils/GeExDir.c, src/bin/ndutils/slicer.c, src/bin/ndutils/snapshot.c, src/lib/geometry/ntransobj/ntransobj.c, src/lib/geometry/transformn/transformn.c, src/lib/geometry/transformn/transformn.h:
	Prepare for binary ntransform format.

2006-10-18  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/ndshade.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c, src/lib/gprim/bbox/bboxclass.c, src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/discgrp/dgdraw.c, src/lib/gprim/inst/instP.h, src/lib/gprim/inst/instbound.c, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/instdraw.c, src/lib/gprim/inst/instmisc.c, src/lib/gprim/inst/instsphere.c, src/lib/gprim/inst/inststream.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/sphere/spherecreate.c, src/lib/gprim/vect/vectdraw.c, src/lib/mg/buf/mgbuf.c, src/lib/mg/common/mg.c, src/lib/mg/common/mg.h, src/lib/mg/common/mgP.h, src/lib/mg/opengl/mgopengl.c, src/lib/mg/ps/mgps.c, src/lib/mg/rib/mgrib.c, src/lib/mg/x11/mgx11.c:
	ND-INST support (origin and location local only, no multi-transform
	stuff, i.e. there are no NTLISTs).

	* src/lib/gprim/inst/inststream.c:
	The attempt to introduce ND-INSTs broke saving of the transformation
	matrix (axis), fix that.

	* src/lib/gprim/vect/vectbound.c: Fogot to intialize "min".

	* src/lib/gprim/vect/vectload.c: Initialize flag to 0.

	* src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/npolylist/nplbound.c, src/lib/gprim/skel/skelbound.c:
	Fix previously introduced ND-bug.

	* src/lib/gprim/geom/create.c: GeomInit(): set pdim to 4 by default.

	* src/lib/gprim/bbox/bboxcenter.c, src/lib/gprim/bbox/bboxunion.c:
	Fix bugs previously introduced by my ND-changes.

2006-10-17  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/inst/instbound.c: First glimpse at ndaxis support.

	* src/lib/gprim/bbox/bboxbound.c: Some ND fixes.

	* src/lib/gprim/sphere/spherecreate.c:
	Fix a long-standing memory leakage bug: a sphere's Bezier-mesh and
	tlist were NEVER freed.

	* src/bin/geomview/common/transform.c:
	id_bsphere(): fix a memory leak (ND-case).

	* src/lib/gprim/geom/boundsphere.c: Fix a memory leak (ND-case).

2006-10-16  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/inst/instcreate.c, src/lib/gprim/sphere/spherecreate.c:
	Forgot the initialization of inst->ndaxis in some places.

	* src/bin/geomview/common/transform.c: Forgot yet another TmNDelete()

	* src/lib/gprim/inst/instP.h, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/instmisc.c, src/lib/gprim/inst/inststream.c:
	Preparations for ND-Transform INST objects (not working yet).

	* src/lib/gprim/inst/instsphere.c, src/lib/gprim/inst/instbound.c:
	Fix handling of ND-Transform if present.

	* src/lib/oogl/util/create.h, src/bin/ndutils/TransformGeom.c, src/bin/ndutils/WithColor.c, src/lib/gprim/inst/instP.h, src/lib/gprim/inst/instcreate.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/quad/quadP.h, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/quad/quadload.c, src/lib/gprim/quad/quadsphere.c, src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/skel/skelload.c, src/lib/gprim/sphere/sphereP.h, src/lib/gprim/sphere/spherecreate.c, src/lib/gprim/vect/vectdraw.c:
	Some cleanup w.r.t. to ND drawing of 3d objects.

	* src/bin/geomview/common/comm.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/worldio.c:
	include ntransobj.h.

	* src/bin/geomview/common/transform.c:
	Pass Transfrom, not (Transform *) to HPt3Tranform.

2006-10-15  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/comm.c, src/bin/geomview/common/comm.h, src/bin/geomview/common/lang.c, src/bin/geomview/common/lang.h, src/bin/geomview/common/lispext.c, src/bin/geomview/common/worldio.c:
	Support ntransform as real lisp-object.

	* src/bin/geomview/common/transform.c:
	look-recenter: only set the 3d transform if ND-viewing is NOT enabled.

	* src/lib/geometry/Makefile.am: Add ntransobj/ subdir.

	* configure.ac: Add src/lib/geometry/ntransobj/Makefile

	* src/lib/geometry/ntransobj/.cvsignore, src/lib/geometry/ntransobj/Headers, src/lib/geometry/ntransobj/Makefile.am, src/lib/geometry/ntransobj/ntransobj.c, src/lib/geometry/ntransobj/ntransobj.h:
	Initial revision.

	* src/bin/geomview/common/transform.c:
	apply_ND_transform(): need to delete Tmp, drawer_set_ND_xform() just
	makes a copy.

	* src/lib/gprim/sphere/spheremisc.c:
	Fix off-by-one loop-count errors in SphereEncompassXXXN().

	* src/lib/gprim/npolylist/nplsphere.c:
	Fix silly typos and complete the implementation (stopped somewhere in
	middle, unnoticed because the file was never compiled).

	* src/lib/gprim/npolylist/npolylistP.h:
	Proto-type for NPolyListSphere().

	* src/lib/gprim/npolylist/Makefile.am: Forgot to add nplsphere.c

	* src/lib/gprim/ndmesh/ndmeshclass.c, src/lib/gprim/npolylist/nplclass.c, src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skelclass.c:
	Do not forget to install BoundSphere() method.

	* src/lib/gprim/mesh/meshclass.c, src/lib/gprim/polylist/plclass.c:
	Cosmetics.

	* src/lib/gprim/geom/boundsphere.c:
	GeomBoundSphereFromBBox(): handle ND-BBoxes correctly.

	* src/lib/gprim/bezier/bezbound.c, src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/npolylist/nplbound.c, src/lib/gprim/quad/quadbound.c, src/lib/gprim/skel/skelbound.c:
	Array loop-count was off by one; bug introduced by myself.

	* src/lib/gprim/bbox/bboxminmax.c: Handle ND-BBoxes correctly.

	* src/lib/geometry/hpointn/hpointnb.c:
	Cosmetic changes to HPtNToHPt3().

	* src/bin/NDview/.cvsignore, src/bin/clipboard/.cvsignore, src/bin/ndutils/.cvsignore, src/lib/oogl/wa/.cvsignore:
	Ignore some files generated during compilation.

2006-10-14  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/geometry/transformn/transformn.c:
	TmNRead(): release ->a array on error.

2006-10-13  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/common/drawer.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c:
	ND-stuff cleanup: just use the cameras C2W and W2C instead of using
	additional (unmotivated ...) entries in DView. Seems to work quite nice ...

	* src/lib/oogl/wa/wa.yacc.h, src/lib/gprim/quad/quadbound.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/quad/quadsphere.c, src/lib/gprim/skel/Makefile.am, src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skelbound.c, src/lib/gprim/skel/skelcreate.c, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/skel/skelload.c, src/lib/gprim/skel/skelsave.c, src/lib/gprim/skel/skelsphere.c, src/lib/gprim/skel/skeltransform.c, src/lib/gprim/sphere/sphere.h, src/lib/gprim/sphere/spherecreate.c, src/lib/gprim/sphere/spheremisc.c, src/lib/gprim/vect/vectbound.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/vect/vectsphere.c, src/lib/oogl/wa/wa.lex.c, src/lib/oogl/wa/wa.yacc.c, src/lib/gprim/inst/instbound.c, src/lib/gprim/list/list.h, src/lib/gprim/list/listmisc.c, src/lib/gprim/mesh/mesh.h, src/lib/gprim/mesh/meshbound.c, src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/mesh/meshsphere.c, src/lib/gprim/ndmesh/Makefile.am, src/lib/gprim/ndmesh/ndmesh.h, src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/ndmesh/ndmeshsphere.c, src/lib/gprim/npolylist/nplbound.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/npolylist/nplsphere.c, src/lib/gprim/npolylist/npolylist.h, src/lib/gprim/polylist/plbound.c, src/lib/gprim/polylist/plcreate.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/polylist/plload.c, src/lib/gprim/polylist/plsphere.c, src/lib/gprim/polylist/polylist.h, src/lib/gprim/quad/quad.h, src/lib/gprim/bbox/bboxclass.c, src/lib/gprim/bbox/bboxcopy.c, src/lib/gprim/bbox/bboxcreate.c, src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/bbox/bboxload.c, src/lib/gprim/bbox/bboxminmax.c, src/lib/gprim/bbox/bboxsave.c, src/lib/gprim/bbox/bboxtransform.c, src/lib/gprim/bbox/bboxunion.c, src/lib/gprim/bezier/bezbound.c, src/lib/gprim/bezier/bezcreate.c, src/lib/gprim/bezier/bezload.c, src/lib/gprim/discgrp/dgbound.c, src/lib/gprim/discgrp/discgrp.h, src/lib/gprim/geom/bound.c, src/lib/gprim/geom/boundsphere.c, src/lib/gprim/geom/create.c, src/lib/gprim/geom/geom.h, src/lib/gprim/geom/geomclass.h, src/lib/gprim/geom/pick.c, src/lib/gprim/inst/inst.h, src/lib/geomutil/dim/dim.c, src/lib/geomutil/plutil/anytopl.c, src/lib/gprim/bbox/bbox.h, src/lib/gprim/bbox/bboxP.h, src/lib/gprim/bbox/bboxbound.c, src/lib/gprim/bbox/bboxcenter.c, src/bin/geomutil/oogl2rib/oogl2rib.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/drawer.h, src/bin/geomview/common/motion.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c, src/bin/gvclock/Makefile.am, src/bin/ndutils/GeomExtentDirection.c, src/bin/ndutils/GeomtoNoff.c, src/bin/ndutils/TransformGeom.c, src/bin/ndutils/WithColor.c, src/lib/geometry/hpoint3/hpoint3.c, src/lib/geometry/hpoint3/hpoint3.h, src/lib/geometry/hpoint3/hpoint3b.c, src/lib/geometry/hpointn/hpointn.h, src/lib/geometry/hpointn/hpointnb.c, src/lib/geometry/point3/point3.c, src/lib/geometry/transform3/tm3conjugate.c, src/lib/geometry/transform3/tm3polardecomp.c, src/lib/geometry/transformn/tmNpolardecomp.c, src/lib/geometry/transformn/transformn.c, src/lib/geometry/transformn/transformn.h:
	Quite a lot of ND drawing changes:

	look-encompass/-recenter etc. should work now; every camera of an
	ND-cluster now additionally has a 3d transform attached which acts on
	the 3d sub-space it is looking at; this is used by look-encompass. The
	prevous ND paradigm focal-len == translation in z direction was just
	an ugly hack.

	Motions are not applied to the 3d transforms while in Nd mode.

	Mouse-scaling now works while in Nd-mode, however, it is no longer
	treated as a motion: mouse initiated scaling in Nd is never
	incremental; changing this would require quite some more changes.

	Picking still does not work in Nd.

	Nd drawing honours the 3d transformations set by the xform/xform-set
	commands. But the result may look very funny.

	* src/bin/geomutil/hvectext/Makefile.am: Fix all-local: rule.

	* src/bin/NDview/NDview:
	Disable normalization, do not disable bboxes, they work in Nd now.

	* src/lib/oogl/wa/.cvsignore: Ignore some files.

2006-10-06  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* m4/lf_local.m4:
	Prefix fix for header linking was wrong. Correct that.

	* src/lib/gprim/comment/commentP.h, src/lib/gprim/discgrp/discgrpP.h, src/lib/gprim/inst/instP.h, src/lib/gprim/list/listP.h, src/lib/gprim/mesh/meshP.h, src/lib/gprim/ndmesh/ndmeshP.h, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/npolylist/npolylistP.h, src/lib/gprim/polylist/polylistP.h, src/lib/gprim/quad/quadP.h, src/lib/gprim/quad/quadcreate.c, src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skelload.c, src/lib/gprim/tlist/tlistP.h, src/lib/gprim/vect/vectP.h, src/lib/gprim/bezier/bezcreate.c, src/lib/gprim/bezier/bezierP.h, src/lib/gprim/geom/geomclass.h:
	Add "pdim" component to GEOMFIELDS

	* src/lib/gprim/geom/vert.h: Add new flag VERT_ND. Unused yet.

	* src/lib/geometry/hpointn/hpointn.h, src/lib/geometry/hpointn/hpointnb.c:
	New function Pt4ToHPtN().

	* src/bin/geomview/common/transform.c:
	look-toward seems to start to work for ND objects. Maybe.

	* src/lib/gprim/bbox/Makefile.am, src/lib/gprim/bbox/bbox.h, src/lib/gprim/bbox/bboxP.h, src/lib/gprim/bbox/bboxcenter.c, src/lib/gprim/bbox/bboxcreate.c, src/lib/gprim/bbox/bboxminmax.c, src/lib/gprim/bbox/bboxunion.c:
	Support for ND bounding boxes.

	* src/bin/NDview/Makefile.am:
	Use $(realpath ..) for the in-tree emodule definitions.

	* doc/version.texi: Update.

	* m4/lf_local.m4:
	Take relative/non relative source locations into account.

2006-10-04  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/ndmesh/ndmeshtransform.c, src/lib/gprim/npolylist/npltransform.c:
	Initial revision.

	* src/lib/gprim/polylist/pltransform.c, src/lib/gprim/polylist/polylist.h, src/lib/gprim/quad/quad.h, src/lib/gprim/quad/quadbound.c, src/lib/gprim/quad/quadsphere.c, src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skelbound.c, src/lib/gprim/skel/skelload.c, src/lib/gprim/skel/skeltransform.c, src/lib/gprim/sphere/spheremisc.c, src/lib/gprim/tlist/tlist.h, src/lib/gprim/vect/vectbound.c, src/lib/gprim/vect/vectsphere.c, src/lib/oogl/util/create.h, src/lib/gprim/list/list.h, src/lib/gprim/list/listclass.c, src/lib/gprim/list/listmisc.c, src/lib/gprim/list/listsphere.c, src/lib/gprim/mesh/mesh.h, src/lib/gprim/mesh/meshbound.c, src/lib/gprim/mesh/meshclass.c, src/lib/gprim/mesh/meshsphere.c, src/lib/gprim/mesh/meshtransform.c, src/lib/gprim/ndmesh/Makefile.am, src/lib/gprim/ndmesh/ndmesh.h, src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/ndmesh/ndmeshclass.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshload.c, src/lib/gprim/ndmesh/ndmeshsave.c, src/lib/gprim/npolylist/Makefile.am, src/lib/gprim/npolylist/nplbound.c, src/lib/gprim/npolylist/nplclass.c, src/lib/gprim/npolylist/nplcreate.c, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/npolylist/npolylist.h, src/lib/gprim/npolylist/npolylistP.h, src/lib/gprim/polylist/plbound.c, src/lib/gprim/polylist/plclass.c, src/lib/gprim/polylist/plsphere.c, src/lib/gprim/bbox/bboxcreate.c, src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/bbox/bboxload.c, src/lib/gprim/bbox/bboxminmax.c, src/lib/gprim/bbox/bboxsave.c, src/lib/gprim/bbox/bboxtransform.c, src/lib/gprim/bbox/bboxunion.c, src/lib/gprim/bezier/bezbound.c, src/lib/gprim/bezier/bezclass.c, src/lib/gprim/bezier/bezier.h, src/lib/gprim/bezier/bezsphere.c, src/lib/gprim/bezier/beztransform.c, src/lib/gprim/discgrp/dgbound.c, src/lib/gprim/discgrp/discgrp.h, src/lib/gprim/geom/bound.c, src/lib/gprim/geom/boundsphere.c, src/lib/gprim/geom/geom.h, src/lib/gprim/geom/geomclass.h, src/lib/gprim/geom/pick.c, src/lib/gprim/geom/pick.h, src/lib/gprim/geom/transform.c, src/lib/gprim/inst/inst.h, src/lib/gprim/inst/instbound.c, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/instmisc.c, src/lib/gprim/inst/instsphere.c, data/NDview/text/axeshelp.txt, doc/version.texi, src/bin/NDview/ndview.c, src/bin/geomutil/oogl2rib/oogl2rib.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/lights.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c, src/bin/geomview/common/worldio.c, src/bin/geomview/x11/gvcamui.c, src/bin/ndutils/slicer.c, src/bin/tackdown/origin.common.c, src/bin/tackdown/tackdown.main.c, src/lib/geometry/hpoint3/hpoint3.c, src/lib/geometry/hpointn/hpointn.c, src/lib/geometry/transform3/3d.h, src/lib/geometry/transformn/Makefile.am, src/lib/geometry/transformn/tmNpolardecomp.c, src/lib/geometry/transformn/transformn.h, src/lib/geomutil/plutil/plutil.h, src/lib/gprim/bbox/bbox.h, src/lib/gprim/bbox/bboxP.h, src/lib/gprim/bbox/bboxbound.c, src/lib/gprim/bbox/bboxclass.c, src/lib/gprim/bbox/bboxcopy.c:
	Preparation for some ND-view changes; I plan support for working
	"look" and "positioning" commands. Needed quite some changes. I tagged
	everything with the GEOMVIEW_PRE_NDVIEW_CHANGE tag; so we can revert
	if it does not work out.

	* src/lib/mg/buf/mgbuf.c:
	Complete my previous fix concerning the orietation of "alien" objects.

2006-10-03  Mark Phillips  <mbp@geomtech.com>

	* doc/geomview.5, doc/geomview.5.man, doc/geomview.texi:
	add list of mode strings to documentation for event-mode gcl command

	* src/bin/geomview/x11/gvcamui.c:
	fixed snapshot setup code (used in ppmscreen snapshots) so that delay works on 64-bit systems

2006-10-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/mg/opengl/mgopengldraw.c:
	Applied Adrian Rossiter's fix for non-concave quadrilaterals.

	* src/lib/mg/buf/mgbuf.c:
	Flipping of the the coordinate system has to be done on a per-object
	basis because there are objects which do not belong to the world
	(e.g. SaVI's logo). This leaves, of course, room for optimization: as
	most objects belong to the world, we should flip the world's
	coordinate system (y-coordinate) and only do a per-object flipping for
	those few objects not belonging to the world.

	* src/lib/mg/x11/mgx11.c:
	Add a comment to some disabled code in mgx11_worldbegin().

	* src/bin/geomview/common/space.c:
	A more understandable help text for ND-xform.

	* src/bin/geomview/common/drawer.c:
	The previous code accessed components of obj after obj already had
	been deleted. Gnah. Buuh.

	* src/bin/geomview/common/comm.c: Cosmetics.

	* src/lib/oogl/lisp/lisp.c, src/lib/oogl/lisp/lisp2.h:
	"not", "or" and "and" functions.

	* data/NDview/scripts/4d.3wins, data/NDview/scripts/4d.4wins:
	Correct some more-or-LESS cosmetic errors.

2006-10-02  Lloyd Wood  <L.Wood@surrey.ac.uk>

	* ChangeLog:
	Correcting typo in my name. Plus expanding on doc/ build note.

2006-10-01  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/geomview/x11/gvmnpanel.c, src/lib/mib/mibload.c:
	One of the more obscure features of the variable argument functions of
	the Xt toolkit is the handling of mnemonic's (in short keyboard
	short-cuts for menus etc): internally they are expected to be of type
	XID, which means "unsigned long int" outside of the X-server and
	CARD32 inside the X-server (we are talking about X-toolkits, and so we
	are outside the X-server and have "unsigned long int"). Now, at least
	on some 64bit archs passing 64bit variable arguments or 32bit variable
	arguments makes a difference.

	The solution is to use a type-cast to XID for mnemonic chars. This was
	the reason for the

	Warning:
	    Name: button_0
	    Class: XmCascadeButtonGadget
	    Illegal mnemonic character;  Could not convert X KEYSYM to a keycode

	messages received on (some, at least) 64bit systems.

	* src/bin/geomview/x11/gvmnpanel.c:
	Prevent automatic resizing of the main-panel; otherwise it will suffer
	an unnecessary change each a module is started.

2006-09-30  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac, doc/version.texi: Bump version to post-rc9

	* ChangeLog: Update.

	* NEWS: Document the Nd-code bugfix.

	* configure.ac, doc/version.texi: Bump version to rc9.

	* src/bin/stereo/stereo.c: Fix unused variable warning.

	* src/lib/geometry/transformn/transformn.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c:
	The nD stuff was really badly broken. I'm tempted to say that it did
	not have memory leaks, but _was_ one single big memory leak.

	* doc/version.texi: Update.

2006-09-30  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* rc9 checkpoint.

	* NEWS: Document the Nd-code bugfix.

	* configure.ac, doc/version.texi: Bump version to rc9.

	* src/bin/stereo/stereo.c: Fix unused variable warning.

	* src/lib/geometry/transformn/transformn.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c:
	The nD stuff was really badly broken. I'm tempted to say that it did
	not have memory leaks, but _was_ one single big memory leak.

	* doc/version.texi: Update.

2006-09-13  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/geomview.texi:
	The menu entry for the GCL reference somehow vanished in the previous commit.

	* doc/version.texi: Update.

	* src/lib/gprim/comment/commentcreate.c:
	Undo a debugging relict that broke comment objects.

2006-08-30  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/gprim/vect/vectload.c: Typo.

	* doc/version.texi, doc/geomview.texi: Document binary SKEL format.

	* src/lib/gprim/skel/skelload.c: Binary SKEL format.

	* src/lib/gprim/npolylist/nplload.c: Fix Emacs per-file variable spec.

	* doc/version.texi: Update time-stamp.

2006-08-27  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/version.texi, doc/geomview.texi:
	The node- and menu structure was partially garbled which confused the
	html output, at least. Get rid of most @ifFORMAT constructs; use
	@uref{} to refer to URL's (works nowadays).

	* src/lib/oogl/util/iobuffer.c: Debugging stuff.

2006-08-24  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* README.cvs:
	At least mention flex and bison (although the parser is now included
	in the CVS).

2006-08-23  Lloyd Wood  <L.Wood@surrey.ac.uk>

	* geomview.sh:
	This is the same Cygwin filesystem check that SaVi uses. It's less complex than
	if test "`uname | grep CYGWIN`"; then

	/cygdrive only exists if cygwin is running...

2006-08-21  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/wa/.cvsignore, src/lib/oogl/wa/wa.lex.c, src/lib/oogl/wa/wa.yacc.c, src/lib/oogl/wa/wa.yacc.h:
	Re-add scanner/parser output files.

2006-08-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/version.texi: Update to post-rc8 version.

2006-08-07  Lloyd Wood  <L.Wood@surrey.ac.uk>

	* Makefile.am:
	Building doc/ at end -- so that if there's a problem with the tex or ps
	stuff, the C build has already completed and is unaffected.

	make geomview
	can be used if the C build has completed and the doc/ build fails,
	to create the ./geomview script than runs Geomview.

2006-08-07  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/NDview/.cvsignore, src/bin/clipboard/.cvsignore, src/bin/cplxview/.cvsignore, src/bin/flythrough/.cvsignore, src/bin/ginsu/.cvsignore, src/bin/graffiti/.cvsignore, src/bin/hinge/.cvsignore, src/bin/ndutils/.cvsignore, src/bin/stereo/.cvsignore, src/bin/sweep/.cvsignore, src/bin/tackdown/.cvsignore, src/bin/transformer/.cvsignore:
	CVS ignore stuff.

	* src/lib/oogl/wa/Makefile.am:
	The dependency of the parser/scanner files should be on
	$(srcdir)/Makefile.in, not on Makefile.

	* src/lib/gprim/geom/geomstream.c: Remove a double file-close.

	* configure.ac: Use a fancy "post-rc8-CVS" version string.

	* src/lib/oogl/wa/.cvsignore: Ignore wa.yacc.c

	* doc/.cvsignore, doc/version.texi:
	Include version.texi into the CVS. IMHO this is a bad idea, but the
	maintainer-mode concept seems to be too complicated.

	* src/bin/NDview/.cvsignore, src/bin/clipboard/.cvsignore, src/bin/ndutils/.cvsignore:
	Ignore .deps directory.

	* configure.ac:
	Unconditionally check for ps2epsi, epstopdf, pdfimags and pnmtopng,
	even without MAINTAINERMODE:

	* reconf: Use "$@" not $* (expansion of arguments in quoted words).

2006-08-04  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* README.cvs, doc/Makefile.am, src/lib/oogl/lisp/Makefile.am, src/lib/oogl/wa/Makefile.am:
	Letting targets to create "maintainermode"-files depend on the
	automake-conditional MAINTAINERMODE was a very stupid idea.

2006-08-03  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* README.cvs: Mention that we need --enable-maintainer-mode ...

2006-08-02  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* NEWS: Meanwhile it's August 2006 ... tempus fugit.

	* ChangeLog: Update to 1.8.2-rc8 state.

	* configure.ac: Apply David's Darwin patch.

	* src/lib/mg/x11/mgx11.c, src/lib/mg/x11/mgx11windows.c:
	Quick and dirty hack to fix upside-down bug with MGX11 driver.

	* src/bin/labeler/Makefile.am:
	Fix the local (i.e. in build-tree) .geomview-labeler module def.

	* src/bin/geomview/common/transform.c:
	When doing "look-recenter" we do not want to apply the object
	transformation to the camera, because the object-trafo may contain
	arbitrary deformations (at least I do not like being deformed when
	watching Geomview). Instead, us a polar decomposition of the object's
	transform and apply only the orthogonal factor to the camera.

	* src/lib/Makefile.am:
	Maybe do not install the library if not using shared libraries (we do
	install ATM).

	* src/lib/oogl/wa/yystype.h, src/lib/oogl/wa/Headers, src/lib/oogl/wa/Makefile.am, src/lib/oogl/wa/fsaparse.l, src/lib/oogl/wa/fsaparse.y, src/lib/oogl/wa/wa.yystype.h:
	Renamed yystype.h to wa.yystype.h

	* src/lib/geometry/transform3/Makefile.am, src/lib/geometry/transform3/tm3polardecomp.c, src/lib/geometry/transform3/transform.h, src/lib/geometry/transform3/transform3.h:
	Polar decomposition of 3x3 matrix.

	* Makefile.am: Install non-private header-files in pkginclude.

	* configure.ac:
	Adapt xforms include and library paths to the xforms source distro at
	savannah.

	* src/lib/geometry/transform3/tm3polardecomp.c: Initial revision.

2006-08-02  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac: Apply David's Darwin patch.

	* src/lib/mg/x11/mgx11.c, src/lib/mg/x11/mgx11windows.c:
	Quick and dirty hack to fix upside-down bug with MGX11 driver.

	* src/bin/labeler/Makefile.am:
	Fix the local (i.e. in build-tree) .geomview-labeler module def.

	* src/bin/geomview/common/transform.c:
	When doing "look-recenter" we do not want to apply the object
	transformation to the camera, because the object-trafo may contain
	arbitrary deformations (at least I do not like being deformed when
	watching Geomview). Instead, us a polar decomposition of the object's
	transform and apply only the orthogonal factor to the camera.

	* src/lib/Makefile.am:
	Maybe do not install the library if not using shared libraries (we do
	install ATM).

	* src/lib/oogl/wa/yystype.h, src/lib/oogl/wa/Headers, src/lib/oogl/wa/Makefile.am, src/lib/oogl/wa/fsaparse.l, src/lib/oogl/wa/fsaparse.y, src/lib/oogl/wa/wa.yystype.h:
	Renamed yystype.h to wa.yystype.h

	* src/lib/geometry/transform3/Makefile.am, src/lib/geometry/transform3/tm3polardecomp.c, src/lib/geometry/transform3/transform.h, src/lib/geometry/transform3/transform3.h:
	Polar decomposition of 3x3 matrix.

	* Makefile.am: Install non-private header-files in pkginclude.

	* configure.ac:
	Adapt xforms include and library paths to the xforms source distro at
	savannah.

	* src/lib/geometry/transform3/tm3polardecomp.c: Initial revision.

2006-08-01  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac: Disable building a shared library by default.

	* src/lib/oogl/util/futil.c, src/lib/oogl/util/iobfutil.c:
	htons/l -> gv_htons/l (bug reported by David Morisson).

	* src/bin/geomutil/bdy/Makefile.am, src/bin/geomutil/clip/Makefile.am, src/bin/geomutil/oogl2rib/Makefile.am, src/bin/geomutil/oogl2vrml/Makefile.am, src/bin/geomutil/plutil/Makefile.am, src/bin/geomutil/ucd/Makefile.am, src/bin/geomview/x11/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/hinge/Makefile.am, src/bin/labeler/Makefile.am, src/bin/ndutils/Makefile.am, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/NDview/Makefile.am, src/bin/animate/Makefile.am, src/bin/clipboard/Makefile.am, src/bin/cplxview/Makefile.am, src/bin/crayola/Makefile.am, src/bin/example/Makefile.am:
	Remove -rpath, not needed and not wanted by Debian.

2006-08-01  Steve M. Robbins  <steve@nyongwa.montreal.qc.ca>

	* src/bin/ChangeLog, src/bin/geomutil/plutil/offconsol.1:
	Fix manpage section.

	* ChangeLog, configure.ac, src/bin/ChangeLog, src/bin/stereo/stereo.c:
	Search for /usr/gfx/setmon at configure time; may be overridden by
	setting shell variable SETMON_PATH.  If not found, diagnostic is
	emitted at runtime by stereo.

	* src/lib/ChangeLog, src/lib/gprim/geom/knownclass.c:
	Fix bug in list of function prototypes, arising from the fact that the
	"*" in C attaches to the declarator rather than the type.

	* ChangeLog, geomview.sh:
	Specifying -help should only print help and not bring up geomview
	windows.  Fix diagnostic emitted when invoked with "-graphics" and no
	alternatives exist.

	* src/bin/ChangeLog, src/bin/example/oogl.c, src/bin/flythrough/main.c, src/bin/hinge/hui.c:
	Remove or rename function getline() to avoid clash with
	standard C library function.

	* src/lib/ChangeLog, src/lib/oogl/util/ooglutil.h:
	Remove duplicate declaration of fmemopen().

2006-07-31  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac:
	AM_CONDITIONALS _must_ _not_ be defined conditionally. Gnah.

	* src/bin/Makefile.am:
	Forward the src_bin_module_subdirs to "make distclean" via distclean-local.

	* ChangeLog: *** empty log message ***

	* configure.ac:
	Search for GL/gl.h and GL/glx.h and make sure the beast still compiles
	without OpenGL.

	* geomview.sh:
	Set TCL/TK_LIBRARY variables on Cygwin, the Cygwin Tcl/Tk port is
	buggy in this respect.

	* src/bin/geomview/x11/gvcamui.c:
	Missing closing " after contact info update.

2006-07-30  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac: Use PREFIX/share/geomview as data-dir (instead of
	PREFIX/share/geomview/data).

	* src/bin/ndutils/ColorPoint.c:
	Off-by-1 bug: in C (in contrast to maybe Fortran ...) the last array
	index is (size-1). Ups.

	* src/bin/ndutils/GeExDir.c: Debugging message.

	* src/bin/ndutils/slicer.c, src/bin/ndutils/snapshot.c:
	Consume the fourth number of the ND-axes command.

	* doc/geomview.texi, src/bin/geomview/common/space.c:
	The "ND-axes" command was not correctly documented: it accepts 4
	numbers, not 3, and return 4 numbers, not 3, when called without
	camera cluster ID. The last number seems to be hard-wired to -1. But???????

2006-07-31  Steve M. Robbins  <steve@nyongwa.montreal.qc.ca>

	* configure.ac: Search for /usr/gfx/setmon; may be overridden by
	setting shell variable SETMON_PATH.  Used in stereo module.

	* geomview.sh: Specifying -help should only print help and not
	bring up geomview windows.  Fix diagnostic emitted when invoked
	with "-graphics" and no alternatives exist.

2006-07-31  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* 1.8.2-rc7 release.

	* configure.ac:
	Search for GL/gl.h and GL/glx.h and make sure the beast still compiles
	without OpenGL.

	* geomview.sh:
	Set TCL/TK_LIBRARY variables on Cygwin, the Cygwin Tcl/Tk port is
	buggy in this respect.

	* src/bin/geomview/x11/gvcamui.c:
	Missing closing " after contact info update.

2006-07-30  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac: Use PREFIX/share/geomview as data-dir (instead of
	PREFIX/share/geomview/data).

	* src/bin/ndutils/ColorPoint.c:
	Off-by-1 bug: in C (in contrast to maybe Fortran ...) the last array
	index is (size-1). Ups.

	* src/bin/ndutils/GeExDir.c: Debugging message.

	* src/bin/ndutils/slicer.c, src/bin/ndutils/snapshot.c:
	Consume the fourth number of the ND-axes command.

	* doc/geomview.texi, src/bin/geomview/common/space.c:
	The "ND-axes" command was not correctly documented: it accepts 4
	numbers, not 3, and return 4 numbers, not 3, when called without
	camera cluster ID. The last number seems to be hard-wired to -1. But???????

	* configure.ac, src/bin/Makefile.am:
	Cygwin (and maybe other non-Unix systems) do not have the
	Tcl_CreateFileHandler() function. Check for it and disable the crayola
	module if the function is not found.

	* src/bin/ndutils/clipoogl.c, src/bin/ndutils/slicer.c, src/bin/ndutils/wrappers.c, src/lib/mg/x11/mgx11draw.c, src/lib/mg/x11/mgx11windows.c:
	Remove some compiler warnings.

	* src/lib/oogl/lisp/Makefile.am:
	clisp.h must be copied to $(srcdir), otherwise the headers sym-link
	stuff does not work.

	* ChangeLog:
	Update email addresses; I need to be more careful to run rcs2log with
	the correct -u options.

	* doc/Makefile.am: Cleaned up as suggested by Steve M. Robbins.

	* data/Makefile.am: Erroneously included the groups/CVS/ subdir.

	* src/bin/gvclock/Makefile.am: CLEANFILES was set twice.

	* src/bin/sweep/.geomview-sweep, src/bin/tackdown/.geomview-tackdown, src/bin/transformer/.geomview-transformer, src/bin/hinge/.geomview-hinge, src/bin/stereo/.geomview-stereo, src/bin/graffiti/.geomview-graffiti, src/bin/flythrough/.geomview-flythrough, src/bin/ginsu/.geomview-ginsu, src/bin/cplxview/.geomview-cplxview:
	Generated by make

	* src/bin/geomview/common/comm.c:
	LDEFINE(read, ...): Fix a long standing memory bug;

	(read blah {stuff})

	treats blah just as keyword, the resulting lisp-object (e.g. a string
	"geometry") is never referenced again; so we _must_ free the keyword
	in this function, not only on error, but in any case.

	* src/bin/clipboard/clipx.c:
	Use the "default" grey as backgound for the clibboard view.

	* src/bin/transformer/Makefile.am, data/Makefile.am, src/bin/NDview/Makefile.am, src/bin/animate/Makefile.am, src/bin/clipboard/Makefile.am, src/bin/cplxview/Makefile.am, src/bin/crayola/Makefile.am, src/bin/example/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/gvclock/Makefile.am, src/bin/hinge/Makefile.am, src/bin/labeler/Makefile.am, src/bin/ndutils/Makefile.am, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am:
	Some fixes after running "make distchek".

	* README: Update modules list.

	* NEWS: Update list of resurrected modules.

	* INSTALL.Geomview:
	Note that we are back to "vanilla" installation layout (with the
	exception of the different prefix default).

	* configure.ac: Again build a shared library.

	* src/bin/ndutils/Slicer: Bail out if we are not in ND with N > 3.

	* src/bin/maniview/maniview.h: xforms issue.

	* src/bin/orrery/Makefile.am:
	Let .geomview-orrery depend on the Makefile

	* src/bin/tackdown/Makefile.am: origin module.

	* src/bin/ndutils/.cvsignore: Initial revision.

	* src/bin/hinge/hui.c: Mmmh.

	* src/bin/flythrough/flythrough.h: Xforms issue.

	* src/bin/flythrough/main.c:
	Check for NULL before trying to close files.

	* src/bin/cplxview/Makefile.am: Help text now in top-level directory.

	* src/bin/NDview/Makefile.am:
	Moved all data-files to top-level directory.

	* configure.ac: ndutils

	* data/Makefile.am: Install all data-files from here.

	* src/bin/cplxview/cplxpanels2.c, src/bin/cplxview/cplxpanels2.fd, src/bin/cplxview/cplxpanels2.h, src/bin/example/panel.c, src/bin/example/panel.fd, src/bin/example/panel.h, src/bin/flythrough/panel.c, src/bin/flythrough/panel.fd, src/bin/flythrough/panel.h, src/bin/ginsu/ginsuF.c, src/bin/ginsu/ginsuF.fd, src/bin/ginsu/ginsuF.h, src/bin/hinge/panel.c, src/bin/hinge/panel.fd, src/bin/hinge/panel.h, src/bin/maniview/controlpanel.c, src/bin/maniview/controlpanel.fd, src/bin/maniview/controlpanel.h, src/bin/stereo/sterui.c, src/bin/stereo/sterui.fd, src/bin/stereo/sterui.h, src/bin/sweep/panel.c, src/bin/sweep/panel.fd, src/bin/sweep/panel.h, src/bin/tackdown/origin.panel.c, src/bin/tackdown/origin.panel.fd, src/bin/tackdown/origin.panel.h, src/bin/tackdown/panel.c, src/bin/tackdown/panel.fd, src/bin/tackdown/panel.h, src/bin/transformer/panel.c, src/bin/transformer/panel.fd, src/bin/transformer/panel.h:
	Re-ran the fdesign program; several button, widges etc. just did not
	look too good with the newer xforms stuff.

	* src/bin/Makefile.am: Resurrect ndutils.

	* src/lib/oogl/util/iobuffer.c: Make iobfrewind() more efficient.

	* src/bin/ndutils/init.h, src/bin/ndutils/slicer.c, src/bin/ndutils/slicer.h, src/bin/ndutils/snapshot.c, src/bin/ndutils/snapshot.h, src/bin/ndutils/testwish.c, src/bin/ndutils/wrappers.c, src/bin/ndutils/wrappers.h, src/bin/ndutils/3D-Snapshot, src/bin/ndutils/BasicFns.c, src/bin/ndutils/BasicFns.h, src/bin/ndutils/Clip.h, src/bin/ndutils/ColorMapDefs.h, src/bin/ndutils/ColorPoint.c, src/bin/ndutils/ColorPoint.h, src/bin/ndutils/Colormap, src/bin/ndutils/GeExDir.c, src/bin/ndutils/GeExDir.h, src/bin/ndutils/GeomExtentDirection.c, src/bin/ndutils/GeomExtentDirection.h, src/bin/ndutils/GeomtoNoff.c, src/bin/ndutils/GeomtoNoff.h, src/bin/ndutils/LoadMap.c, src/bin/ndutils/LoadMap.h, src/bin/ndutils/MakeGoodTransforms.c, src/bin/ndutils/MakeGoodTransforms.h, src/bin/ndutils/Makefile.am, src/bin/ndutils/Random.c, src/bin/ndutils/Random.h, src/bin/ndutils/Slicer, src/bin/ndutils/TransformGeom.c, src/bin/ndutils/TransformGeom.h, src/bin/ndutils/WithColor.c, src/bin/ndutils/WithColor.h, src/bin/ndutils/clip.c, src/bin/ndutils/clipoogl.c, src/bin/ndutils/init.c, data/NDview/geom/demo/axes, data/NDview/geom/demo/cubew, data/NDview/geom/demo/cubew+, data/NDview/geom/demo/point, data/NDview/geom/demo/points, data/NDview/geom/demo/segmentw+x+z, data/NDview/geom/demo/segmentw+x+z+, data/NDview/geom/demo/squarew+x, data/NDview/geom/demo/squarew+x+, data/NDview/geom/demo/tesseract, data/NDview/scripts/reset.script, data/NDview/scripts/startup.big.script, data/NDview/scripts/startup.small.script, data/NDview/text/axeshelp.txt, data/NDview/text/cube.txt, data/NDview/text/cubed.txt, data/NDview/text/demohelp.txt, data/NDview/text/introhelp.txt, data/NDview/text/point.txt, data/NDview/text/pointd.txt, data/NDview/text/prefabhelp.txt, data/NDview/text/segment.txt, data/NDview/text/segmentd.txt, data/NDview/text/square.txt, data/NDview/text/squared.txt, data/NDview/text/tesseract.txt, data/NDview/text/toolkithelp.txt, data/NDview/scripts/.ndview, data/NDview/scripts/4d.2bigwins, data/NDview/scripts/4d.3wins, data/NDview/scripts/4d.4wins, data/NDview/scripts/4d.cplx, data/NDview/scripts/4d.earthcolor, data/NDview/scripts/4d.wildcolor, data/NDview/scripts/4d.xyw, data/NDview/scripts/4d.xyz, data/NDview/scripts/4d.xzw, data/NDview/scripts/4d.yzw, data/NDview/scripts/4dcol.w.rb, data/NDview/scripts/4dcol.x.rb, data/NDview/scripts/4dcol.y.rb, data/NDview/scripts/4dcol.z.rb, data/NDview/scripts/5d.123, data/NDview/scripts/5d.5wins, data/NDview/scripts/5dcol.1.rb, data/NDview/scripts/5dcol.2.rb, data/NDview/scripts/5dcol.3.rb, data/NDview/scripts/5dcol.4.rb, data/NDview/scripts/5dcol.5.rb, data/NDview/scripts/color.script, data/NDview/scripts/delete_all.script, data/NDview/scripts/deletecams.script, data/NDview/scripts/eitherwindow, data/NDview/scripts/nocolor.script, data/NDview/cplxview/geom/funcplane, data/NDview/cplxview/scripts/4d.colorcplx, data/NDview/cplxview/scripts/4d.cplx, data/NDview/cplxview/scripts/del_c0, data/NDview/cplxview/scripts/reset.script, data/NDview/cplxview/scripts/startup.script, data/NDview/cplxview/text/cplxhelp.txt, data/NDview/geom/4cube, data/NDview/geom/4daxes, data/NDview/geom/5daxes, data/NDview/geom/6daxes, data/NDview/geom/crosscap, data/NDview/geom/dodecaplex.skel, data/NDview/geom/flattorus, data/NDview/geom/funcplane, data/NDview/geom/hypercube.skel, data/NDview/geom/octaplex.skel, data/NDview/geom/orthoplex.skel, data/NDview/geom/pluker23col.4d, data/NDview/geom/simplex.skel, data/NDview/geom/tetraplex.skel:
	Resurrected from older Geomview releases.

2006-07-30  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/ndutils/clipoogl.c, src/bin/ndutils/slicer.c, src/bin/ndutils/wrappers.c, src/lib/mg/x11/mgx11draw.c, src/lib/mg/x11/mgx11windows.c:
	Remove some compiler warnings.

	* src/lib/oogl/lisp/Makefile.am:
	clisp.h must be copied to $(srcdir), otherwise the headers sym-link
	stuff does not work.

	* ChangeLog:
	Update email addresses; I need to be more careful to run rcs2log with
	the correct -u options.

	* doc/Makefile.am: Cleaned up as suggested by Steve M. Robbins.

	* data/Makefile.am: Erroneously included the groups/CVS/ subdir.

	* src/bin/gvclock/Makefile.am: CLEANFILES was set twice.

	* src/bin/sweep/.geomview-sweep, src/bin/tackdown/.geomview-tackdown, src/bin/transformer/.geomview-transformer, src/bin/hinge/.geomview-hinge, src/bin/stereo/.geomview-stereo, src/bin/graffiti/.geomview-graffiti, src/bin/flythrough/.geomview-flythrough, src/bin/ginsu/.geomview-ginsu, src/bin/cplxview/.geomview-cplxview:
	Generated by make

	* src/bin/geomview/common/comm.c:
	LDEFINE(read, ...): Fix a long standing memory bug;

	(read blah {stuff})

	treats blah just as keyword, the resulting lisp-object (e.g. a string
	"geometry") is never referenced again; so we _must_ free the keyword
	in this function, not only on error, but in any case.

	* src/bin/clipboard/clipx.c:
	Use the "default" grey as backgound for the clibboard view.

	* src/bin/transformer/Makefile.am, data/Makefile.am, src/bin/NDview/Makefile.am, src/bin/animate/Makefile.am, src/bin/clipboard/Makefile.am, src/bin/cplxview/Makefile.am, src/bin/crayola/Makefile.am, src/bin/example/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/ginsu/Makefile.am, src/bin/graffiti/Makefile.am, src/bin/gvclock/Makefile.am, src/bin/hinge/Makefile.am, src/bin/labeler/Makefile.am, src/bin/ndutils/Makefile.am, src/bin/stereo/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am:
	Some fixes after running "make distchek".

	* README: Update modules list.

	* NEWS: Update list of resurrected modules.

	* INSTALL.Geomview:
	Note that we are back to "vanilla" installation layout (with the
	exception of the different prefix default).

	* configure.ac: Again build a shared library.

	* src/bin/ndutils/Slicer: Bail out if we are not in ND with N > 3.

	* src/bin/maniview/maniview.h: xforms issue.

	* src/bin/orrery/Makefile.am:
	Let .geomview-orrery depend on the Makefile

	* src/bin/tackdown/Makefile.am: origin module.

	* src/bin/ndutils/.cvsignore: Initial revision.

	* src/bin/hinge/hui.c: Mmmh.

	* src/bin/flythrough/flythrough.h: Xforms issue.

	* src/bin/flythrough/main.c:
	Check for NULL before trying to close files.

	* src/bin/cplxview/Makefile.am: Help text now in top-level directory.

	* src/bin/NDview/Makefile.am:
	Moved all data-files to top-level directory.

	* configure.ac: ndutils

	* data/Makefile.am: Install all data-files from here.

	* src/bin/cplxview/cplxpanels2.c, src/bin/cplxview/cplxpanels2.fd, src/bin/cplxview/cplxpanels2.h, src/bin/example/panel.c, src/bin/example/panel.fd, src/bin/example/panel.h, src/bin/flythrough/panel.c, src/bin/flythrough/panel.fd, src/bin/flythrough/panel.h, src/bin/ginsu/ginsuF.c, src/bin/ginsu/ginsuF.fd, src/bin/ginsu/ginsuF.h, src/bin/hinge/panel.c, src/bin/hinge/panel.fd, src/bin/hinge/panel.h, src/bin/maniview/controlpanel.c, src/bin/maniview/controlpanel.fd, src/bin/maniview/controlpanel.h, src/bin/stereo/sterui.c, src/bin/stereo/sterui.fd, src/bin/stereo/sterui.h, src/bin/sweep/panel.c, src/bin/sweep/panel.fd, src/bin/sweep/panel.h, src/bin/tackdown/origin.panel.c, src/bin/tackdown/origin.panel.fd, src/bin/tackdown/origin.panel.h, src/bin/tackdown/panel.c, src/bin/tackdown/panel.fd, src/bin/tackdown/panel.h, src/bin/transformer/panel.c, src/bin/transformer/panel.fd, src/bin/transformer/panel.h:
	Re-ran the fdesign program; several button, widges etc. just did not
	look too good with the newer xforms stuff.

	* src/bin/Makefile.am: Resurrect ndutils.

	* src/lib/oogl/util/iobuffer.c: Make iobfrewind() more efficient.

	* src/bin/ndutils/init.h, src/bin/ndutils/slicer.c, src/bin/ndutils/slicer.h, src/bin/ndutils/snapshot.c, src/bin/ndutils/snapshot.h, src/bin/ndutils/testwish.c, src/bin/ndutils/wrappers.c, src/bin/ndutils/wrappers.h, src/bin/ndutils/3D-Snapshot, src/bin/ndutils/BasicFns.c, src/bin/ndutils/BasicFns.h, src/bin/ndutils/Clip.h, src/bin/ndutils/ColorMapDefs.h, src/bin/ndutils/ColorPoint.c, src/bin/ndutils/ColorPoint.h, src/bin/ndutils/Colormap, src/bin/ndutils/GeExDir.c, src/bin/ndutils/GeExDir.h, src/bin/ndutils/GeomExtentDirection.c, src/bin/ndutils/GeomExtentDirection.h, src/bin/ndutils/GeomtoNoff.c, src/bin/ndutils/GeomtoNoff.h, src/bin/ndutils/LoadMap.c, src/bin/ndutils/LoadMap.h, src/bin/ndutils/MakeGoodTransforms.c, src/bin/ndutils/MakeGoodTransforms.h, src/bin/ndutils/Makefile.am, src/bin/ndutils/Random.c, src/bin/ndutils/Random.h, src/bin/ndutils/Slicer, src/bin/ndutils/TransformGeom.c, src/bin/ndutils/TransformGeom.h, src/bin/ndutils/WithColor.c, src/bin/ndutils/WithColor.h, src/bin/ndutils/clip.c, src/bin/ndutils/clipoogl.c, src/bin/ndutils/init.c, data/NDview/geom/demo/axes, data/NDview/geom/demo/cubew, data/NDview/geom/demo/cubew+, data/NDview/geom/demo/point, data/NDview/geom/demo/points, data/NDview/geom/demo/segmentw+x+z, data/NDview/geom/demo/segmentw+x+z+, data/NDview/geom/demo/squarew+x, data/NDview/geom/demo/squarew+x+, data/NDview/geom/demo/tesseract, data/NDview/scripts/reset.script, data/NDview/scripts/startup.big.script, data/NDview/scripts/startup.small.script, data/NDview/text/axeshelp.txt, data/NDview/text/cube.txt, data/NDview/text/cubed.txt, data/NDview/text/demohelp.txt, data/NDview/text/introhelp.txt, data/NDview/text/point.txt, data/NDview/text/pointd.txt, data/NDview/text/prefabhelp.txt, data/NDview/text/segment.txt, data/NDview/text/segmentd.txt, data/NDview/text/square.txt, data/NDview/text/squared.txt, data/NDview/text/tesseract.txt, data/NDview/text/toolkithelp.txt, data/NDview/scripts/.ndview, data/NDview/scripts/4d.2bigwins, data/NDview/scripts/4d.3wins, data/NDview/scripts/4d.4wins, data/NDview/scripts/4d.cplx, data/NDview/scripts/4d.earthcolor, data/NDview/scripts/4d.wildcolor, data/NDview/scripts/4d.xyw, data/NDview/scripts/4d.xyz, data/NDview/scripts/4d.xzw, data/NDview/scripts/4d.yzw, data/NDview/scripts/4dcol.w.rb, data/NDview/scripts/4dcol.x.rb, data/NDview/scripts/4dcol.y.rb, data/NDview/scripts/4dcol.z.rb, data/NDview/scripts/5d.123, data/NDview/scripts/5d.5wins, data/NDview/scripts/5dcol.1.rb, data/NDview/scripts/5dcol.2.rb, data/NDview/scripts/5dcol.3.rb, data/NDview/scripts/5dcol.4.rb, data/NDview/scripts/5dcol.5.rb, data/NDview/scripts/color.script, data/NDview/scripts/delete_all.script, data/NDview/scripts/deletecams.script, data/NDview/scripts/eitherwindow, data/NDview/scripts/nocolor.script, data/NDview/cplxview/geom/funcplane, data/NDview/cplxview/scripts/4d.colorcplx, data/NDview/cplxview/scripts/4d.cplx, data/NDview/cplxview/scripts/del_c0, data/NDview/cplxview/scripts/reset.script, data/NDview/cplxview/scripts/startup.script, data/NDview/cplxview/text/cplxhelp.txt, data/NDview/geom/4cube, data/NDview/geom/4daxes, data/NDview/geom/5daxes, data/NDview/geom/6daxes, data/NDview/geom/crosscap, data/NDview/geom/dodecaplex.skel, data/NDview/geom/flattorus, data/NDview/geom/funcplane, data/NDview/geom/hypercube.skel, data/NDview/geom/octaplex.skel, data/NDview/geom/orthoplex.skel, data/NDview/geom/pluker23col.4d, data/NDview/geom/simplex.skel, data/NDview/geom/tetraplex.skel:
	Resurrected from older Geomview releases.

2006-07-29  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/flythrough/main.c:
	Do  not try to call flcose() with NULL pointer.

2006-07-29  Steve M. Robbins  <steve@nyongwa.montreal.qc.ca>

	* ChangeLog, configure.ac: FIX setting of AM_CONDITIONAL HAVE_TCLTK.

2006-07-29  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/NDview/ndview.c:
	We have no fscanf() for IOBFILE files. Work around that.

	* src/bin/NDview/Makefile.am, src/bin/NDview/NDdemo, src/bin/NDview/NDview:
	Enable in-build-tree use of NDview and NDdemo.

	* Makefile.am: Back to using top_srcdir for preliminary GEOMROOT.

	* src/bin/NDview/Makefile.am:
	Fiddle with in-builddir module definition.

	* src/bin/orrery/Makefile.am: Look under GEOMDATA/modules/orrery/orrery

	* src/lib/oogl/util/iobuffer.c, src/lib/oogl/util/iobuffer.h:
	Fix iobfgetbuffer() should return 1 if iobf->ungetc != EOF; that ungetc
	counts for one char of data :)

	* src/lib/aclib/lstat.c, src/lib/aclib/stat.c:
	Real wrappers for stat/lstat/fstat in case configure detects bugs in
	the system's stat() implementations.

	* src/bin/clipboard/.cvsignore: Add Makefile.in/Makefile.

	* src/bin/animate/Makefile.am, src/bin/togeomview/Makefile.am:
	Link against libgeomview.la (to get stat replacement functions).

	* src/bin/NDview/Makefile.am:
	Do not copy data to toplevel build-directory.

	* src/bin/NDview/.cvsignore: Ignore Makefile, Makefile.in

	* configure.ac: Provide wrappers for stat and lstat and fstat.

	* data/Makefile.am: Include shaders into the distro.

	* .cvsignore: Ignore directories starting with "build".

	* data/shaders/hplastic.sl, data/shaders/hplastic.slo, data/shaders/README, data/shaders/hlight.sl, data/shaders/hlight.slo, data/shaders/hmatte.sl, data/shaders/hmatte.slo:
	Initial revision.

	* src/bin/orrery/configure.ac:
	Fixed configure.ac: AM_INIT_AUTOMAKE/AC_CONFIG_AUXDIR order.

2006-07-29  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/flythrough/main.c:
	Do  not try to call flcose() with NULL pointer.

2006-07-29  Steve M. Robbins  <steve@nyongwa.montreal.qc.ca>

	* ChangeLog, configure.ac: FIX setting of AM_CONDITIONAL HAVE_TCLTK.

2006-07-29  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/NDview/ndview.c:
	We have no fscanf() for IOBFILE files. Work around that.

	* src/bin/NDview/Makefile.am, src/bin/NDview/NDdemo, src/bin/NDview/NDview:
	Enable in-build-tree use of NDview and NDdemo.

	* Makefile.am: Back to using top_srcdir for preliminary GEOMROOT.

	* src/bin/NDview/Makefile.am:
	Fiddle with in-builddir module definition.

	* src/bin/orrery/Makefile.am: Look under GEOMDATA/modules/orrery/orrery

	* src/lib/oogl/util/iobuffer.c, src/lib/oogl/util/iobuffer.h:
	Fix iobfgetbuffer() should return 1 if iobf->ungetc != EOF; that ungetc
	counts for one char of data :)

	* src/lib/aclib/lstat.c, src/lib/aclib/stat.c:
	Real wrappers for stat/lstat/fstat in case configure detects bugs in
	the system's stat() implementations.

	* src/bin/clipboard/.cvsignore: Add Makefile.in/Makefile.

	* src/bin/animate/Makefile.am, src/bin/togeomview/Makefile.am:
	Link against libgeomview.la (to get stat replacement functions).

	* src/bin/NDview/Makefile.am:
	Do not copy data to toplevel build-directory.

	* src/bin/NDview/.cvsignore: Ignore Makefile, Makefile.in

	* configure.ac: Provide wrappers for stat and lstat and fstat.

	* data/Makefile.am: Include shaders into the distro.

	* .cvsignore: Ignore directories starting with "build".

	* data/shaders/hplastic.sl, data/shaders/hplastic.slo, data/shaders/README, data/shaders/hlight.sl, data/shaders/hlight.slo, data/shaders/hmatte.sl, data/shaders/hmatte.slo:
	Initial revision.

	* src/bin/orrery/configure.ac:
	Fixed configure.ac: AM_INIT_AUTOMAKE/AC_CONFIG_AUXDIR order.

2006-07-28  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/orrery/data/orr/.cvsignore: Initial revision.

	* src/bin/orrery/data/.cvsignore, src/bin/maniview/.cvsignore:
	The usual ignore blah.

	* src/bin/maniview/.cvsignore: The usual ignore stuff.

	* src/bin/maniview/Makefile.am: automake stuff.

	* src/bin/orrery/data/Makefile.am, src/bin/orrery/data/orr/Makefile.am, src/bin/orrery/Makefile.am:
	Automake stuff.

	* src/bin/orrery/.cvsignore: CVS ignore pattern.

	* src/bin/orrery/configure.ac, src/bin/orrery/configure.in: Renamed.

	* configure.ac: Restore PREFIX_DEFAULT to /usr/local/Geomview.

	* src/bin/NDview/ndview.c: Remove a debugging message.

	* src/bin/NDview/Makefile.am: Fiddle with vpath data installation.

	* src/lib/oogl/util/iobuffer.c:
	Programs seem to assume that rewind() just flushed the buffer of the
	input stream ...

	* src/lib/oogl/util/futil.c, src/lib/oogl/util/iobfutil.c:
	Use gv_htons() etc.

	* src/lib/oogl/util/malloc-debug.c: Remove a compiler warning.

	* src/lib/oogl/wa/Makefile.am:
	Only rebuild the parser with maintainer-mode enabled.

	* src/lib/oogl/lisp/Makefile.am:
	Do not remove clisp.[ch] with make distclean.

	* src/lib/oogl/lisp/lisp.c:
	AssignArgs() should not call va_end() itself (although va_end() is a
	no-op on many machines).

	* src/lib/mg/x11/mgx11dither.c, src/lib/mg/x11/mgx11draw.c, src/lib/mg/x11/mgx11render1.c, src/lib/mg/x11/mgx11render16.c, src/lib/mg/x11/mgx11render8.c, src/lib/mg/x11/mgx11shade.c, src/lib/mg/x11/mgx11windows.c, src/lib/mg/x11/mgx11.c, src/lib/mg/x11/mgx11clip.c:
	Compiler warnings.

	* src/bin/geomview/x11/Makefile.am: Probably clang.h, not clang.hy

	* src/bin/geomview/x11/gvcamui.c:
	Default to MGOPENGL if both, MGX11 and MGOPENGL are defined.

	* src/bin/geomview/x11/gvmain.c:
	Compiler warning (main without return type).

	* src/bin/animate/Makefile.am, src/bin/example/Makefile.am:
	Slight changes (library order or so, man-page installation).

	* src/bin/clipboard/.cvsignore: Initial revision.

	* src/bin/Makefile.am: Add some more modules.

	* doc/Makefile.am:
	Do not try to build maintainer-files when doing VPATH builds.

	* data/Makefile.am:
	Use "nobase_" prefix to properly install into subdirectories.

	* configure.ac:
	Always build mgx11 (needed for clipboar and does not hurt). Disable
	shared libraries by default 'cause I have problems with gcc-4.1.1 with
	the big libgeomview.so. Compiler error???

	* .cvsignore: ignore it ignore it ignore it ignore it ...

	* src/bin/NDview/NDdemo, src/bin/NDview/NDview, src/bin/NDview/ndview.c, src/bin/NDview/testwish.c, src/bin/NDview/.cvsignore, src/bin/NDview/Makefile.am:
	Forthcoming NDview module, but needs more work.

	* src/bin/clipboard/clip.h, src/bin/clipboard/clipboard.c, src/bin/clipboard/clipboard.mib, src/bin/clipboard/clipx.c, src/bin/clipboard/Makefile.am:
	Initial revision.

	* src/bin/maniview/configure.in: Renamed to configure.ac

	* src/bin/hinge/Makefile.am, src/bin/sweep/Makefile.am, src/bin/tackdown/Makefile.am, src/bin/transformer/Makefile.am, src/bin/cplxview/Makefile.am, src/bin/flythrough/Makefile.am, src/bin/graffiti/Makefile.am:
	Install man-pages.

2006-07-27  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/Makefile.am, src/bin/geomutil/Makefile.am, src/bin/geomutil/clip/Makefile.am, src/bin/ginsu/Makefile.am, configure.ac:
	Some additional modules.

	* src/bin/gvclock/.cvsignore, src/bin/labeler/.cvsignore, src/bin/crayola/.cvsignore, src/bin/geomutil/hvectext/.cvsignore:
	The usual ignore stuff.

	* src/bin/geomutil/hvectext/Makefile.am, src/bin/geomutil/hvectext/hvectext.1, src/bin/geomutil/hvectext/hvectext.in, src/bin/crayola/Crayola, src/bin/crayola/Makefile.am, src/bin/crayola/callbacks.c, src/bin/crayola/callbacks.h, src/bin/crayola/crayola.1, src/bin/crayola/testwish.c, src/bin/crayola/tkcrayola.c, src/bin/crayola/ui.h, src/bin/labeler/Labeler, src/bin/labeler/Makefile.am, src/bin/labeler/labeler.c, src/bin/labeler/testwish.c, src/bin/gvclock/Makefile.am, src/bin/gvclock/gvclock.in, m4/check-package.m4, m4/frameworks.m4, m4/set-prefix.m4:
	Initial revision.

	* data/Makefile.am: Install group definitions.

	* data/groups/quart.4.gv, data/groups/sample.proj.dgp, data/groups/sample.uhs.dgp, data/groups/spaceshipSpace.geom, data/groups/tetra2.dgp, data/groups/wholecube.geom, data/groups/klein.wa, data/groups/klein_bricks.dgp, data/groups/klein_whole.dgp, data/groups/loop.1.gv, data/groups/loop.2.gv, data/groups/loop.3.gv, data/groups/loop.4.gv, data/groups/notknot.dgp, data/groups/quart.1.gv, data/groups/quart.2.gv, data/groups/quart.3.gv, data/groups/equi.3.gv, data/groups/equi.4.gv, data/groups/fig8.dgp, data/groups/g233.prj, data/groups/g234.prj, data/groups/g235.prj, data/groups/g236.prj, data/groups/g237.prj, data/groups/good_klein_quick.dgp, data/groups/hook.off, data/groups/br4.3.tlist, data/groups/dir.1.gv, data/groups/dir.2.gv, data/groups/dir.3.gv, data/groups/dir.4.gv, data/groups/dodec.vect, data/groups/equi.1.gv, data/groups/equi.2.gv, data/groups/94a.dgp, data/groups/94b.dgp, data/groups/borrom.dgp, data/groups/borrom2.dgp, data/groups/borrom3.dgp, data/groups/borrom4.dgp, data/groups/borrom4.wa, data/groups/br4.0.tlist, data/groups/br4.1.tlist, data/groups/br4.2.tlist, data/groups/101a.dgp, data/groups/101b.dgp, data/groups/120.dgp, data/groups/230data, data/groups/230data.Conway, data/groups/230data.lat, data/groups/230data.names, data/groups/3torus.dgp, data/groups/3torus2.dgp:
	Resurrected from Geomview v1.7

2006-07-27  Mark Phillips  <mbp@geomtech.com>

	* src/lib/oogl/wa/fsaparse.3, AUTHORS, ChangeLog, README, doc/geomview.1, doc/geomview.texi, doc/lisp.3, doc/newsletter_article.txt, src/bin/animate/animate.1, src/bin/example/example.1, src/bin/flythrough/flyhelp, src/bin/flythrough/flyhelp.h, src/bin/flythrough/flythrough.1, src/bin/geomutil/bdy/bdy.1, src/bin/geomutil/maple2oogl/gvplot.mapleV3, src/bin/geomutil/maple2oogl/gvplot.mapleV4, src/bin/geomutil/maple2oogl/gvplot.mapleV8, src/bin/geomutil/math2oogl/OOGL.m, src/bin/geomutil/plutil/anytooff.1, src/bin/geomutil/plutil/offconsol.1, src/bin/geomutil/ucd/anytoucd.1, src/bin/geomutil/ucd/ucdtooff.1, src/bin/geomview/common/drawer.c, src/bin/geomview/geomview.1, src/bin/geomview/x11/gvcamui.c, src/bin/ginsu/ginsu.1, src/bin/hinge/hinge.1, src/bin/sweep/sweep.1, src/bin/sweep/sweep.3, src/bin/tackdown/tackdown.1, src/bin/transformer/transformer.1, src/lib/geomutil/bdy/bdy.3, src/lib/geomutil/geomutil.3, src/lib/geomutil/plutil/anytopl.3, src/lib/geomutil/plutil/plcombine.3, src/lib/geomutil/plutil/plconsol.3:
	updated contact info in docs and text files

2006-07-26  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* AUTHORS, NEWS, README:
	Update some email addresses, time stamps, NEWs file.

2006-07-26  Lloyd Wood  <L.Wood@surrey.ac.uk>

	* INSTALL.Geomview:
	Pointing to Claus's new README.cvs textfile instead.

	* README: Updating credits list.

	* INSTALL.Geomview: Noting requirements for reconf to work.

	* reconf:
	Passing parameters through to the autoreconf command -- if reconf warns
	about --force to replace all files, saying reconf --force will do the expected thing.

2006-07-26  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/Makefile.am: Fix handling of XFORMS_SUBDIRS.

2006-07-25  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* ChangeLog: Blah.

	* ChangeLog: *** empty log message ***

	* configure.ac: Bump version to 1.8.2-rc6

	* src/bin/Makefile.am:
	hinge, cplxview and flythrough need xforms, disable when xforms is not found.

2006-07-24  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/Makefile.am:
	Don't include the PS version of the manual in the distro.

	* ChangeLog: Update.

	* configure.ac: Fogot to apply BE patch, bump version to rc5.

	* src/lib/oogl/util/futil.c, src/lib/oogl/util/iobfutil.c:
	Finally apply _AND_ commit (!) Rex Dieter's patch.

	* src/bin/stereo/stereo.c:
	Use PoolInputFile() instead of calling iobfileopen(stdin) a second time.

	* doc/Makefile.am: Fix pnm->png target.

	* src/lib/oogl/wa/Makefile.am: Fix dependencies.

	* doc/Makefile.am:
	Do not use convert, doesn't work on Cygwin (at least not for me). Use
	pnmtopng from the netpbm package.

	* configure.ac: Do not search for xforms dir in source/build directory.

	* configure: Do not keep it in CVS.

	* README.cvs: A list of tools needed to rebuild the documentation.

	* INSTALL.Geomview: Update xforms notice.

2006-07-22  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* configure.ac: Bump version to rc4.

2006-07-20  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/aclib/Makefile.am: Should use LTLIBOBJS, not LIBOBJS.

2006-07-19  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* Makefile.am: *** empty log message ***

	* Makefile.am: Blah

	* src/lib/oogl/util/iobuffer.c: Remove debugging statements.

	* src/lib/oogl/refcomm/streampool.c:
	Open named pipes RDWR to always leave one active writer,
	PoolSleepFor() is no longer necessary then.

2006-07-18  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/refcomm/streampool.c:
	Additional comments about why better opening a pipe in read-write
	mode; opening O_RDWR leaves at least one writer on the pipe:
	ourselves. This way select may work as usual ...

	* src/lib/oogl/refcomm/streampool.c:
	I'm still a little bit puzzled w.r.t. to named pipes and select and
	blocking/non-blocking IO.

	* src/lib/oogl/util/iobuffer.c:
	Correct handling of O_NONBLOCK if HAVE_FCNTL (for efficiency, if
	iobuffer.c is still broken, we have force HAVE_FCNTL to 0).

2006-07-16  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/bin/maniview/.cvsignore, src/bin/maniview/INSTALL, src/bin/maniview/Makefile.am, src/bin/maniview/callbacks.c, src/bin/maniview/configure.ac, src/bin/maniview/controlpanel.c, src/bin/maniview/maniview.c, src/bin/maniview/maniview.h:
	Ported to new geomview stuff.

	* src/lib/oogl/util/iobuffer.c, src/lib/oogl/util/malloc-debug.c, src/lib/oogl/util/mallocp.c, src/lib/oogl/util/ooglutil.h, Makefile.am, configure, configure.ac, doc/Makefile.am, geomview.sh, src/bin/flythrough/Makefile.am, src/bin/hinge/Makefile.am, src/lib/fexpr/Makefile.am, src/lib/gprim/comment/commentcreate.c, src/lib/oogl/util/Makefile.am:
	Slight changes; named pipes must not be run in non-blocking mode, I think.

2006-07-15  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/refcomm/streampool.h, src/lib/oogl/util/findfile.c, src/lib/oogl/util/futil.c, src/lib/oogl/util/glob.c, src/lib/oogl/util/iobfutil.c, src/lib/oogl/util/iobuffer.c, src/lib/oogl/util/iobuffer.h, src/lib/oogl/util/mallocp.c, src/lib/oogl/util/porting.h, src/lib/oogl/util/vvec.c, src/lib/pointlist/pointlist.h, src/lib/shade/appearance.c, src/lib/shade/light.c, src/lib/window/window.c, src/lib/window/winstream.c, src/lib/gprim/polylist/plload.c, src/lib/gprim/polylist/plnormal.c, src/lib/gprim/polylist/plpick.c, src/lib/gprim/polylist/plsave.c, src/lib/gprim/quad/quadbound.c, src/lib/gprim/quad/quadcopy.c, src/lib/gprim/quad/quadcreate.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/quad/quadevert.c, src/lib/gprim/quad/quadload.c, src/lib/gprim/quad/quadnormal.c, src/lib/gprim/quad/quadsave.c, src/lib/gprim/skel/skelbound.c, src/lib/gprim/skel/skelcreate.c, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/skel/skelpick.c, src/lib/gprim/tlist/tlcreate.c, src/lib/gprim/tlist/tltransform.c, src/lib/gprim/vect/vectbound.c, src/lib/gprim/vect/vectcreate.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/vect/vectload.c, src/lib/gprim/vect/vectpick.c, src/lib/gprim/vect/vectsave.c, src/lib/mg/buf/MGRdolines.h, src/lib/mg/buf/MGRline.h, src/lib/mg/buf/mgbuf.c, src/lib/mg/buf/mgbufdraw.c, src/lib/mg/common/mg.c, src/lib/mg/common/mgshade.c, src/lib/mg/common/mgtexture.c, src/lib/mg/opengl/mgopengl.c, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/opengl/mgopenglmesh.c, src/lib/mg/opengl/mgopenglshade.c, src/lib/mg/ps/mgps.c, src/lib/mg/ps/mgpsdraw.c, src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/x11/mgx11.c, src/lib/mg/x11/mgx11dither.c, src/lib/mg/x11/mgx11draw.c, src/lib/mg/x11/mgx11shade.c, src/lib/oogl/lisp/lisp.c, src/lib/oogl/refcomm/handle.c, src/lib/oogl/refcomm/handle.h, src/lib/oogl/refcomm/reference.c, src/lib/oogl/refcomm/streampool.c, src/lib/gprim/bezier/bezsave.c, src/lib/gprim/comment/commentcreate.c, src/lib/gprim/comment/commentsave.c, src/lib/gprim/comment/commentstream.c, src/lib/gprim/discgrp/complex.c, src/lib/gprim/discgrp/dgbound.c, src/lib/gprim/discgrp/dgcopy.c, src/lib/gprim/discgrp/dgcreate.c, src/lib/gprim/discgrp/dgdirdom.c, src/lib/gprim/discgrp/dgdraw.c, src/lib/gprim/discgrp/dgenum.c, src/lib/gprim/discgrp/matlist.c, src/lib/gprim/discgrp/projective.c, src/lib/gprim/discgrp/xform.c, src/lib/gprim/geom/class.c, src/lib/gprim/geom/create.c, src/lib/gprim/geom/extend.c, src/lib/gprim/geom/geomstream.c, src/lib/gprim/geom/iterate.c, src/lib/gprim/geom/knownclass.c, src/lib/gprim/geom/pick.c, src/lib/gprim/inst/instbound.c, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/instmisc.c, src/lib/gprim/inst/instsphere.c, src/lib/gprim/inst/inststream.c, src/lib/gprim/lincoln/lincolnload.c, src/lib/gprim/list/listcreate.c, src/lib/gprim/list/listdraw.c, src/lib/gprim/list/listmisc.c, src/lib/gprim/list/listpick.c, src/lib/gprim/list/listsphere.c, src/lib/gprim/mesh/meshbound.c, src/lib/gprim/mesh/meshcopy.c, src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/mesh/meshload.c, src/lib/gprim/mesh/meshnormal.c, src/lib/gprim/mesh/meshpick.c, src/lib/gprim/mesh/meshsave.c, src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/ndmesh/ndmeshsave.c, src/lib/gprim/npolylist/nplcreate.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/npolylist/nplsave.c, src/lib/gprim/polylist/plbound.c, src/lib/gprim/polylist/plcopy.c, src/lib/gprim/polylist/plcreate.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/polylist/plevert.c, src/bin/geomutil/oogl2vrml/oogl2vrml2.c, src/bin/geomutil/plutil/polymerge.c, src/bin/geomutil/ucd/anytoucd.c, src/bin/geomutil/ucd/stack.c, src/bin/geomview/common/comm.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/event.c, src/bin/geomview/common/lispext.c, src/bin/geomview/common/shaders.c, src/bin/geomview/common/space.c, src/bin/geomview/common/ui.c, src/bin/geomview/common/ui.h, src/bin/geomview/common/worldio.c, src/bin/geomview/x11/gvcamui.c, src/bin/geomview/x11/gvmnpanel.c, src/bin/geomview/x11/gvtoolui.c, src/bin/hinge/panel.c, src/lib/aclib/alloca.c, src/lib/aclib/putenv.c, src/lib/camera/camcompat.c, src/lib/camera/camera.c, src/lib/camera/camstream.c, src/lib/color/mergein.c, src/lib/color/mergeout.c, src/lib/color/mergeover.c, src/lib/color/mergeunder.c, src/lib/color/paintcopy.c, src/lib/color/paintover.c, src/lib/fexpr/lex.yy.c, src/lib/forms/xforms-compat.h, src/lib/geometry/hpoint3/hg4.c, src/lib/geometry/hpoint3/hpoint3.c, src/lib/geometry/hpointn/hpointnb.c, src/lib/geometry/point3/point3.c, src/lib/geometry/point3/segments.c, src/lib/geometry/transform3/ctm3rotate.c, src/lib/geometry/transform3/ctm3scale.c, src/lib/geometry/transform3/ctm3translate.c, src/lib/geometry/transform3/tm3adjoint.c, src/lib/geometry/transform3/tm3concat.c, src/lib/geometry/transform3/tm3invert.c, src/lib/geometry/transform3/tm3transpose.c, src/lib/geometry/transformn/transformn.c, src/lib/geometry/transobj/transobj.c, src/lib/geomutil/plutil/anytopl.c, src/lib/gprim/bbox/bboxcreate.c, src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/bbox/bboxtransform.c, src/lib/gprim/bbox/bboxunion.c, src/lib/gprim/bezier/bezbound.c, src/lib/gprim/bezier/bezcreate.c, src/lib/gprim/bezier/bezevert.c, src/bin/animate/glob.c, src/bin/animate/glob.h, src/bin/cplxview/computegraph.c, src/bin/example/oogl.c:
	Do not use the "register" keyword. Modern compilers do this kind of
	stuff themselves.

	* configure.ac: Unix domain socket stuff (listen, accept, socket etc)

	* m4/geom_local.m4: configure.in -> configure.ac

	* doc/Makefile.am: Do not delete html and pdf with "make clean".

	* src/lib/oogl/util/glibglue.C, src/lib/oogl/util/seekpipe.c:
	No longer needed.

2006-07-14  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/aclib/strcasecmp.c, src/lib/aclib/strdup.c, src/lib/aclib/strncasecmp.c, src/lib/aclib/acosh.c, src/lib/aclib/popen.c, src/lib/aclib/putenv.c:
	Initial revision, copied here from "porting.c"

	* src/lib/oogl/util/ppopen.c, src/lib/oogl/util/vvec.c, src/lib/pointlist/pointlist.c, src/lib/pointlist/ptlBezier.c, src/lib/pointlist/ptlInst.c, src/lib/pointlist/ptlList.c, src/lib/pointlist/ptlMesh.c, src/lib/pointlist/ptlPolylist.c, src/lib/pointlist/ptlQuad.c, src/lib/pointlist/ptlVect.c, src/lib/shade/appearance.c, src/lib/shade/apstream.c, src/lib/shade/light.c, src/lib/window/window.c, src/lib/window/winstream.c, src/lib/mib/mibDrawArea.c, src/lib/mib/mibFrame.c, src/lib/mib/mibLabel.c, src/lib/mib/mibList.c, src/lib/mib/mibMenu.c, src/lib/mib/mibRadioBox.c, src/lib/mib/mibScale.c, src/lib/mib/mibScrollBar.c, src/lib/mib/mibTextBig.c, src/lib/mib/mibTextBox.c, src/lib/mib/mibToggle.c, src/lib/mib/mibload.c, src/lib/oogl/refcomm/handle.c, src/lib/oogl/refcomm/reference.c, src/lib/oogl/refcomm/streampool.c, src/lib/oogl/refcomm/streampool.h, src/lib/oogl/util/Makefile.am, src/lib/oogl/util/error.c, src/lib/oogl/util/findfile.c, src/lib/oogl/util/fsa.c, src/lib/oogl/util/glob.c, src/lib/oogl/util/iobuffer.c, src/lib/oogl/util/mallocp.c, src/lib/oogl/util/porting.c, src/lib/oogl/util/porting.h, src/lib/mg/buf/mgbufrender.c, src/lib/mg/buf/mgbufrender24.c, src/lib/mg/common/mg.c, src/lib/mg/common/mgshade.c, src/lib/mg/common/mgtexture.c, src/lib/mg/opengl/mgopengl.c, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/opengl/mgopenglmesh.c, src/lib/mg/opengl/mgopenglshade.c, src/lib/mg/ps/mgps.c, src/lib/mg/ps/mgpsclip.c, src/lib/mg/ps/mgpsdraw.c, src/lib/mg/ps/mgpstri.c, src/lib/mg/ps/mgpswindows.c, src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/rib/mgribshade.c, src/lib/mg/rib/mgribtoken.c, src/lib/mg/rib/mgributil.c, src/lib/mg/x11/mgx11.c, src/lib/mg/x11/mgx11clip.c, src/lib/mg/x11/mgx11dither.c, src/lib/mg/x11/mgx11draw.c, src/lib/mg/x11/mgx11render1.c, src/lib/mg/x11/mgx11render16.c, src/lib/mg/x11/mgx11render8.c, src/lib/mg/x11/mgx11shade.c, src/lib/mg/x11/mgx11visual.c, src/lib/mg/x11/mgx11windows.c, src/lib/mib/mibButton.c, src/lib/gprim/stub/inst.c, src/lib/gprim/stub/lincoln.c, src/lib/gprim/stub/list.c, src/lib/gprim/stub/mesh.c, src/lib/gprim/stub/ndmesh.c, src/lib/gprim/stub/npolylist.c, src/lib/gprim/stub/polylist.c, src/lib/gprim/stub/quad.c, src/lib/gprim/stub/skel.c, src/lib/gprim/stub/sphere.c, src/lib/gprim/stub/stub.c, src/lib/gprim/stub/stubdraw.c, src/lib/gprim/stub/tlist.c, src/lib/gprim/stub/vect.c, src/lib/gprim/tlist/tlclass.c, src/lib/gprim/tlist/tlcreate.c, src/lib/gprim/tlist/tlstream.c, src/lib/gprim/tlist/tltransform.c, src/lib/gprim/vect/vectbound.c, src/lib/gprim/vect/vectclass.c, src/lib/gprim/vect/vectcreate.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/vect/vectload.c, src/lib/gprim/vect/vectpick.c, src/lib/gprim/vect/vectsave.c, src/lib/gprim/vect/vectsphere.c, src/lib/gprim/vect/vecttransform.c, src/lib/mg/buf/mgbuf.c, src/lib/mg/buf/mgbufclip.c, src/lib/mg/buf/mgbufdraw.c, src/lib/gprim/polylist/plevert.c, src/lib/gprim/polylist/plload.c, src/lib/gprim/polylist/plnormal.c, src/lib/gprim/polylist/plpick.c, src/lib/gprim/polylist/plsave.c, src/lib/gprim/polylist/plsphere.c, src/lib/gprim/polylist/pltransform.c, src/lib/gprim/quad/quadbound.c, src/lib/gprim/quad/quadclass.c, src/lib/gprim/quad/quadcopy.c, src/lib/gprim/quad/quadcreate.c, src/lib/gprim/quad/quaddelete.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/quad/quadevert.c, src/lib/gprim/quad/quadload.c, src/lib/gprim/quad/quadnormal.c, src/lib/gprim/quad/quadpick.c, src/lib/gprim/quad/quadsave.c, src/lib/gprim/quad/quadsphere.c, src/lib/gprim/quad/quadtransform.c, src/lib/gprim/skel/skelbound.c, src/lib/gprim/skel/skelclass.c, src/lib/gprim/skel/skelcreate.c, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/skel/skelload.c, src/lib/gprim/skel/skelpick.c, src/lib/gprim/skel/skelsave.c, src/lib/gprim/skel/skeltransform.c, src/lib/gprim/sphere/sphereclass.c, src/lib/gprim/sphere/spherecreate.c, src/lib/gprim/sphere/sphereload.c, src/lib/gprim/sphere/spheremisc.c, src/lib/gprim/sphere/spheresave.c, src/lib/gprim/stub/bbox.c, src/lib/gprim/stub/bezier.c, src/lib/gprim/stub/bezierlist.c, src/lib/gprim/stub/comment.c, src/lib/gprim/stub/discgrp.c, src/lib/gprim/mesh/meshevert.c, src/lib/gprim/mesh/meshload.c, src/lib/gprim/mesh/meshnormal.c, src/lib/gprim/mesh/meshpick.c, src/lib/gprim/mesh/meshsave.c, src/lib/gprim/mesh/meshsphere.c, src/lib/gprim/mesh/meshtransform.c, src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/ndmesh/ndmeshclass.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/ndmesh/ndmeshload.c, src/lib/gprim/ndmesh/ndmeshsave.c, src/lib/gprim/npolylist/nplbound.c, src/lib/gprim/npolylist/nplclass.c, src/lib/gprim/npolylist/nplcopy.c, src/lib/gprim/npolylist/nplcreate.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/npolylist/nplsave.c, src/lib/gprim/polylist/plbound.c, src/lib/gprim/polylist/plclass.c, src/lib/gprim/polylist/plcopy.c, src/lib/gprim/polylist/plcreate.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/inst/instclass.c, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/instdraw.c, src/lib/gprim/inst/instmisc.c, src/lib/gprim/inst/instpick.c, src/lib/gprim/inst/instsphere.c, src/lib/gprim/inst/inststream.c, src/lib/gprim/lincoln/lincolnclass.c, src/lib/gprim/lincoln/lincolnload.c, src/lib/gprim/list/listclass.c, src/lib/gprim/list/listcreate.c, src/lib/gprim/list/listdraw.c, src/lib/gprim/list/listmisc.c, src/lib/gprim/list/listpick.c, src/lib/gprim/list/listsphere.c, src/lib/gprim/list/liststream.c, src/lib/gprim/mesh/meshbound.c, src/lib/gprim/mesh/meshclass.c, src/lib/gprim/mesh/meshcopy.c, src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/mesh/meshdelete.c, src/lib/gprim/mesh/meshdice.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/discgrp/dgpick.c, src/lib/gprim/discgrp/dgsave.c, src/lib/gprim/discgrp/dgstream.c, src/lib/gprim/discgrp/dgtransform.c, src/lib/gprim/discgrp/dhpoint3.c, src/lib/gprim/discgrp/matlist.c, src/lib/gprim/discgrp/outstack.c, src/lib/gprim/discgrp/polyhedron.c, src/lib/gprim/discgrp/projective.c, src/lib/gprim/discgrp/stack.c, src/lib/gprim/discgrp/util.c, src/lib/gprim/discgrp/weeks_dirdom.c, src/lib/gprim/discgrp/xform.c, src/lib/gprim/geom/bound.c, src/lib/gprim/geom/boundsphere.c, src/lib/gprim/geom/class.c, src/lib/gprim/geom/copy.c, src/lib/gprim/geom/create.c, src/lib/gprim/geom/delete.c, src/lib/gprim/geom/dice.c, src/lib/gprim/geom/draw.c, src/lib/gprim/geom/evert.c, src/lib/gprim/geom/extend.c, src/lib/gprim/geom/geomstream.c, src/lib/gprim/geom/handlescan.c, src/lib/gprim/geom/iterate.c, src/lib/gprim/geom/knownclass.c, src/lib/gprim/geom/message.c, src/lib/gprim/geom/name.c, src/lib/gprim/geom/pick.c, src/lib/gprim/geom/replace.c, src/lib/gprim/geom/transform.c, src/lib/gprim/inst/instbound.c, src/lib/gprim/bezier/bezbound.c, src/lib/gprim/bezier/bezclass.c, src/lib/gprim/bezier/bezcreate.c, src/lib/gprim/bezier/bezdice.c, src/lib/gprim/bezier/bezdraw.c, src/lib/gprim/bezier/bezevert.c, src/lib/gprim/bezier/bezload.c, src/lib/gprim/bezier/bezpick.c, src/lib/gprim/bezier/bezsave.c, src/lib/gprim/bezier/bezsphere.c, src/lib/gprim/bezier/beztransform.c, src/lib/gprim/comment/commentclass.c, src/lib/gprim/comment/commentcreate.c, src/lib/gprim/comment/commentsave.c, src/lib/gprim/comment/commentstream.c, src/lib/gprim/discgrp/colormap.c, src/lib/gprim/discgrp/complex.c, src/lib/gprim/discgrp/dgbound.c, src/lib/gprim/discgrp/dgclass.c, src/lib/gprim/discgrp/dgconstraint.c, src/lib/gprim/discgrp/dgcopy.c, src/lib/gprim/discgrp/dgcreate.c, src/lib/gprim/discgrp/dgdelete.c, src/lib/gprim/discgrp/dgdirdom.c, src/lib/gprim/discgrp/dgdraw.c, src/lib/gprim/discgrp/dgenum.c, src/lib/gprim/discgrp/dgevert.c, src/lib/gprim/discgrp/dgmisc.c, src/lib/geometry/transform3/tm3stack.c, src/lib/geometry/transform3/tm3tetrad.c, src/lib/geometry/transform3/tm3translate.c, src/lib/geometry/transform3/tm3transpose.c, src/lib/geometry/transformn/transformn.c, src/lib/geometry/transobj/transobj.c, src/lib/geomutil/bdy/bdy.c, src/lib/geomutil/crayplutil/crayBezier.c, src/lib/geomutil/crayplutil/crayInst.c, src/lib/geomutil/crayplutil/crayList.c, src/lib/geomutil/crayplutil/crayMesh.c, src/lib/geomutil/crayplutil/crayPolylist.c, src/lib/geomutil/crayplutil/crayQuad.c, src/lib/geomutil/crayplutil/crayVect.c, src/lib/geomutil/crayplutil/crayola.c, src/lib/geomutil/dim/dim.c, src/lib/geomutil/plutil/anytopl.c, src/lib/geomutil/plutil/plcombine.c, src/lib/geomutil/plutil/plconsol.c, src/lib/gprim/bbox/bboxbound.c, src/lib/gprim/bbox/bboxclass.c, src/lib/gprim/bbox/bboxcopy.c, src/lib/gprim/bbox/bboxcreate.c, src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/bbox/bboxload.c, src/lib/gprim/bbox/bboxminmax.c, src/lib/gprim/bbox/bboxsave.c, src/lib/gprim/bbox/bboxtransform.c, src/lib/gprim/bbox/bboxunion.c, src/lib/geometry/hpoint3/hpoint3b.c, src/lib/geometry/hpointn/hpointn.c, src/lib/geometry/hpointn/hpointnb.c, src/lib/geometry/point3/point3.c, src/lib/geometry/point3/polyint.c, src/lib/geometry/point3/segments.c, src/lib/geometry/transform3/ctm3align.c, src/lib/geometry/transform3/ctm3ortho.c, src/lib/geometry/transform3/ctm3persp.c, src/lib/geometry/transform3/ctm3perspfov.c, src/lib/geometry/transform3/ctm3rotate.c, src/lib/geometry/transform3/ctm3scale.c, src/lib/geometry/transform3/ctm3tetrad.c, src/lib/geometry/transform3/ctm3translate.c, src/lib/geometry/transform3/tm3adjoint.c, src/lib/geometry/transform3/tm3align.c, src/lib/geometry/transform3/tm3concat.c, src/lib/geometry/transform3/tm3conjugate.c, src/lib/geometry/transform3/tm3copy.c, src/lib/geometry/transform3/tm3dual.c, src/lib/geometry/transform3/tm3identity.c, src/lib/geometry/transform3/tm3invert.c, src/lib/geometry/transform3/tm3ortho.c, src/lib/geometry/transform3/tm3persp.c, src/lib/geometry/transform3/tm3perspfov.c, src/lib/geometry/transform3/tm3print.c, src/lib/geometry/transform3/tm3rotate.c, src/lib/geometry/transform3/tm3scale.c, src/lib/color/color.c, src/lib/color/mergein.c, src/lib/color/mergeout.c, src/lib/color/mergeover.c, src/lib/color/mergeplus.c, src/lib/color/mergeunder.c, src/lib/color/paintcopy.c, src/lib/color/paintover.c, src/lib/fexpr/binfuncs.c, src/lib/fexpr/complex.c, src/lib/fexpr/evaluate.c, src/lib/fexpr/exprs.c, src/lib/fexpr/lex.yy.c, src/lib/fexpr/monfuncs.c, src/lib/fexpr/real.c, src/lib/fexpr/vars.c, src/lib/geometry/cmodel/cm_geometry.c, src/lib/geometry/cmodel/cmodel.c, src/lib/geometry/cmodel/cmodel_data.c, src/lib/geometry/hpoint3/hg4.c, src/lib/geometry/hpoint3/hline3.c, src/lib/geometry/hpoint3/hplane3.c, src/lib/geometry/hpoint3/hpoint3.c, src/lib/geometry/hpoint3/hpoint3a.c, src/bin/geomview/x11/gvappear.c, src/bin/geomview/x11/gvcameras.c, src/bin/geomview/x11/gvcolor.c, src/bin/geomview/x11/gvcommands.c, src/bin/geomview/x11/gvcredits.c, src/bin/geomview/x11/gvevent.c, src/bin/geomview/x11/gvfiles.c, src/bin/geomview/x11/gvlights.c, src/bin/geomview/x11/gvload.c, src/bin/geomview/x11/gvmain.c, src/bin/geomview/x11/gvmaterial.c, src/bin/geomview/x11/gvmnpanel.c, src/bin/geomview/x11/gvsave.c, src/bin/geomview/x11/gvtoolui.c, src/bin/geomview/x11/gvui.c, src/bin/togeomview/Makefile.am, src/bin/togeomview/togeomview.c, src/lib/Makefile.am, src/lib/camera/camcompat.c, src/lib/camera/camera.c, src/lib/camera/camstream.c, src/bin/geomview/common/ndshade.c, src/bin/geomview/common/rman.c, src/bin/geomview/common/shaders.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c, src/bin/geomview/common/ui.c, src/bin/geomview/common/version.h, src/bin/geomview/common/worldio.c, src/bin/geomview/common/mouse.c, src/bin/animate/glob.c, src/bin/animate/xanimate.c, src/bin/geomutil/math2oogl/math2oogl.c, src/bin/geomutil/vrml2oogl/Makefile.am, src/bin/geomview/common/comm.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/event.c, src/bin/geomview/common/lang.c, src/bin/geomview/common/lights.c, src/bin/geomview/common/lispext.c, src/bin/geomview/common/main.c, src/bin/geomview/common/motion.c, configure, configure.ac, doc/Makefile.am, src/bin/animate/animate.c:
	Mostly cosmetic changes, still something wrong ...

	* src/lib/oogl/util/Makefile.am, src/lib/oogl/util/error.c, src/lib/oogl/util/futil.c, src/lib/oogl/util/glob.c, src/lib/oogl/util/iobfutil.c, src/lib/oogl/util/iobuffer.c, src/lib/oogl/util/iobuffer.h, src/lib/oogl/util/ooglutil.h, src/lib/oogl/wa/.cvsignore, src/lib/oogl/wa/Makefile.am, src/lib/pointlist/.cvsignore, src/lib/pointlist/Makefile.am, src/lib/shade/.cvsignore, src/lib/shade/Makefile.am, src/lib/shade/appearance.c, src/lib/shade/appearance.h, src/lib/shade/light.c, src/lib/window/.cvsignore, src/lib/window/Makefile.am, src/lib/window/winstream.c, src/lib/gprim/npolylist/Makefile.am, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/npolylist/npolylist.h, src/lib/gprim/polylist/.cvsignore, src/lib/gprim/polylist/Makefile.am, src/lib/gprim/polylist/plload.c, src/lib/gprim/polylist/polylist.h, src/lib/gprim/quad/.cvsignore, src/lib/gprim/quad/Makefile.am, src/lib/gprim/quad/quad.h, src/lib/gprim/quad/quadload.c, src/lib/gprim/skel/.cvsignore, src/lib/gprim/skel/Makefile.am, src/lib/gprim/skel/skelP.h, src/lib/gprim/skel/skelload.c, src/lib/gprim/sphere/.cvsignore, src/lib/gprim/sphere/Makefile.am, src/lib/gprim/sphere/sphereP.h, src/lib/gprim/sphere/sphereload.c, src/lib/gprim/stub/.cvsignore, src/lib/gprim/stub/Makefile.am, src/lib/gprim/tlist/.cvsignore, src/lib/gprim/tlist/Makefile.am, src/lib/gprim/tlist/tlstream.c, src/lib/gprim/vect/.cvsignore, src/lib/gprim/vect/Makefile.am, src/lib/gprim/vect/vectload.c, src/lib/mg/.cvsignore, src/lib/mg/Makefile.am, src/lib/mg/buf/.cvsignore, src/lib/mg/buf/Makefile.am, src/lib/mg/common/.cvsignore, src/lib/mg/common/Makefile.am, src/lib/mg/common/mgtexture.c, src/lib/mg/opengl/.cvsignore, src/lib/mg/opengl/Makefile.am, src/lib/mg/ps/.cvsignore, src/lib/mg/ps/Makefile.am, src/lib/mg/rib/.cvsignore, src/lib/mg/rib/Makefile.am, src/lib/mg/x11/.cvsignore, src/lib/mg/x11/Makefile.am, src/lib/mib/.cvsignore, src/lib/oogl/.cvsignore, src/lib/oogl/Makefile.am, src/lib/oogl/lisp/.cvsignore, src/lib/oogl/lisp/Makefile.am, src/lib/oogl/lisp/lisp.c, src/lib/oogl/lisp/lisp.h, src/lib/oogl/refcomm/.cvsignore, src/lib/oogl/refcomm/Makefile.am, src/lib/oogl/refcomm/handleP.h, src/lib/oogl/refcomm/streampool.c, src/lib/oogl/refcomm/streampool.h, src/lib/oogl/util/.cvsignore, src/lib/oogl/util/Headers, src/lib/geometry/transobj/transobj.c, src/lib/geomutil/.cvsignore, src/lib/geomutil/bdy/.cvsignore, src/lib/geomutil/bdy/Makefile.am, src/lib/geomutil/crayplutil/.cvsignore, src/lib/geomutil/crayplutil/Makefile.am, src/lib/geomutil/dim/.cvsignore, src/lib/geomutil/dim/Makefile.am, src/lib/geomutil/plutil/.cvsignore, src/lib/geomutil/plutil/Makefile.am, src/lib/geomutil/plutil/anytopl.c, src/lib/gprim/.cvsignore, src/lib/gprim/bbox/.cvsignore, src/lib/gprim/bbox/Makefile.am, src/lib/gprim/bbox/bboxload.c, src/lib/gprim/bezier/.cvsignore, src/lib/gprim/bezier/Makefile.am, src/lib/gprim/bezier/bezload.c, src/lib/gprim/comment/.cvsignore, src/lib/gprim/comment/Makefile.am, src/lib/gprim/comment/commentstream.c, src/lib/gprim/discgrp/.cvsignore, src/lib/gprim/discgrp/Makefile.am, src/lib/gprim/discgrp/complex.h, src/lib/gprim/discgrp/dgstream.c, src/lib/gprim/geom/.cvsignore, src/lib/gprim/geom/Makefile.am, src/lib/gprim/geom/geom.h, src/lib/gprim/geom/geomclass.h, src/lib/gprim/geom/geomstream.c, src/lib/gprim/inst/.cvsignore, src/lib/gprim/inst/Makefile.am, src/lib/gprim/inst/inststream.c, src/lib/gprim/lincoln/.cvsignore, src/lib/gprim/lincoln/Makefile.am, src/lib/gprim/lincoln/lincolnload.c, src/lib/gprim/list/.cvsignore, src/lib/gprim/list/Makefile.am, src/lib/gprim/list/liststream.c, src/lib/gprim/mesh/.cvsignore, src/lib/gprim/mesh/Makefile.am, src/lib/gprim/mesh/mesh.h, src/lib/gprim/mesh/meshload.c, src/lib/gprim/ndmesh/.cvsignore, src/lib/gprim/ndmesh/Makefile.am, src/lib/gprim/ndmesh/ndmesh.h, src/lib/gprim/ndmesh/ndmeshload.c, src/lib/gprim/npolylist/.cvsignore, src/bin/graffiti/graffiti.h, src/bin/graffiti/gui.c, src/bin/graffiti/lang.c, src/bin/graffiti/lang.h, src/bin/hinge/.cvsignore, src/bin/hinge/Makefile.am, src/bin/hinge/hinge.c, src/bin/hinge/hinge.h, src/bin/hinge/hui.c, src/bin/hinge/hui.h, src/bin/hinge/lang.c, src/bin/hinge/lang.h, src/bin/stereo/.cvsignore, src/bin/stereo/Makefile.am, src/bin/stereo/stereo.c, src/bin/sweep/.cvsignore, src/bin/sweep/Makefile.am, src/bin/sweep/sweep.main.c, src/bin/tackdown/.cvsignore, src/bin/tackdown/Makefile.am, src/bin/tackdown/origin.common.c, src/bin/tackdown/tackdown.main.c, src/bin/togeomview/.cvsignore, src/bin/transformer/.cvsignore, src/bin/transformer/Makefile.am, src/lib/.cvsignore, src/lib/Makefile.am, src/lib/aclib/.cvsignore, src/lib/camera/.cvsignore, src/lib/camera/Makefile.am, src/lib/camera/camcompat.c, src/lib/camera/camera.h, src/lib/camera/camstream.c, src/lib/color/.cvsignore, src/lib/color/Makefile.am, src/lib/fexpr/.cvsignore, src/lib/fexpr/Makefile.am, src/lib/forms/.cvsignore, src/lib/geometry/.cvsignore, src/lib/geometry/cmodel/.cvsignore, src/lib/geometry/cmodel/Makefile.am, src/lib/geometry/hpoint3/.cvsignore, src/lib/geometry/hpoint3/Makefile.am, src/lib/geometry/hpointn/.cvsignore, src/lib/geometry/hpointn/Makefile.am, src/lib/geometry/point3/.cvsignore, src/lib/geometry/point3/Makefile.am, src/lib/geometry/transform3/.cvsignore, src/lib/geometry/transform3/Makefile.am, src/lib/geometry/transformn/.cvsignore, src/lib/geometry/transformn/Makefile.am, src/lib/geometry/transformn/transformn.c, src/lib/geometry/transformn/transformn.h, src/lib/geometry/transobj/.cvsignore, src/lib/geometry/transobj/Makefile.am, src/bin/flythrough/data/.cvsignore, src/bin/flythrough/main.c, src/bin/flythrough/panel.h, src/bin/geomutil/.cvsignore, src/bin/geomutil/bdy/.cvsignore, src/bin/geomutil/bdy/Makefile.am, src/bin/geomutil/bdy/bdy.c, src/bin/geomutil/clip/.cvsignore, src/bin/geomutil/clip/Makefile.am, src/bin/geomutil/clip/clipmain.c, src/bin/geomutil/maple2oogl/.cvsignore, src/bin/geomutil/maple2oogl/gvplot.mapleV8, src/bin/geomutil/maple2oogl/gvplot.mws, src/bin/geomutil/maple2oogl/savegvplot.mws, src/bin/geomutil/math2oogl/.cvsignore, src/bin/geomutil/oogl2rib/.cvsignore, src/bin/geomutil/oogl2rib/Makefile.am, src/bin/geomutil/oogl2rib/oogl2rib.c, src/bin/geomutil/oogl2vrml/.cvsignore, src/bin/geomutil/oogl2vrml/Makefile.am, src/bin/geomutil/oogl2vrml/oogl2vrml.c, src/bin/geomutil/oogl2vrml/oogl2vrml2.c, src/bin/geomutil/plutil/.cvsignore, src/bin/geomutil/plutil/Makefile.am, src/bin/geomutil/plutil/anytooff.main.c, src/bin/geomutil/plutil/bez2mesh.c, src/bin/geomutil/plutil/offconsol.main.c, src/bin/geomutil/plutil/polymerge.c, src/bin/geomutil/ucd/.cvsignore, src/bin/geomutil/ucd/Makefile.am, src/bin/geomutil/ucd/anytoucd.c, src/bin/geomutil/ucd/ucdtooff.c, src/bin/geomutil/vrml2oogl/.cvsignore, src/bin/geomutil/vrml2oogl/lib/.cvsignore, src/bin/geomview/.cvsignore, src/bin/geomview/common/.cvsignore, src/bin/geomview/common/comm.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/lights.c, src/bin/geomview/common/lispext.c, src/bin/geomview/common/worldio.c, src/bin/geomview/x11/.cvsignore, src/bin/geomview/x11/Makefile.am, src/bin/geomview/x11/bitmaps/.cvsignore, src/bin/geomview/x11/gvcamui.c, src/bin/geomview/x11/gvsave.c, src/bin/geomview/x11/interface/.cvsignore, src/bin/ginsu/.cvsignore, src/bin/ginsu/Makefile.am, src/bin/ginsu/ginsu.c, src/bin/graffiti/.cvsignore, src/bin/graffiti/Makefile.am, src/bin/graffiti/graffiti.c, .cvsignore, INSTALL.Geomview, README.cvs, configure, configure.ac, data/.cvsignore, data/geom/.cvsignore, data/geom/pieces/.cvsignore, data/geom/polyhedra/.cvsignore, data/geom/spherical/.cvsignore, data/geom/textured/.cvsignore, doc/.cvsignore, doc/figs/.cvsignore, geomview.sh, m4/.cvsignore, src/.cvsignore, src/bin/.cvsignore, src/bin/Makefile.am, src/bin/animate/.cvsignore, src/bin/animate/Makefile.am, src/bin/animate/interface/.cvsignore, src/bin/cplxview/.cvsignore, src/bin/cplxview/Makefile.am, src/bin/cplxview/computegraph.c, src/bin/cplxview/cplxview.c, src/bin/example/.cvsignore, src/bin/example/Makefile.am, src/bin/flythrough/.cvsignore, src/bin/flythrough/Makefile.am:
	* use one shared library (i.e. libgeomview.so)
	* do not use undocumented stdio internals
	* src/lib/aclib/fmemopen.c -- fmemopen replacement
	* src/lib/oogl/utilt/iobuffer.[ch] -- totally buffered input, with seekback (pipes)
	* a bunch of autoconf changes
	* OpenGL is optional again
	* reenable hinge module
	* reenable flythrough module
	* reenable cplxview module

	* src/lib/aclib/Makefile.am, src/lib/aclib/alloca.c, src/lib/aclib/fmemopen.c, src/lib/aclib/lstat.c, src/lib/aclib/memcmp.c, src/lib/aclib/stat.c, src/lib/aclib/strtod.c:
	Initial revision.

2006-07-11  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/util/iobuffer.c: Initial revision, not working yet.

2006-07-10  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/pointlist/ptlInst.c, src/lib/pointlist/ptlList.c, src/lib/pointlist/ptlMesh.c, src/lib/pointlist/ptlPolylist.c, src/lib/pointlist/ptlQuad.c, src/lib/pointlist/ptlVect.c, src/lib/geomutil/crayplutil/crayMesh.c, src/lib/geomutil/crayplutil/crayPolylist.c, src/lib/geomutil/crayplutil/crayQuad.c, src/lib/geomutil/crayplutil/crayVect.c, src/lib/geomutil/crayplutil/crayola.c, src/lib/geomutil/dim/dim.c, src/lib/oogl/lisp/lisp.c, src/lib/oogl/refcomm/streampool.c, src/lib/pointlist/pointlist.c, src/lib/pointlist/ptlBezier.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/lispext.c, src/bin/geomview/common/space.c, src/bin/geomview/x11/gvappear.c, src/bin/geomview/x11/gvcameras.c, src/bin/geomview/x11/gvcamui.c, src/bin/geomview/x11/gvcolor.c, src/bin/geomview/x11/gvevent.c, src/bin/geomview/x11/gvmaterial.c, src/bin/geomview/x11/gvmnpanel.c, src/bin/geomview/x11/gvsave.c, src/bin/geomview/x11/gvtoolui.c, src/lib/geomutil/crayplutil/crayBezier.c, src/lib/geomutil/crayplutil/crayInst.c, src/lib/geomutil/crayplutil/crayList.c:
	Remove a couple of "cast from pointer to integer of different size"
	warnings (and vice versa).

2006-07-08  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* .cvsignore, doc/.cvsignore, src/bin/.cvsignore, src/bin/animate/.cvsignore, src/bin/example/.cvsignore, src/bin/geomutil/bdy/.cvsignore, src/bin/geomutil/oogl2vrml/.cvsignore, src/bin/geomview/x11/.cvsignore, src/lib/geometry/cmodel/.cvsignore:
	Ignore some stuff.

	* src/lib/mib/mibTextBox.c, src/lib/mib/mibToggle.c, src/lib/mib/mibload.c, src/lib/mib/mibload.h, src/lib/oogl/lisp/lisp.c, src/lib/oogl/lisp/lisp.h, src/lib/oogl/refcomm/handle.c, src/lib/oogl/refcomm/reference.c, src/lib/oogl/refcomm/streampool.c, src/lib/oogl/util/error.c, src/lib/oogl/util/findfile.c, src/lib/oogl/util/fsa.c, src/lib/oogl/util/futil.c, src/lib/oogl/util/glob.c, src/lib/oogl/util/mallocp.c, src/lib/oogl/util/porting.c, src/lib/oogl/util/ppopen.c, src/lib/oogl/util/seekpipe.c, src/lib/oogl/util/vvec.c, src/lib/oogl/wa/Makefile.am, src/lib/oogl/wa/fsaparse.y, src/lib/oogl/wa/wa.h, src/lib/oogl/wa/yystype.h, src/lib/pointlist/pointlist.c, src/lib/pointlist/ptlBezier.c, src/lib/pointlist/ptlInst.c, src/lib/pointlist/ptlList.c, src/lib/pointlist/ptlMesh.c, src/lib/pointlist/ptlPolylist.c, src/lib/pointlist/ptlQuad.c, src/lib/pointlist/ptlVect.c, src/lib/shade/appearance.c, src/lib/shade/apstream.c, src/lib/shade/light.c, src/lib/window/window.c, src/lib/window/window.h, src/lib/window/winstream.c, src/lib/gprim/stub/vect.c, src/lib/gprim/tlist/tlclass.c, src/lib/gprim/tlist/tlcreate.c, src/lib/gprim/tlist/tlstream.c, src/lib/gprim/tlist/tltransform.c, src/lib/gprim/vect/vect.h, src/lib/gprim/vect/vectbound.c, src/lib/gprim/vect/vectclass.c, src/lib/gprim/vect/vectcreate.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/vect/vectload.c, src/lib/gprim/vect/vectpick.c, src/lib/gprim/vect/vectsave.c, src/lib/gprim/vect/vectsphere.c, src/lib/gprim/vect/vecttransform.c, src/lib/mg/buf/mgbuf.c, src/lib/mg/buf/mgbufclip.c, src/lib/mg/buf/mgbufdraw.c, src/lib/mg/buf/mgbufrender.c, src/lib/mg/buf/mgbufrender24.c, src/lib/mg/common/mg.c, src/lib/mg/common/mgshade.c, src/lib/mg/common/mgtexture.c, src/lib/mg/opengl/mgopengl.c, src/lib/mg/opengl/mgopengldraw.c, src/lib/mg/opengl/mgopenglmesh.c, src/lib/mg/opengl/mgopenglshade.c, src/lib/mg/ps/mgps.c, src/lib/mg/ps/mgpsclip.c, src/lib/mg/ps/mgpsdraw.c, src/lib/mg/ps/mgpstri.c, src/lib/mg/ps/mgpswindows.c, src/lib/mg/rib/mgrib.c, src/lib/mg/rib/mgribdraw.c, src/lib/mg/rib/mgribmesh.c, src/lib/mg/rib/mgribshade.c, src/lib/mg/rib/mgribtoken.c, src/lib/mg/rib/mgributil.c, src/lib/mg/x11/mgx11.c, src/lib/mg/x11/mgx11clip.c, src/lib/mg/x11/mgx11draw.c, src/lib/mg/x11/mgx11render1.c, src/lib/mg/x11/mgx11render16.c, src/lib/mg/x11/mgx11render8.c, src/lib/mg/x11/mgx11shade.c, src/lib/mg/x11/mgx11visual.c, src/lib/mg/x11/mgx11windows.c, src/lib/mib/mibButton.c, src/lib/mib/mibDrawArea.c, src/lib/mib/mibFrame.c, src/lib/mib/mibLabel.c, src/lib/mib/mibList.c, src/lib/mib/mibMenu.c, src/lib/mib/mibRadioBox.c, src/lib/mib/mibScale.c, src/lib/mib/mibScrollBar.c, src/lib/mib/mibTextBig.c, src/lib/gprim/ndmesh/ndmeshcreate.c, src/lib/gprim/ndmesh/ndmeshdraw.c, src/lib/gprim/ndmesh/ndmeshload.c, src/lib/gprim/ndmesh/ndmeshsave.c, src/lib/gprim/npolylist/nplbound.c, src/lib/gprim/npolylist/nplclass.c, src/lib/gprim/npolylist/nplcopy.c, src/lib/gprim/npolylist/nplcreate.c, src/lib/gprim/npolylist/npldraw.c, src/lib/gprim/npolylist/nplload.c, src/lib/gprim/npolylist/nplsave.c, src/lib/gprim/polylist/plbound.c, src/lib/gprim/polylist/plclass.c, src/lib/gprim/polylist/plcopy.c, src/lib/gprim/polylist/plcreate.c, src/lib/gprim/polylist/pldraw.c, src/lib/gprim/polylist/plevert.c, src/lib/gprim/polylist/plload.c, src/lib/gprim/polylist/plnormal.c, src/lib/gprim/polylist/plpick.c, src/lib/gprim/polylist/plsave.c, src/lib/gprim/polylist/plsphere.c, src/lib/gprim/polylist/pltransform.c, src/lib/gprim/quad/quadbound.c, src/lib/gprim/quad/quadclass.c, src/lib/gprim/quad/quadcopy.c, src/lib/gprim/quad/quadcreate.c, src/lib/gprim/quad/quaddelete.c, src/lib/gprim/quad/quaddraw.c, src/lib/gprim/quad/quadevert.c, src/lib/gprim/quad/quadload.c, src/lib/gprim/quad/quadnormal.c, src/lib/gprim/quad/quadpick.c, src/lib/gprim/quad/quadsave.c, src/lib/gprim/quad/quadsphere.c, src/lib/gprim/quad/quadtransform.c, src/lib/gprim/skel/skelbound.c, src/lib/gprim/skel/skelclass.c, src/lib/gprim/skel/skelcreate.c, src/lib/gprim/skel/skeldraw.c, src/lib/gprim/skel/skelload.c, src/lib/gprim/skel/skelpick.c, src/lib/gprim/skel/skelsave.c, src/lib/gprim/skel/skeltransform.c, src/lib/gprim/sphere/sphereclass.c, src/lib/gprim/sphere/spherecreate.c, src/lib/gprim/sphere/sphereload.c, src/lib/gprim/sphere/spheremisc.c, src/lib/gprim/sphere/spheresave.c, src/lib/gprim/stub/bbox.c, src/lib/gprim/stub/bezier.c, src/lib/gprim/stub/bezierlist.c, src/lib/gprim/stub/comment.c, src/lib/gprim/stub/discgrp.c, src/lib/gprim/stub/inst.c, src/lib/gprim/stub/lincoln.c, src/lib/gprim/stub/list.c, src/lib/gprim/stub/mesh.c, src/lib/gprim/stub/ndmesh.c, src/lib/gprim/stub/npolylist.c, src/lib/gprim/stub/polylist.c, src/lib/gprim/stub/quad.c, src/lib/gprim/stub/skel.c, src/lib/gprim/stub/sphere.c, src/lib/gprim/stub/stub.c, src/lib/gprim/stub/stubdraw.c, src/lib/gprim/stub/tlist.c, src/lib/gprim/geom/draw.c, src/lib/gprim/geom/evert.c, src/lib/gprim/geom/extend.c, src/lib/gprim/geom/geomstream.c, src/lib/gprim/geom/handlescan.c, src/lib/gprim/geom/iterate.c, src/lib/gprim/geom/knownclass.c, src/lib/gprim/geom/message.c, src/lib/gprim/geom/name.c, src/lib/gprim/geom/pick.c, src/lib/gprim/geom/replace.c, src/lib/gprim/geom/transform.c, src/lib/gprim/inst/instbound.c, src/lib/gprim/inst/instclass.c, src/lib/gprim/inst/instcreate.c, src/lib/gprim/inst/instdraw.c, src/lib/gprim/inst/instmisc.c, src/lib/gprim/inst/instpick.c, src/lib/gprim/inst/instsphere.c, src/lib/gprim/inst/inststream.c, src/lib/gprim/lincoln/lincolnclass.c, src/lib/gprim/lincoln/lincolnload.c, src/lib/gprim/list/listclass.c, src/lib/gprim/list/listcreate.c, src/lib/gprim/list/listdraw.c, src/lib/gprim/list/listmisc.c, src/lib/gprim/list/listpick.c, src/lib/gprim/list/listsphere.c, src/lib/gprim/list/liststream.c, src/lib/gprim/mesh/meshbound.c, src/lib/gprim/mesh/meshclass.c, src/lib/gprim/mesh/meshcopy.c, src/lib/gprim/mesh/meshcreate.c, src/lib/gprim/mesh/meshdelete.c, src/lib/gprim/mesh/meshdice.c, src/lib/gprim/mesh/meshdraw.c, src/lib/gprim/mesh/meshevert.c, src/lib/gprim/mesh/meshload.c, src/lib/gprim/mesh/meshnormal.c, src/lib/gprim/mesh/meshpick.c, src/lib/gprim/mesh/meshsave.c, src/lib/gprim/mesh/meshsphere.c, src/lib/gprim/mesh/meshtransform.c, src/lib/gprim/ndmesh/ndmeshbound.c, src/lib/gprim/ndmesh/ndmeshclass.c, src/lib/gprim/bbox/bboxclass.c, src/lib/gprim/bbox/bboxcopy.c, src/lib/gprim/bbox/bboxcreate.c, src/lib/gprim/bbox/bboxdraw.c, src/lib/gprim/bbox/bboxload.c, src/lib/gprim/bbox/bboxminmax.c, src/lib/gprim/bbox/bboxsave.c, src/lib/gprim/bbox/bboxtransform.c, src/lib/gprim/bbox/bboxunion.c, src/lib/gprim/bezier/bezbound.c, src/lib/gprim/bezier/bezclass.c, src/lib/gprim/bezier/bezcreate.c, src/lib/gprim/bezier/bezdice.c, src/lib/gprim/bezier/bezdraw.c, src/lib/gprim/bezier/bezevert.c, src/lib/gprim/bezier/bezload.c, src/lib/gprim/bezier/bezpick.c, src/lib/gprim/bezier/bezsave.c, src/lib/gprim/bezier/bezsphere.c, src/lib/gprim/bezier/beztransform.c, src/lib/gprim/comment/commentclass.c, src/lib/gprim/comment/commentcreate.c, src/lib/gprim/comment/commentsave.c, src/lib/gprim/comment/commentstream.c, src/lib/gprim/discgrp/colormap.c, src/lib/gprim/discgrp/complex.c, src/lib/gprim/discgrp/dgbound.c, src/lib/gprim/discgrp/dgclass.c, src/lib/gprim/discgrp/dgconstraint.c, src/lib/gprim/discgrp/dgcopy.c, src/lib/gprim/discgrp/dgcreate.c, src/lib/gprim/discgrp/dgdelete.c, src/lib/gprim/discgrp/dgdirdom.c, src/lib/gprim/discgrp/dgdraw.c, src/lib/gprim/discgrp/dgenum.c, src/lib/gprim/discgrp/dgevert.c, src/lib/gprim/discgrp/dgmisc.c, src/lib/gprim/discgrp/dgpick.c, src/lib/gprim/discgrp/dgsave.c, src/lib/gprim/discgrp/dgstream.c, src/lib/gprim/discgrp/dgtransform.c, src/lib/gprim/discgrp/dhpoint3.c, src/lib/gprim/discgrp/matlist.c, src/lib/gprim/discgrp/outstack.c, src/lib/gprim/discgrp/polyhedron.c, src/lib/gprim/discgrp/projective.c, src/lib/gprim/discgrp/stack.c, src/lib/gprim/discgrp/util.c, src/lib/gprim/discgrp/weeks_dirdom.c, src/lib/gprim/discgrp/xform.c, src/lib/gprim/geom/bound.c, src/lib/gprim/geom/boundsphere.c, src/lib/gprim/geom/class.c, src/lib/gprim/geom/copy.c, src/lib/gprim/geom/create.c, src/lib/gprim/geom/delete.c, src/lib/gprim/geom/dice.c, src/lib/fexpr/real.c, src/lib/fexpr/vars.c, src/lib/forms/xforms-compat.h, src/lib/geometry/cmodel/cm_geometry.c, src/lib/geometry/cmodel/cmodel.c, src/lib/geometry/cmodel/cmodel_data.c, src/lib/geometry/hpoint3/hg4.c, src/lib/geometry/hpoint3/hline3.c, src/lib/geometry/hpoint3/hplane3.c, src/lib/geometry/hpoint3/hpoint3.c, src/lib/geometry/hpoint3/hpoint3a.c, src/lib/geometry/hpoint3/hpoint3b.c, src/lib/geometry/hpointn/hpointn.c, src/lib/geometry/hpointn/hpointnb.c, src/lib/geometry/point3/point3.c, src/lib/geometry/point3/polyint.c, src/lib/geometry/point3/segments.c, src/lib/geometry/transform3/ctm3align.c, src/lib/geometry/transform3/ctm3ortho.c, src/lib/geometry/transform3/ctm3persp.c, src/lib/geometry/transform3/ctm3perspfov.c, src/lib/geometry/transform3/ctm3rotate.c, src/lib/geometry/transform3/ctm3scale.c, src/lib/geometry/transform3/ctm3tetrad.c, src/lib/geometry/transform3/ctm3translate.c, src/lib/geometry/transform3/tm3adjoint.c, src/lib/geometry/transform3/tm3align.c, src/lib/geometry/transform3/tm3concat.c, src/lib/geometry/transform3/tm3conjugate.c, src/lib/geometry/transform3/tm3copy.c, src/lib/geometry/transform3/tm3dual.c, src/lib/geometry/transform3/tm3identity.c, src/lib/geometry/transform3/tm3invert.c, src/lib/geometry/transform3/tm3ortho.c, src/lib/geometry/transform3/tm3persp.c, src/lib/geometry/transform3/tm3perspfov.c, src/lib/geometry/transform3/tm3print.c, src/lib/geometry/transform3/tm3rotate.c, src/lib/geometry/transform3/tm3scale.c, src/lib/geometry/transform3/tm3stack.c, src/lib/geometry/transform3/tm3tetrad.c, src/lib/geometry/transform3/tm3translate.c, src/lib/geometry/transform3/tm3transpose.c, src/lib/geometry/transformn/transformn.c, src/lib/geometry/transobj/transobj.c, src/lib/geomutil/bdy/bdy.c, src/lib/geomutil/crayplutil/crayBezier.c, src/lib/geomutil/crayplutil/crayInst.c, src/lib/geomutil/crayplutil/crayList.c, src/lib/geomutil/crayplutil/crayMesh.c, src/lib/geomutil/crayplutil/crayPolylist.c, src/lib/geomutil/crayplutil/crayQuad.c, src/lib/geomutil/crayplutil/crayVect.c, src/lib/geomutil/crayplutil/crayola.c, src/lib/geomutil/dim/dim.c, src/lib/geomutil/plutil/anytopl.c, src/lib/geomutil/plutil/plcombine.c, src/lib/geomutil/plutil/plconsol.c, src/lib/gprim/bbox/bboxbound.c, src/bin/geomview/common/ui.c, src/bin/geomview/common/worldio.c, src/bin/geomview/x11/bitmaps/icon, src/bin/geomview/x11/gvappear.c, src/bin/geomview/x11/gvcameras.c, src/bin/geomview/x11/gvcamui.c, src/bin/geomview/x11/gvcolor.c, src/bin/geomview/x11/gvcommands.c, src/bin/geomview/x11/gvcredits.c, src/bin/geomview/x11/gvevent.c, src/bin/geomview/x11/gvfiles.c, src/bin/geomview/x11/gvlights.c, src/bin/geomview/x11/gvload.c, src/bin/geomview/x11/gvmain.c, src/bin/geomview/x11/gvmaterial.c, src/bin/geomview/x11/gvmnpanel.c, src/bin/geomview/x11/gvsave.c, src/bin/geomview/x11/gvtoolui.c, src/bin/geomview/x11/gvui.c, src/bin/ginsu/ginsu.c, src/bin/graffiti/graffiti.c, src/bin/graffiti/graffiti.h, src/bin/graffiti/gui.c, src/bin/graffiti/lang.c, src/bin/hinge/hinge.c, src/bin/hinge/hui.c, src/bin/hinge/lang.c, src/bin/stereo/stereo.c, src/bin/stereo/sterui.c, src/bin/sweep/sweep.c, src/bin/sweep/sweep.main.c, src/bin/tackdown/origin.common.c, src/bin/tackdown/origin.common.h, src/bin/tackdown/origin.main.c, src/bin/tackdown/tackdown.main.c, src/bin/togeomview/togeomview.c, src/bin/transformer/transformer.main.c, src/lib/camera/camcompat.c, src/lib/camera/camera.c, src/lib/camera/camstream.c, src/lib/color/color.c, src/lib/color/mergein.c, src/lib/color/mergeout.c, src/lib/color/mergeover.c, src/lib/color/mergeplus.c, src/lib/color/mergeunder.c, src/lib/color/paintcopy.c, src/lib/color/paintover.c, src/lib/fexpr/binfuncs.c, src/lib/fexpr/complex.c, src/lib/fexpr/evaluate.c, src/lib/fexpr/exprs.c, src/lib/fexpr/lex.yy.c, src/lib/fexpr/monfuncs.c, src/lib/fexpr/parse.tab.c-saved, src/bin/animate/xanimate.c, src/bin/cplxview/computegraph.c, src/bin/cplxview/cplxview.c, src/bin/example/callbacks.c, src/bin/example/main.c, src/bin/example/oogl.c, src/bin/flythrough/main.c, src/bin/geomutil/bdy/bdy.c, src/bin/geomutil/clip/Clip.h, src/bin/geomutil/clip/clip.c, src/bin/geomutil/clip/clipmain.c, src/bin/geomutil/clip/clipoogl.c, src/bin/geomutil/math2oogl/math2oogl.c, src/bin/geomutil/oogl2rib/oogl2rib.c, src/bin/geomutil/oogl2vrml/oogl2vrml.c, src/bin/geomutil/oogl2vrml/oogl2vrml2.c, src/bin/geomutil/plutil/anytooff.main.c, src/bin/geomutil/plutil/bez2mesh.c, src/bin/geomutil/plutil/offconsol.main.c, src/bin/geomutil/plutil/polymerge.c, src/bin/geomutil/ucd/anytoucd.c, src/bin/geomutil/ucd/make_frame.c, src/bin/geomutil/ucd/stack.c, src/bin/geomutil/ucd/ucdtooff.c, src/bin/geomview/common/comm.c, src/bin/geomview/common/drawer.c, src/bin/geomview/common/event.c, src/bin/geomview/common/lang.c, src/bin/geomview/common/lights.c, src/bin/geomview/common/lispext.c, src/bin/geomview/common/main.c, src/bin/geomview/common/motion.c, src/bin/geomview/common/mouse.c, src/bin/geomview/common/ndshade.c, src/bin/geomview/common/rman.c, src/bin/geomview/common/shaders.c, src/bin/geomview/common/space.c, src/bin/geomview/common/transform.c, configure.ac, src/bin/animate/animate.c, src/bin/animate/glob.c:
	This is the big "no warnings" patch. Warnings that remain: length of
	string constants, and some unput() functions in the two scanners,
	those are defined but not used.

2006-07-05  Lloyd Wood  <L.Wood@surrey.ac.uk>

	* src/lib/mg/rib/mgribdraw.c: Checking in rendering transparency patch:
	http://sourceforge.net/tracker/index.php?func=detail&aid=1231146&group_id=9736&atid=309736
	provided by Chun-Chung Chen - cjj.

2006-06-26  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* src/lib/oogl/util/seekpipe.c:
	seekpipe_read() was severly broken (end of function reached without
	return statement. Gnah.

	* src/lib/camera/camera.c, src/lib/geometry/cmodel/cmodel.c, src/lib/geomutil/crayplutil/crayBezier.c, src/lib/geomutil/crayplutil/crayInst.c, src/lib/geomutil/crayplutil/crayList.c, src/lib/geomutil/crayplutil/crayMesh.c, src/lib/geomutil/crayplutil/crayPolylist.c, src/lib/geomutil/crayplutil/crayQuad.c, src/lib/geomutil/crayplutil/crayola.c, src/lib/geomutil/crayplutil/crayolaP.h, src/lib/geomutil/dim/dim.c, src/lib/gprim/bbox/bboxclass.c, src/lib/gprim/bezier/bezdice.c, src/lib/gprim/discgrp/dgdirdom.c, src/lib/gprim/discgrp/dgenum.c, src/lib/gprim/discgrp/matlist.c, src/lib/gprim/discgrp/stack.c, src/lib/gprim/discgrp/weeks_dirdom.c, src/lib/gprim/geom/extend.c, src/lib/gprim/geom/geom.h, src/lib/gprim/mesh/meshpick.c, src/lib/gprim/sphere/sphereP.h, src/lib/gprim/sphere/spherecreate.c, src/lib/gprim/tlist/tlstream.c, src/lib/gprim/vect/vectdraw.c, src/lib/gprim/vect/vectpick.c, src/lib/mg/common/mgtexture.c, src/lib/oogl/lisp/lisp.c, src/lib/oogl/util/futil.c, src/lib/oogl/wa/Makefile.am, src/lib/oogl/wa/fsaparse.l, src/lib/pointlist/ptlBezier.c, src/lib/shade/appearance.c, src/lib/shade/appearance.h:
	va_args issues, sphere command works again.

	* configure.ac: Bump version to 1.8.2-rc1

2006-06-25  Lloyd Wood  <L.Wood@surrey.ac.uk>

	* configure: It's INSTALL.Geomview with a capital G.

	* INSTALL.Geomview, configure:
	Updating text of documentation referring to reconf to reflect recent
	changes by rotdrop. (It's still a good idea to direct users to the reconf
	script, rather than just autoreconf -i, in case the reconf script needs to
	do anything else in future.)

2006-06-24  Claus-Justus Heine  <Claus.Heine@Mathematik.Uni-Freiburg.DE>

	* doc/Makefile.am:
	Install png figures in info directory (although at least _MY_
	emacs/xemacs cannot handle them).

	* src/lib/oogl/wa/.cvsignore, doc/figs/.cvsignore:
	Ignore some more auto-generated files.

	* doc/Makefile.am: It is "dist-hook", not "distlocal".

	* .cvsignore: Add geomview dist directory (created during "make dist").

	* Makefile.am: Remove almost everything with "make maintainer-clean".

	* .cvsignore: Ignore INSTALL (auto-generated).

	* .cvsignore: Remove build/packbuild.

	* acconfig.h: use new autoheader interface.

	* INSTALL: Auto-generated.

	* configure: Resurrect dummy configure script.

	* NEWS: Update, add 1.8.2 release note (for future use).

	* Makefile.am: Remove traces of old build-system.

	* reconf: Just redirect to "autoreconf -i" as should be.

	* build.in, packbuild.in:
	People should use the normal "configure && make" stuff.

	* .cvsignore: Ignore the tar-balls generated by "make dist".

	* configure:
	Don't keep auto-generated files in CVS. Use 'autoreconf -i' instead.

	* configure.in: Renamed to configure.ac.

	* configure.ac: Renamed.

	* src/lib/oogl/wa/yystype.h:
	Define YYSTYPE_IS_DECLARD, otherwise recent flex/bison combo's define
	it to int, which is not what we want.

	* src/lib/oogl/wa/fsaparse.l, src/lib/oogl/wa/fsaparse.y:
	Include string.h (missing prototype issue).

	* src/lib/oogl/wa/Makefile.am:
	Include "BUILT_SOURCES", i.e. wa.lex.c etc into the distro. Remove stuff with "make maintainer-clean".

	* src/lib/oogl/wa/wa.lex.c, src/lib/oogl/wa/y.tab.h, src/lib/oogl/lisp/clisp.h, src/bin/example/.geomview-example, src/bin/animate/.geomview-animate:
	Not in CVS, because the maintainers can generate them.

	* src/bin/geomutil/bdy/Makefile.am, src/bin/geomview/Makefile.am, src/bin/geomview/x11/Makefile.am, src/lib/oogl/lisp/Makefile.am, src/bin/animate/Makefile.am, src/bin/example/Makefile.am:
	Make sure "make distclean" deletes everything which is not included in
	the distributions, because that is what distclean is for.

	* src/bin/geomutil/oogl2vrml/.cvsignore: Ignore oogl2vrml2

	* src/bin/geomutil/bdy/.geomview-drawbdy: Generated during "make".

	* m4/geom_local.m4, m4/lf_local.m4: Fix "underquoted" AC_DEFUN's

	* doc/.cvsignore, doc/Makefile.am, doc/README, doc/geomview.texi:
	Move to a recent TeXinfo release, this simplifies things a lot, even
	support for HTML is now built into makeinfo.

	* doc/figs/.cvsignore: Ignore .png, .eps, .pdf

	* doc/figs/eps2pdf1.sh: Use epstopdf, if available.

